
GhostPCL log entries in reverse chronological order

Current version is 1.41 (02/28/2005)

Thu Feb 24 16:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxparse.c [1.10] (+6 -2):
        fix infinite loop error on one case of bad pxl input.
        

Wed Feb 23 22:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * tools/makerelease.sh [1.9] (+0 -2):
        Removed depreciated plps.mak actions from script.
        

Wed Feb 23 17:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcuptrn.c [1.27] (+2 -2):
        Copyright header modification.
        
        * pcl/pcpatrn.c [1.34] (+3 -2):
        Fixed compiler error on MSVC target.
        
        * language_switch/pspcl6_gcc.mak [1.16] (+1 -1):
        Add -DNDEBUG to compile time disable assert()'s
        

Wed Feb 23 00:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plmain.c [1.75] (+3 -1):
        Don't free iodev when gc allocator is in place.
        
        Looks like garbage collection moves these pointers without updating the global table.
        

Tue Feb 22 18:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxpflat.c [1.11] (+6 -3), gs/src/gxfill.c [1.19] (+15 -9):
        Seperated assertion checks from must be run code.
        This allows assertions to be compile time removed.
        
        * gs/src/gxfdrop.c [1.3] (+3 -3):
        Pulled invalid assertions that disallowed filling outside of the bounding box.
        

Mon Feb 21 21:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gslibctx.c [1.3] (+2 -2):
        Allow null memory pointer in debug error printfs.
        
        * gs/src/zfontenum.c [1.3] (+12 -16), gs/src/zchar42.h [1.2] (+12 -16), 
        gs/src/stdint_.h [1.2] (+12 -16), gs/src/macosx.mak [1.3] (+10 -15), 
        gs/src/macos_classic_d_pre.h [1.2] (+12 -16), gs/src/macos_carbon_pre.h [1.2] (+12 -16), 
        gs/src/macos_carbon_d_pre.h [1.2] (+12 -16), gs/src/macos-fw.mak [1.3] (+10 -15), 
        gs/src/jbig2.mak [1.3] (+10 -15), gs/src/ijs.mak [1.2] (+12 -15), 
        gs/src/ierrors.h [1.2] (+12 -16), gs/src/gzspotan.h [1.2] (+12 -16), 
        gs/src/gzspotan.c [1.2] (+12 -16), gs/src/gxttfb.h [1.2] (+12 -16), 
        gs/src/gxttfb.c [1.2] (+12 -16), gs/src/gxhldevc.h [1.2] (+13 -16), 
        gs/src/gxhldevc.c [1.2] (+13 -16), gs/src/gxfill.h [1.2] (+12 -16), 
        gs/src/gxfdrop.h [1.2] (+12 -16), gs/src/gxfdrop.c [1.2] (+12 -16), 
        gs/src/gdevdevn.h [1.2] (+13 -16), gs/src/dmmain.r [1.2] (+11 -16), 
        gs/src/dmmain.c [1.2] (+12 -17), gs/src/Makefile.in [1.2] (+11 -15):
        Modified Copyright header.
        
        * gs/lib/pdf_rbld.ps [1.2] (+11 -15), gs/lib/gs_stres.ps [1.3] (+11 -15), 
        gs/lib/gs_sepr.ps [1.2] (+11 -15), gs/lib/gs_resst.ps [1.3] (+11 -15), 
        gs/lib/gs_resmp.ps [1.2] (+11 -15), gs/lib/gs_patrn.ps [1.2] (+11 -15), 
        gs/lib/gs_indxd.ps [1.2] (+11 -15), gs/lib/gs_img.ps [1.2] (+11 -15), 
        gs/lib/gs_fntem.ps [1.3] (+11 -15), gs/lib/gs_fapi.ps [1.2] (+11 -15), 
        gs/lib/gs_diskn.ps [1.3] (+11 -15), gs/lib/gs_devpxl.ps [1.2] (+11 -15), 
        gs/lib/gs_devn.ps [1.2] (+11 -15), gs/lib/gs_devcs.ps [1.3] (+11 -15), 
        gs/lib/gs_cspace.ps [1.3] (+11 -15), gs/lib/gs_ciecs3.ps [1.2] (+11 -15), 
        gs/lib/gs_ciecs2.ps [1.2] (+11 -15), gs/lib/gs_cidtt.ps [1.2] (+11 -15), 
        gs/lib/gs_cidfm.ps [1.2] (+11 -15), gs/lib/gs_ciddc.ps [1.3] (+11 -15), 
        gs/lib/dumphint.ps [1.2] (+11 -15):
        Modified copyright header.
        

Fri Feb 18 23:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcuptrn.c [1.26] (+3 -3):
        Fixed last commit to only clear permanent patterns on Permanent reset.
        

Fri Feb 18 22:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcuptrn.c [1.25] (+2 -2):
        Changed pcl cold reset / reset printer to delete permanent patterns.
        Previously only freed temporary patterns.
        

Fri Feb 18 21:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevdrop.c [1.17] (+34 -5):
        Added special case for rop write to device for 32bit cmyk devices.
        pack_cmyk_8bit_from_standard() converts 24bit rgb to 32bit cmyk
        using 100% undercolor removal.
        
        Added infinite loop protection on pack_from_standard in the case where the
        encode color routine always returns gx_no_color_index
        
        * gs/src/gdevprn.c [1.25] (+10 -1):
        Added leak protection for buffer device line_ptrs.
        Client can now call with ptrs == mdev->line_ptrs
        or ptrs == foreign
        or ptrs == null and mdev->line_ptrs != null
        
        Previously the last case leaked as the caller was expected to have freed
        the line_ptrs.  This lets subsequent calls reuse the lineptrs.  This case
        occurs in banding.
        

Fri Feb 18 18:00:00 2005 GMT            henrys@artifex.com

        * main/pcl6_gcc.mak [1.41] (+3 -2):
        adds high level tracing device and bmp planar device.
        
        * pcl/pccrd.c [1.17] (+19 -22):
        reading crd from device deprecated.
        
        * gs/src/gdevprn.c [1.24] (+8 -1):
        retain the plane device as it is explicitly freed.
        
        * gs/src/devs.mak [1.32] (+4 -1):
        adds high level tracing device.
        

Tue Feb  8 18:00:00 2005 GMT            henrys@artifex.com

        * pxl/pxtop.c [1.24] (+2 -2), pxl/pxstate.c [1.12] (+17 -12), 
        pxl/pxsessio.c [1.30] (+9 -4), pl/plsrgb.c [1.8] (+8 -1), 
        pcl/pcuptrn.c [1.24] (+3 -1), pcl/pcfont.c [1.38] (+19 -12):
        pxsessio.c: formatting/indenting.
        pxtop.c: font dictionary release when pxl state is released.
        pxstate.c, pcfont.c: the character cache machinery was not being
        released properly (fixes leak).
        pcuptrn.c: the pcl pattern dictionary was not being restored after
        macro invocation leading to later memory corruption.  (fixes crash).
        plsrgb.c: deprecate reading from a crd from a device.
        

Thu Feb  3 19:00:00 2005 GMT            henrys@artifex.com

        * pcl/pcpatrn.c [1.33] (+12 -4):
        free the pattern cache.
        

Thu Feb  3 18:00:00 2005 GMT            henrys@artifex.com

        * pxl/pxsessio.c [1.29] (+11 -3), pxl/pxpthr.c [1.5] (+12 -0), 
        pxl/pxgstate.c [1.33] (+15 -6), pl/plsrgb.h [1.3] (+3 -3), 
        pl/plsrgb.c [1.7] (+21 -6):
        fixes several memory leaks in color space setup and pcl passthru mode.
        

Tue Feb  1 04:00:00 2005 GMT            henrys@artifex.com

        * main/pcl6_gcc.mak [1.40] (+2 -2):
        remove -rdynamic option since it is not supported properly on some
        platforms.
        

Mon Jan 31 23:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plmain.c [1.74] (+45 -44):
        Fixes iodev leak.
        Fixes parser errors on trailing esc or leading esc truncated files.
        
        * gs/src/gsiodev.c [1.16] (+13 -1):
        Adds a function to free the iodev table.
        

Mon Jan 31 23:00:00 2005 GMT            henrys@artifex.com

        * pxl/pxtop.c [1.23] (+2 -1), pxl/pxsessio.c [1.28] (+9 -2), 
        pxl/pxpthr.c [1.4] (+1 -1), pcl/pglabel.c [1.57] (+24 -21), 
        pcl/pctop.c [1.33] (+2 -2), pcl/pcpatrn.c [1.32] (+9 -11), 
        main/pcl6_gcc.mak [1.39] (+2 -2), gs/src/gsstate.h [1.13] (+4 -1), 
        gs/src/gsstate.c [1.23] (+10 -3):
        gsstate.c and gsstate.h: new api for freeing view clip, removes
        redundant clip_path and path allocations.
        pcl6_gcc.mak: add -rdynamic linker option.
        pcpatrn.c and pxsessio.c: free pattern cache.
        pglabel.c: fix stick font leaks.
        

Fri Jan 28 18:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxclrast.c [1.23] (+11 -6):
        fix memory leak for index color space data when banding.
        
        In gxclrast.c::clist_playback_band()
        color_space.params.indexed.lookup.table.data
        leaked on a per band basis.  table.size indicates allocated memory
        which is freed at the end of the routine.
        The reallocate case when multiple colorspaces are used per band was
        correctly handled.
        
        Using a more descriptive client name of "color_space indexed table".
        

Wed Jan 26 21:00:00 2005 GMT            henrys@artifex.com

        * pxl/pxgstate.c [1.31] (+96 -3):
        fixes a number of memory leaks because the operator pxDefaultGS was
        not properly implemented.  The new solution constructs a pxl stream of
        commands that default the interpreters state, this leverages the
        memory cleanup code of the existing operators.
        
        * pxl/pxgstate.c [1.32] (+2 -2):
        const qualification.
        

Tue Jan 25 07:00:00 2005 GMT            henrys@artifex.com

        * gs/src/gxdhtserial.c [1.4] (+12 -2), gs/src/gsht.c [1.14] (+10 -1):
        fixes halftone leaks while banding - see code comments for details.
        

Mon Jan 10 08:00:00 2005 GMT            henrys@artifex.com

        * gs/src/gxclimag.c [1.20] (+6 -4):
        revert to previous version see last checking from gscspace.c
        
        * gs/src/gscspace.c [1.17] (+6 -25):
        A long story follows.  The device color space init routines were made
        to return a "static" colorspace variable for Device Gray, CMYK, and
        RGB.  This will not work with the PCL or PXL client because the client
        assumes (reasonably) a newly initialized colorspace will have a unique
        identifier (gs_next_id()).  PCL and PXL derive indexed color spaces
        from device color spaces the banding code uses the unique id's to
        determine if the current color space needs to be rewritten.  With
        static initialization of the device color space an indexed space and
        a device space can have the same unique identifier.  The solutions to
        this problem in the PS, PDF client are not desirable and actually will
        not work with pcl without making significant changes to the code base.
        More generally the statics are not desirable.
        

Thu Jan  6 19:00:00 2005 GMT            henrys@artifex.com

        * pcl/pgdraw.c [1.75] (+4 -4):
        FT[34] did not properly mark the page as dirty if the source was
        transparent.
        

Wed Jan  5 19:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxclimag.c [1.19] (+4 -6):
        Fix, command list bug where change from index colorspace to
        non indexed same colorspace wasn't being updated.
        

Mon Jan  3 17:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plchar.c [1.39] (+2 -4):
        Fix bug with null memory pointer in a mem_mono_device.
        The fill code occasionally allocates memory from the devices
        memory pointer when banding, so the concept of a NULL pointer
        in device->memory will not work.
        

Sun Jan  2 19:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxpthr.c [1.3] (+4 -3):
        Code cleanup:
        rename of global pcl_state_t* pointer to global_pcs.
        
        * gs/src/gscpixel.c [1.14] (+2 -2):
        Warning cleanup;
        cast away const on memory pointer.
        

Sun Jan  2 18:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcht.c [1.33] (+1 -9):
        Warning cleanup;
        remove unused rendering_remap_proto
        

Sun Jan  2 16:00:00 2005 GMT        Stefan Kemper    stefan@artifex.com

        * pl/pltop.h [1.10] (+3 -1):
        Warning cleanup;
        added function prototype.
        
        * psi/psitop.c [1.18] (+3 -4):
        Warning cleanup, function signature missmatch.
        
        * pl/plalloc.c [1.20] (+3 -1):
        Warning cleanup,
        added another PSI_INCLUDED ifdef
        

Fri Dec 31 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * common/ugcc_top.mak [1.32] (+1 -1):
        Changed gcc compiler option -gdwarf-2 to -ggdb,
        should be more portable with the same effect.
        
        * gs/src/gdevjpeg.c [1.23] (+11 -8):
        Compiler warning cleanup.
        

Fri Dec 31 01:00:00 2004 GMT            henrys@artifex.com

        * pl/plchar.c [1.38] (+2 -2):
        replaces obsolete field.
        

Thu Dec 30 22:00:00 2004 GMT            henrys@artifex.com

        * pxl/pxstate.h [1.12] (+2 -19), pxl/pxstate.c [1.11] (+22 -64), 
        pxl/pxsessio.c [1.27] (+3 -2), pxl/pxpthr.c [1.2] (+1 -0), 
        pxl/pxptable.c [1.12] (+4 -4), pxl/pxparse.c [1.9] (+2 -2), 
        pxl/pxink.c [1.29] (+11 -29), pxl/pximage.c [1.20] (+4 -15), 
        pxl/pxgstate.h [1.12] (+5 -5), pxl/pxgstate.c [1.30] (+8 -7), 
        pxl/pxfont.h [1.6] (+2 -2), pxl/pxfont.c [1.33] (+5 -15), 
        pxl/pxerrors.c [1.9] (+3 -3):
        pxerrors.c, pxfont.[ch], pxink.c, pxparse.c, pxpthr.c - warning fixes
        pxgstate.[ch], pximage.c, pxstate.[ch] - replace structure allocalations
        with byte allocations to get rid of gc enumeration nastiness.
        pxsessio.c - parameter mismatch.
        pxptable.c - ColorTreatment was not defined correctly.
        

Thu Dec 30 21:00:00 2004 GMT            henrys@artifex.com

        * pl/plchar.c [1.37] (+1134 -1185):
        removes obsolete code, replaces 16 & 32 bit big endian accessor macros
        with functions, and reorganizes.
        
        * pl/plsymbol.c [1.19] (+2 -1), pl/plsrgb.h [1.2] (+9 -1), 
        pl/plsrgb.c [1.6] (+2 -2):
        warning fixes, function definitions, bracketing includes for multiple
        inclusion.
        
        * pl/plufont.c [1.25] (+30 -51):
        code cleanup and reorganized to facillitate easy diffing with plfont.c
        
        * pl/plfont.c [1.36] (+7 -15):
        code cleanup.
        
        * pl/plmain.c [1.73] (+3 -3):
        warning fixes - use gs platform routine instead of exit()
        
        * pcl/pginit.c [1.20] (+2 -1), pcl/pcommand.c [1.22] (+2 -1):
        missing includes.
        
        * pl/pluchar.c [1.37] (+404 -435):
        reorganized so diffing with plchar.c will be easier.  Removes
        unnecessary agfa "purging".  This only affects the AGFA font cache
        which we don't use.
        

Thu Dec 30 20:00:00 2004 GMT            henrys@artifex.com

        * pcl/pcsfont.c [1.43] (+3 -2):
        Null pad bitmap font downloads and warning fix.
        
        * pl/plfont.h [1.18] (+3 -3):
        constification.
        
        * pcl/pcparse.c [1.17] (+2 -2):
        cast away warning.
        
        * pcl/pcht.c [1.32] (+4 -3):
        adds halftone api header file and fixes some warnings.
        
        * pl/pjparsei.c [1.12] (+3 -4):
        warning fixes removes parameter for "stream for back-channel reports",
        not sure of the history of this addition.
        
        * pcl/pctext.c [1.58] (+2 -18):
        add missing include file and removes unused function.
        
        * pl/plht.h [1.2] (+7 -2), pl/plht.c [1.5] (+2 -2):
        warning fixes.
        
        * pcl/pccrd.h [1.11] (+3 -1):
        function definition added to free crd.
        
        * pcl/pcfont.c [1.37] (+2 -2):
        argument mismatch
        
        * pcl/pccid.h [1.10] (+6 -6), pcl/pccid.c [1.21] (+5 -8):
        constify parameters for accessing configure image data info.
        
        * pcl/pcfsel.c [1.23] (+2 -2):
        cast away warning
        
        * pl/pjparse.c [1.36] (+13 -12):
        warning fixes and unlink was broken.
        
        * pcl/rtgmode.c [1.22] (+1 -2), pcl/pgparse.c [1.14] (+2 -2), 
        pcl/pgmand.h [1.17] (+2 -2), pcl/pcpatrn.c [1.31] (+3 -1), 
        pcl/pcpalet.c [1.28] (+2 -1):
        more warning cleanup.
        

Thu Dec 30 00:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevrops.c [1.12] (+6 -3):
        Fixed null memory pointer in rop texture device construction.
        

Sat Dec 18 09:00:00 2004 GMT            henrys@artifex.com

        * tools/pxlasm.py [1.8] (+3 -3):
        The assembler would fail if the character ']' appeared as data in an
        array that was not hex formatted, confusing the array data with "end
        of array".
        

Fri Dec 17 17:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxfont.c [1.32] (+2 -2):
        Fixed bug PXL character bug.
        Was incorrectly using signed characters conversion to gs_char
        instead of unsigned characters.
        

Thu Dec 16 21:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * language_switch/pspcl6_gcc.mak [1.15] (+2 -2):
        Changed x11 directories to /usr/X11R6/...
        Users of older x11 distributions will need to hand edit the makefiles.
        

Thu Dec 16 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * main/pcl6_gcc.mak [1.38] (+2 -2):
        Changed x11 directories to /usr/X11R6/...
        Users of older x11 distributions will need to hand edit the makefiles.
        

Thu Dec 16 19:00:00 2004 GMT            henrys@artifex.com

        * pl/plsrgb.h [1.1] (+0 -0), pl/plht.h [1.1] (+0 -0):
        Additions omitted from the last checkin.
        

Thu Dec 16 06:00:00 2004 GMT            henrys@artifex.com

        * tools/check_deps.py [1.2] (+6 -1), pxl/pxstate.h [1.11] (+2 -2), 
        pxl/pxl.mak [1.23] (+16 -15), pxl/pxink.c [1.28] (+2 -1), 
        pxl/pximage.c [1.19] (+2 -1), pxl/pxgstate.h [1.11] (+3 -3), 
        pxl/pxgstate.c [1.29] (+29 -78), pl/plsrgb.c [1.5] (+3 -3), 
        pl/plps.mak [1.5] (+0 -0), pl/plparse.h [1.4] (+1 -3), pl/plht.c [1.4] (+3 -2), 
        pl/pldraw.h [1.5] (+1 -5), pl/pl.mak [1.41] (+54 -39), pl/pjparse.c [1.35] (+2 -2), 
        pcl/pcl.mak [1.43] (+47 -26), main/pcl6_gcc.mak [1.37] (+3 -0), 
        language_switch/pspcl6_gcc.mak [1.14] (+5 -12), gs/src/lib.mak [1.34] (+6 -1), 
        gs/src/devs.mak [1.31] (+1 -5):
        - gs/src/devs.mak, gs/src/lib.mak - move definitions for device pxl
        operators, attributes etc. so they are visible to the pxl build.
        These are shared by the pxl devices and the pxl language.
        
        - pspcl6_gcc.mak, plps.mak (removed), pcl6_gcc.mak - The language
        switch build now can use the default pl.mak.
        
        - check_deps.py - minor improvements to check for .h files in targets
        that don't have definitions and parsing of targets was not quite
        correct.
        
        - the rest - dependency fixes and warning cleanup.
        

Tue Dec 14 08:00:00 2004 GMT            henrys@artifex.com

        * tools/check_deps.py [1.1] (+0 -0):
        Work in progress...  Checks that include file dependencies in c files
        are reflected in the makefiles and visa versa.  Should be run in the
        tools directory.
        

Fri Dec  3 22:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * common/msvcdefs.mak [1.7] (+95 -9):
        Changes to support build with msvc 7 and 8.
        
        Not defining DEVSTUDIO on the build command line should also work but
        the MSVC_VERSION does need to be correctly.
        
        * gs/src/msvccmd.mak [1.17] (+6 -1):
        default COMPILE_INITS for msvc build
        

Fri Dec  3 17:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pl/pltoputl.c [1.3] (+2 -2):
        Fix for truncated files, calls EOF on:
        no bytes consumed, data in buffer, and EOF on stream.
        

Fri Nov 19 23:00:00 2004 GMT            henrys@artifex.com

        * pl/pldraw.h [1.4] (+5 -1):
        Fixes classic C problem of using float parameters without a prototype,
        fixes new CIE/SRGB interface.
        

Mon Nov 15 21:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcfont.c [1.36] (+18 -5):
        Finished support for PCL Designate Primary/Secondary Font defaulting
         esc ( 3 @ and esc ) 3 @
        Officially these commands shouldn't be used as they are HP internal test
        sequences, but they have escaped into the wild.
        
        Only value=3 is supported this is the most useful option which can be used
        to select the printers "default" font attributes.  Lazy, and wrong but used.
        

Mon Nov 15 16:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pgconfig.c [1.31] (+42 -1):
        Added support for parsing hpgl BP command,value pair arguments.
        
        BP (1,"string"),([2-5], int32)
        
        The BP command is parsed, but not supported.
        

Fri Nov 12 22:00:00 2004 GMT            henrys@artifex.com

        * tools/cvs2log.py [1.18] (+7 -2):
        lame hacks to support different rcs date formats
        

Fri Nov 12 19:00:00 2004 GMT            henrys@artifex.com

        * pcl/pgdraw.c [1.74] (+7 -7):
        more robust pen clamping.
        

Fri Oct 22 18:00:00 2004 GMT            henrys@artifex.com

        * tools/makeromttf.py [1.4] (+1 -1):
        puts a newline after generating C data structure.
        
        * pxl/pxink.c [1.27] (+6 -8), pxl/pximage.c [1.18] (+7 -3), 
        pxl/pxgstate.c [1.28] (+2 -6):
        useciecolor (srgb) was broken with some images.
        
        * pl/plsrgb.c [1.4] (+32 -20):
        Imaproves srgb space interface and general code cleanup.
        

Mon Oct 18 18:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxfont.c [1.31] (+2 -2):
        Reduced precision of previous commit to work at higher resolutions.
        
        Hacked the 1 1 shear to be 1 1.0001 so that the matrix will be invertable.
        A better solution would be to not use inverse_matrix calls.
        

Mon Oct 18 14:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxfont.c [1.30] (+5 -1):
        Fixed shear bug in pxlfts2.0/t310 01
        
        Hacked the 1 1 shear to be 1 1.000001 so that the matrix will be invertable.
        A better solution would be to not use inverse_matrix calls.
        

Wed Oct 13 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxfont.c [1.29] (+7 -52):
        Fix for pxl rotated bitmap font scaling.
        Removed dead code in px_text for scaling
        px_set_char_matrix() now does the char matrix scaling
        for bitmaps the y axis flip is remove then page scaling is applied.
        

Wed Oct 13 19:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcpage.c [1.54] (+6 -5):
        Fixed bug where VMI incorrectly reset.
        Changed logical page to default HMI an VMI only on initial reset.
        

Sun Oct 10 17:00:00 2004 GMT            henrys@artifex.com

        * main/pcl6_gcc.mak [1.36] (+1 -1):
        Reorder and repeat UFST libraries to avoid a known linker oddity.
        
        * pl/pluchar.c [1.36] (+2 -3):
        The replacement of the XL TT download font header with the UFST dummy
        header was incorrect.
        
        * pxl/pxfts.txt [1.2] (+15 -0):
        document 2 new anomalies.
        

Fri Sep 24 18:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plsymbol.c [1.18] (+3 -3):
        Symbol set change to a shorter dash glyph.
        
        * pcl/pcpage.c [1.53] (+12 -3):
        Fixes underlined text with text rotation.
        
        Finishes an existing underline with the previous rotation
        captures a new rotated cap as the beginning of the next underline.
        

Thu Sep 16 06:00:00 2004 GMT            henrys@artifex.com

        * pl/plufont.c [1.24] (+87 -192):
        cloning fonts didn't work right with agfa integration.  Size of data
        to be memcpy'd was swapped on little endian machines.  Also, general
        cleanup of plufont.c which could use some more.
        

Wed Sep 15 06:00:00 2004 GMT            henrys@artifex.com

        * pl/plufont.c [1.23] (+2 -2), common/ugcc_top.mak [1.31] (+1 -1):
        Fixes crash on fts.2300 with UFST 4.6 (plufont.c).  Adds gcc macro
        debug information so macros can be expanded in gdb (ugcc_top.mak).
        Fixes UFST 4.6 configuration error (cgconfig.h).
        

Thu Sep  2 04:00:00 2004 GMT            henrys@artifex.com

        * gs/src/gdevtrac.c [1.4] (+92 -92):
        memory parameter changes for the tracing device.
        

Thu Sep  2 03:00:00 2004 GMT            henrys@artifex.com

        * pcl/pctext.c [1.57] (+1 -2):
        modified not to flush current underline when underlining is disabled.
        I believe this change was checked in before but lost due to a disk
        drive failure resulting in corruption of several pcl files.
        

Wed Sep  1 06:00:00 2004 GMT            henrys@artifex.com

        * pl/plulfont.c [1.18] (+5 -5), pl/plufont.c [1.22] (+2 -2), 
        pl/pluchar.c [1.35] (+6 -3), pl/plps.mak [1.4] (+3 -3), 
        pl/pl.mak [1.40] (+3 -3), main/pcl6_gcc.mak [1.35] (+6 -4), 
        gs/src/gxfrac.h [1.9] (+12 -12), gs/src/gxcmap.c [1.17] (+2 -2):
        Initial UFST 4.6 integration.
        

Sun Aug 22 21:00:00 2004 GMT            henrys@artifex.com

        * gs/src/zbseq.c [1.10] (+3 -1), gs/src/iref.h [1.11] (+5 -1), 
        gs/src/interp.c [1.21] (+2 -1):
        GS DEBUGGER fixes.  These changes should have been included in the
        initial debugger checkin.
        

Sun Jun 27 20:00:00 2004 GMT            henrys@artifex.com

        * gs/src/zpacked.c [1.14] (+5 -1), gs/src/store.h [1.10] (+32 -2), 
        gs/src/iscan.c [1.17] (+128 -39), gs/src/interp.c [1.20] (+329 -1), 
        gs/src/iconf.c [1.11] (+8 -2), gs/src/gsio.h [1.11] (+6 -1), 
        gs/src/gdebug.h [1.12] (+5 -1):
        Modification of Ghostscript debugger.  This code is not stable.
        
        * gs/lib/README.GSDEBUGGER [1.1] (+0 -0):
        debugger documentation.
        

Mon Jun 14 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gsdfilt.c [1.5] (+2 -2):
        Typo fix: move free before return.
        
        * gs/src/ztoken.c [1.14] (+2 -2), gs/src/zmedia2.c [1.16] (+3 -3), 
        gs/src/zfjbig2.c [1.4] (+5 -5), gs/src/windows_.h [1.10] (+2 -2), 
        gs/src/szlibd.c [1.11] (+11 -11), gs/src/stream.c [1.21] (+2 -2), 
        gs/src/sjbig2.h [1.4] (+2 -2), gs/src/gxtype1.h [1.15] (+3 -3), 
        gs/src/gxhintn.c [1.5] (+3 -3), gs/src/gxcldev.h [1.17] (+2 -2), 
        gs/src/gxchar.c [1.11] (+13 -13), gs/src/gstrans.c [1.8] (+6 -6), 
        gs/src/gspaint.c [1.14] (+3 -3), gs/src/gsdps1.c [1.12] (+7 -7), 
        gs/src/gsdcolor.h [1.12] (+2 -2), gs/src/gdevprn.c [1.23] (+2 -2):
        Whitespace changes: indentation, and removal of CR characters.
        

Mon Apr 26 18:00:00 2004 GMT            henrys@artifex.com

        * pl/plulfont.c [1.17] (+5 -5), pl/plftable.c [1.16] (+91 -91):
        add escapements to pcl font table and more verbose debugging output
        upon loading ufst fonts.  The latter may be removed in the future.
        

Tue Apr 13 21:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plfont.c [1.35] (+2 -2):
        Fixed cut and paste typo.
        
        * pl/pluchar.c [1.34] (+2 -2):
        Removed extra trailing semicolon
        
        * pcl/pctext.c [1.56] (+2 -2):
        Fix regression where 1 byte chars were not ignoring vertical substitution.
        

Fri Apr  9 01:00:00 2004 GMT            henrys@artifex.com

        * pl/pluchar.c [1.33] (+3 -3), pl/plfont.h [1.17] (+2 -2), 
        pl/plchar.c [1.36] (+2 -2), pcl/pcsfont.c [1.42] (+8 -2):
        The UFST's swap data routine was not getting the correct "size" value
        for intellifont data.
        

Thu Apr  8 21:00:00 2004 GMT            henrys@artifex.com

        * pcl/pccid.h [1.9] (+5 -7), pcl/pccid.c [1.20] (+34 -6):
        the use ciecolor boolean could be used uninitialized - not associated
        with any known problem.  Replace cid macro accessors with functions.
        
        * pl/plufont.c [1.21] (+2 -2):
        fix an embarassing typo.
        

Thu Apr  1 16:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pctext.c [1.55] (+3 -3):
        Internal fonts with no character map implicitly index the font
        with an added offset of 0xf000 to the character index.
        This will need to be revisited if we support Type 1 internal fonts
        from pcl.
        

Wed Mar 31 22:00:00 2004 GMT            henrys@artifex.com

        * pxl/pxfont.c [1.28] (+15 -4), pl/plufont.c [1.20] (+7 -12), 
        pl/pluchar.c [1.32] (+48 -245), pl/pllrfont.c [1.3] (+2 -1), 
        pl/plfont.h [1.16] (+7 -2), pl/plfont.c [1.34] (+3 -1), 
        pl/plchar.c [1.35] (+13 -1), pcl/pcsfont.c [1.41] (+7 -1):
        pcsfont.c - swap header for downloaded intellifonts when using the
        agfa scaler.  Set "is xl font" boolean to false for pcl downloaded
        characters.
        
        plfont.c & plfont.h - initialiazes & creates "is xl" boolean.
        Probably needs a better name it should only applies to xl truetype
        downloaded fonts.
        
        pllrfont.c - corrects error checking problem when appending font data
        (mistake from recent rom font compression implementation) Also
        initialization for "is xl" font.
        
        pluchar.c - modified to use the UFST rasterizer for downloaded fonts.
        Gets rid of global font header buffer used for byte swapped headers.
        The headers are now byte swapped once when the font is created.  New
        funtion to prepend an agfa dummy header for xl format 16 style fonts.
        Also a new function to swap headers.  This is used only for
        intellifonts w/ AGFA.  Many other UFST download font bug fixes in this
        check in as well.
        
        pxfont.c - the agfa configuration requires replacing the pxl download
        header with their own "dummy" header.  Added code to do that.
        Comments out code that checked the header when downloading characters.
        The latter needs to be fixed but cannot check the header itself since
        this data was changed to use the UFST "dummy" header.  See "NB FIXME"
        in the code.
        
        extmem.c (UFST module) - modified memory configuration to the sizes AGFA
        associates with the "ASIAN ENCODING" configuration.  This is needed to
        rasterize large tt glyphs.
        

Tue Mar 30 15:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plsymbol.c [1.17] (+2 -2):
        Fixed incorrect glyph in Unicode 5N symbol table.
        

Wed Mar 24 04:00:00 2004 GMT            henrys@artifex.com

        * tools/ttf_windows_font_name.c [1.2] (+0 -0), tools/makeromttf.py [1.3] (+1 -3):
        ttf_windows_font_name.c was recoded in python last checkin and is not
        longer needed.
        
        * tools/makeromttf.py [1.2] (+60 -7), pl/pllrfont.c [1.2] (+75 -2), 
        pl/plfont.h [1.15] (+6 -1):
        Rom font compression.  This is not quite complete because it allocates
        space for all of the resident fonts and leaves them in memory.  Fixing
        this problem is a separate work soon to be checked in.
        

Wed Mar 17 17:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plftable.c [1.15] (+3 -4):
        Fixed name of urw Symbol font to StandardSymL
        

Mon Mar 15 17:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevdljm.c [1.6] (+4 -4):
        Merge paper size fix from gs 8.14
        

Mon Mar 15 16:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pctext.c [1.54] (+9 -2):
        Fix for linedraw characters in the lineprinter font ArtLinePrinter.ttf
        
        lineprinter should have an aspect ratio of 2.0833 rather than the
        2.0 height/width ratio most fonts have.  This give a 36x75 cell at 600dpi
        instead of a 36x72 cell.  Rather than rebuilding the font this hack scales
        lineprinter glyphs by an extra 1.0417 in height.  This is triggered by a
        font with a 16.6667 pitch.
        

Mon Mar 15 15:00:00 2004 GMT            henrys@artifex.com

        * tools/tt2pcl.c [1.4] (+78 -49):
        accessing the loca table did not work correctly if the long format was
        used.  Generated pcl test output now works minimally, but only with
        the Artifex interpreter.
        

Sat Mar 13 23:00:00 2004 GMT            henrys@artifex.com

        * urwfonts/ArtLinePrinter.ttf [1.5] (+15 -14):
        alignment of line drawing characters.  Continuation of previous check-in.
        

Sat Mar 13 22:00:00 2004 GMT            henrys@artifex.com

        * tools/tt2pcl.c [1.3] (+62 -32):
        Now uses microsoft segment mapping to enumerate characters in the
        fonts.  Warning: this code has many known problems with pcl
        generation.  The diagnostic output which shows character to unicode
        mapping and checksum of glyphs is being used for another project, that
        is why the code is being checked in such a preliminary state.
        

Thu Mar 11 06:00:00 2004 GMT            henrys@artifex.com

        * tools/tt2pcl.c [1.2] (+46 -31), pl/pllfont.c [1.15] (+2 -11), 
        pl/plftable.c [1.14] (+9 -9), pl/plfont.c [1.33] (+1 -19):
        tt2pcl.c - adds more diagnostics, file offsets where font data is
        written.  Fixes crash that could occur if the font did not have a cvt
        table.
        
        pl/plfont.c pl/plftable.c pl/pllfont.c: set the nominal width for
        fixed space fonts in the font table instead of deriving it from the
        font.
        
        * urwfonts/ArtLinePrinter.ttf [1.4] (+13 -13):
        improves alignment of line drawing characters, still not exact but
        much closer.
        

Wed Mar 10 19:00:00 2004 GMT            henrys@artifex.com

        * tools/tt2pcl.c [1.1] (+0 -0):
        WARNING:still being developed...  Converts a TrueType font to a pcl
        soft font.  Also prints a lot of diagnostic information to stderr
        about the TrueType font.  To build it `make tt2pcl' should be enough.
        

Tue Mar  9 19:00:00 2004 GMT            henrys@artifex.com

        * Makefile [1.8] (+1 -1):
        The language switch production build compiled with symbols and without
        optimization.
        

Fri Mar  5 00:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * tools/makerelease.sh [1.8] (+12 -10):
        Added modification of version number in plps.mak
        Only if both the news file and the mak file commits occur
        does a ghostpcl_version.tar.gz get created otherwise it is
        named BS_ghostpcl_version.tar.gz
        

Tue Mar  2 19:00:00 2004 GMT            henrys@artifex.com

        * problems_and_questions.txt [1.2] (+0 -0):
        remove obsolete developer's notes.
        

Sun Feb 29 21:00:00 2004 GMT            henrys@artifex.com

        * doc/ghostpcl.dvi [1.3] (+0 -0):
        remove dvi file from CVS, it is easily generated.
        
        * doc/webup.gif [1.2] (+0 -0), doc/pclfaq.htm [1.7] (+0 -0), 
        doc/pclbug.html [1.2] (+0 -0), doc/index.html [1.21] (+0 -0), 
        doc/ghostpcl.txt [1.2] (+54 -38), doc/ghostpcl.tex [1.2] (+59 -54), 
        doc/ghostpcl.pdf [1.2] (+665 -590), doc/ghostpcl.dvi [1.2] (+14 -12), 
        doc/Public.htm [1.2] (+1 -1):
        removes obsolete html documentation.  Minor corrections and references
        added to the new documentation.
        

Fri Feb 27 23:00:00 2004 GMT            henrys@artifex.com

        * gs/src/gdevbit.c [1.23] (+2 -2):
        convert bit device back to alway band
        

Fri Feb 27 21:00:00 2004 GMT            henrys@artifex.com

        * Makefile [1.7] (+6 -5):
        The language switching targets had several miscellaneous problems.
        

Fri Feb 27 20:00:00 2004 GMT            henrys@artifex.com

        * gs/src/tttypes.h [1.2] (+1 -1), gs/src/tttype.h [1.2] (+1 -1), 
        gs/src/tttables.h [1.2] (+1 -1), gs/src/ttobjs.h [1.2] (+1 -1), 
        gs/src/ttobjs.c [1.2] (+1 -1), gs/src/ttmisc.h [1.2] (+1 -1), 
        gs/src/ttload.h [1.2] (+1 -1), gs/src/ttload.c [1.2] (+1 -1), 
        gs/src/ttinterp.h [1.2] (+1 -1), gs/src/ttinterp.c [1.2] (+1 -1), 
        gs/src/ttfsfnt.h [1.2] (+1 -1), gs/src/ttfoutl.h [1.2] (+1 -1), 
        gs/src/ttfmemd.h [1.2] (+1 -1), gs/src/ttfmemd.c [1.2] (+1 -1), 
        gs/src/ttfmain.c [1.2] (+1 -1), gs/src/ttfinp.h [1.2] (+1 -1), 
        gs/src/ttfinp.c [1.2] (+1 -1), gs/src/ttconfig.h [1.2] (+1 -1), 
        gs/src/ttconf.h [1.2] (+1 -1), gs/src/ttcommon.h [1.2] (+1 -1), 
        gs/src/ttcalc.h [1.2] (+1 -1), gs/src/ttcalc.c [1.2] (+1 -1), 
        gs/src/lib.mak [1.33] (+4 -58), gs/src/gstype42.c [1.29] (+1 -2):
        removes freetype business.
        

Fri Feb 27 19:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gsutil.h [1.13] (+5 -2), gs/src/gsutil.c [1.16] (+15 -4), 
        gs/src/gstext.c [1.18] (+2 -2), gs/src/gspaint.c [1.13] (+6 -6), 
        gs/src/gsimage.c [1.18] (+2 -2):
        Fix bug where changing the object tag was ignored unless
        the color was also changed.
        
        Added gx_unset_dev_color to the setting of object tags.
        
        This assumes the caller will be setting the device color.
        It only unsets the color if the tag changes.
        
        This will fix will be cosmetically changed later to move the
        global BITAG and setting routines into a more appropriate place
        like gxdcolor
        
        * language_switch/pspcl6_gcc.mak [1.13] (+4 -11):
        Removed references to unsupported freetype font scaler.
        
        Added bitcmyk and bitrgbtags devices.
        

Fri Feb 27 18:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxp1fill.c [1.15] (+3 -3):
        Added non-NULL gs_memory_t pointers to tile_clip_initialize.
        
        NULL device->memory pointers are not a valid mechanism for
        stack based devices.
        

Fri Feb 27 18:00:00 2004 GMT            henrys@artifex.com

        * gs/man/wftopfa.1 [1.6] (+1 -1), gs/man/ps2ps.1 [1.14] (+1 -1), 
        gs/man/ps2pdfwr.1 [1.6] (+1 -1), gs/man/ps2pdf.1 [1.14] (+1 -1), 
        gs/man/ps2epsi.1 [1.14] (+1 -1), gs/man/ps2ascii.1 [1.14] (+1 -1), 
        gs/man/printafm.1 [1.6] (+1 -1), gs/man/pfbtopfa.1 [1.6] (+1 -1), 
        gs/man/pf2afm.1 [1.6] (+1 -1), gs/man/pdfopt.1 [1.3] (+1 -1), 
        gs/man/pdf2ps.1 [1.14] (+1 -1), gs/man/pdf2dsc.1 [1.14] (+1 -1), 
        gs/man/gsnd.1 [1.6] (+1 -1), gs/man/gslp.1 [1.6] (+1 -1), 
        gs/man/gs.1 [1.15] (+1 -1), gs/man/font2c.1 [1.6] (+1 -1), 
        gs/man/eps2eps.1 [1.4] (+1 -1), gs/man/dvipdf.1 [1.6] (+1 -1), 
        gs/man/de/wftopfa.1 [1.2] (+1 -1), gs/man/de/ps2ps.1 [1.2] (+1 -1), 
        gs/man/de/ps2pdf.1 [1.2] (+1 -1), gs/man/de/ps2ascii.1 [1.2] (+1 -1), 
        gs/man/de/printafm.1 [1.2] (+1 -1), gs/man/de/pdfopt.1 [1.2] (+1 -1), 
        gs/man/de/pdf2ps.1 [1.2] (+1 -1), gs/man/de/pdf2dsc.1 [1.2] (+1 -1), 
        gs/man/de/gsnd.1 [1.2] (+1 -1), gs/man/de/font2c.1 [1.2] (+1 -1), 
        gs/man/de/dvipdf.1 [1.2] (+1 -1), gs/man/de/ansi2knr.1 [1.2] (+1 -1), 
        gs/man/ansi2knr.1 [1.10] (+1 -1), gs/man/README [1.1] (+0 -0):
        remove ghostscript man pages, add README to point users to
        www.ghostscript.com.
        

Fri Feb 27 17:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/sddparam.c [1.10] (+2 -2):
        Fix incorrect gs_memory_t ptr
        
        * pl/plulfont.c [1.16] (+25 -24), pl/plufont.c [1.19] (+33 -22), 
        pl/pluchar.c [1.31] (+48 -45):
        Added gs_memory_t pointers to our ufst interface.
        

Fri Feb 27 17:00:00 2004 GMT            henrys@artifex.com

        * gs/doc/xfonts.htm [1.10] (+1 -1), gs/doc/fonts.htm [1.11] (+1 -1), 
        gs/doc/Use.htm [1.11] (+1 -1), gs/doc/Unix-lpr.htm [1.10] (+1 -1), 
        gs/doc/Tester.htm [1.9] (+1 -1), gs/doc/Source.htm [1.10] (+1 -1), 
        gs/doc/Release.htm [1.8] (+1 -1), gs/doc/Readme.htm [1.11] (+1 -1), 
        gs/doc/Readme [1.7] (+0 -0), gs/doc/README [1.1] (+0 -0), 
        gs/doc/Public.htm [1.7] (+1 -1), gs/doc/Public [1.6] (+0 -0), 
        gs/doc/Psfiles.htm [1.11] (+1 -1), gs/doc/Ps2pdf.htm [1.10] (+1 -1), 
        gs/doc/Ps2epsi.htm [1.4] (+1 -1), gs/doc/Ps-style.htm [1.2] (+1 -1), 
        gs/doc/Projects.htm [1.4] (+1 -1), gs/doc/News.htm [1.12] (+1 -1), 
        gs/doc/New-user.htm [1.11] (+1 -1), gs/doc/Make.htm [1.11] (+1 -1), 
        gs/doc/Maintain.htm [1.4] (+1 -1), gs/doc/Lib.htm [1.10] (+1 -1), 
        gs/doc/Language.htm [1.11] (+1 -1), gs/doc/Issues.htm [1.2] (+1 -1), 
        gs/doc/Install.htm [1.11] (+1 -1), gs/doc/Index.html [1.3] (+0 -0), 
        gs/doc/Humor.htm [1.6] (+1 -1), gs/doc/Htmstyle.htm [1.10] (+1 -1), 
        gs/doc/History7.htm [1.2] (+1 -1), gs/doc/History6.htm [1.5] (+1 -1), 
        gs/doc/History5.htm [1.9] (+1 -1), gs/doc/History4.htm [1.10] (+1 -1), 
        gs/doc/History3.htm [1.10] (+1 -1), gs/doc/History2.htm [1.10] (+1 -1), 
        gs/doc/History1.htm [1.10] (+1 -1), gs/doc/Hershey.htm [1.9] (+1 -1), 
        gs/doc/Helpers.htm [1.11] (+1 -1), gs/doc/Gsdoc.el [1.9] (+0 -0), 
        gs/doc/Gs.css [1.2] (+0 -0), gs/doc/Gs-vms.hlp [1.12] (+1 -1), 
        gs/doc/Drivers.htm [1.11] (+1 -1), gs/doc/Dll.htm [1.10] (+1 -1), 
        gs/doc/Devices.htm [1.11] (+1 -1), gs/doc/Develop.htm [1.2] (+1 -1), 
        gs/doc/Current.htm [1.12] (+1 -1), gs/doc/Copying.htm [1.10] (+1 -1), 
        gs/doc/Commprod.htm [1.11] (+1 -1), gs/doc/Changes.htm [1.4] (+0 -0), 
        gs/doc/C-style.htm [1.11] (+1 -1), gs/doc/Bug-info.htm [1.4] (+1 -1), 
        gs/doc/Bug-form.htm [1.12] (+1 -1), gs/doc/API.htm [1.2] (+1 -1):
        remove gs documentation and add a README to point folks to
        www.ghostscript.com/doc
        
        * gs/src/gdevbit.c [1.22] (+3 -7):
        remove CIEWORKING #define.  C based CRD problems are now fixed.
        

Thu Feb 26 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevdcrd.c [1.9] (+5 -3):
        Removed const gs_memory_t pointers from encoding functions.
        

Wed Feb 25 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevdcrd.c [1.8] (+5 -4):
        Added const gs_memory_t pointers to encoding and transform functions.
        

Tue Feb 24 19:00:00 2004 GMT            henrys@artifex.com

        * tools/fontpage.pcl [1.1] (+0 -0):
        add pcl font listing page
        

Sun Feb 22 22:00:00 2004 GMT            henrys@artifex.com

        * gs/Resource/Decoding/Unicode [1.1] (+0 -0), gs/Resource/Decoding/StandardEncoding [1.1] (+0 -0), 
        gs/Resource/Decoding/Latin1 [1.1] (+0 -0), gs/Resource/ColorSpace/DefaultRGB [1.1] (+0 -0), 
        gs/Resource/ColorSpace/DefaultGray [1.1] (+0 -0), gs/Resource/ColorSpace/DefaultCMYK [1.1] (+0 -0), 
        gs/Resource/CMap/WP-Symbol [1.1] (+0 -0), gs/Resource/CMap/V [1.1] (+0 -0), 
        gs/Resource/CMap/UniKS-UCS2-V [1.1] (+0 -0), gs/Resource/CMap/UniKS-UCS2-H [1.1] (+0 -0), 
        gs/Resource/CMap/UniJIS-UCS2-V [1.1] (+0 -0), gs/Resource/CMap/UniJIS-UCS2-H [1.1] (+0 -0), 
        gs/Resource/CMap/UniHojo-UCS2-H [1.1] (+0 -0), gs/Resource/CMap/UniGB-UCS2-V [1.1] (+0 -0), 
        gs/Resource/CMap/UniGB-UCS2-H [1.1] (+0 -0), gs/Resource/CMap/UniCNS-UCS2-V [1.1] (+0 -0), 
        gs/Resource/CMap/UniCNS-UCS2-H [1.1] (+0 -0), gs/Resource/CMap/Roman [1.1] (+0 -0), 
        gs/Resource/CMap/RKSJ-V [1.1] (+0 -0), gs/Resource/CMap/RKSJ-H [1.1] (+0 -0), 
        gs/Resource/CMap/NWP-V [1.1] (+0 -0), gs/Resource/CMap/NWP-H [1.1] (+0 -0), 
        gs/Resource/CMap/Katakana [1.1] (+0 -0), gs/Resource/CMap/KSCms-UHC-V [1.1] (+0 -0), 
        gs/Resource/CMap/KSCms-UHC-H [1.1] (+0 -0), gs/Resource/CMap/KSC-Johab-V [1.1] (+0 -0), 
        gs/Resource/CMap/KSC-Johab-H [1.1] (+0 -0), gs/Resource/CMap/Identity-V [1.1] (+0 -0), 
        gs/Resource/CMap/Identity-H [1.1] (+0 -0), gs/Resource/CMap/Hiragana [1.1] (+0 -0), 
        gs/Resource/CMap/Hankaku [1.1] (+0 -0), gs/Resource/CMap/H [1.1] (+0 -0), 
        gs/Resource/CMap/GBK-EUC-V [1.1] (+0 -0), gs/Resource/CMap/GBK-EUC-H [1.1] (+0 -0), 
        gs/Resource/CMap/Ext-V [1.1] (+0 -0), gs/Resource/CMap/Ext-RKSJ-V [1.1] (+0 -0), 
        gs/Resource/CMap/Ext-RKSJ-H [1.1] (+0 -0), gs/Resource/CMap/Ext-H [1.1] (+0 -0), 
        gs/Resource/CMap/EUC-V [1.1] (+0 -0), gs/Resource/CMap/EUC-H [1.1] (+0 -0), 
        gs/Resource/CMap/ETenms-B5-V [1.1] (+0 -0), gs/Resource/CMap/ETenms-B5-H [1.1] (+0 -0), 
        gs/Resource/CMap/ETen-B5-V [1.1] (+0 -0), gs/Resource/CMap/ETen-B5-UCS2 [1.1] (+0 -0), 
        gs/Resource/CMap/ETen-B5-H [1.1] (+0 -0), gs/Resource/CMap/ETHK-B5-V [1.1] (+0 -0), 
        gs/Resource/CMap/ETHK-B5-H [1.1] (+0 -0), gs/Resource/CMap/Adobe-Japan1-2 [1.1] (+0 -0), 
        gs/Resource/CMap/Adobe-Japan1-1 [1.1] (+0 -0), gs/Resource/CMap/Adobe-Japan1-0 [1.1] (+0 -0), 
        gs/Resource/CMap/Add-V [1.1] (+0 -0), gs/Resource/CMap/Add-RKSJ-V [1.1] (+0 -0), 
        gs/Resource/CMap/Add-RKSJ-H [1.1] (+0 -0), gs/Resource/CMap/Add-H [1.1] (+0 -0), 
        gs/Resource/CMap/90pv-RKSJ-V [1.1] (+0 -0), gs/Resource/CMap/90pv-RKSJ-H [1.1] (+0 -0), 
        gs/Resource/CMap/90ms-RKSJ-V [1.1] (+0 -0), gs/Resource/CMap/90ms-RKSJ-H [1.1] (+0 -0), 
        gs/Resource/CMap/83pv-RKSJ-H [1.1] (+0 -0), gs/Resource/CMap/78ms-RKSJ-V [1.1] (+0 -0), 
        gs/Resource/CMap/78ms-RKSJ-H [1.1] (+0 -0), gs/Resource/CMap/78-V [1.1] (+0 -0), 
        gs/Resource/CMap/78-RKSJ-V [1.1] (+0 -0), gs/Resource/CMap/78-RKSJ-H [1.1] (+0 -0), 
        gs/Resource/CMap/78-H [1.1] (+0 -0), gs/Resource/CMap/78-EUC-V [1.1] (+0 -0), 
        gs/Resource/CMap/78-EUC-H [1.1] (+0 -0):
        Adds resource subdirectory - imported from gs.
        
        * Makefile [1.6] (+2 -2):
        Install target had wrong directory for the language switch build.
        Adds more PHONY targets.
        

Sun Feb 22 20:00:00 2004 GMT            henrys@artifex.com

        * Makefile [1.5] (+36 -2):
        new target for the language switching build changes pg-fp to profile
        

Fri Feb 20 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * language_switch/pspcl6_gcc.mak [1.12] (+1 -1):
        Default compile inits to true.
        
        Note that the current system is designed for an
        embedded language switched build.
        
        * gs/lib/gs_init.ps [1.24] (+7 -4):
        Comment out loading of unicode decoding resources.
        The language switching build is designed to have its resources
        in rom and this is a large rom users.
        
        This maybe reenabled for pdf as input customers, normally with a disk.
        

Fri Feb 20 19:00:00 2004 GMT            henrys@artifex.com

        * doc/ghostpcl.txt [1.1] (+0 -0), doc/ghostpcl.tex [1.1] (+0 -0), 
        doc/ghostpcl.pdf [1.1] (+0 -0), doc/ghostpcl.dvi [1.1] (+0 -0), 
        doc/Makefile [1.1] (+0 -0):
        Rough draft of revised PCL documentation
        

Wed Feb 18 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxclimag.c [1.18] (+4 -3):
        Allow clist and no halftone.
        This optimization allows a NULL halftone to be written to the clist.
        

Wed Feb 18 18:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/zfdcte.c [1.16] (+2 -1), gs/src/sdeparam.c [1.12] (+2 -2), 
        gs/src/sddparam.c [1.9] (+2 -1), gs/src/gdevjpeg.c [1.22] (+2 -1):
        Add s_stack_init() initialization to stack constucted stream_DCT_state objects.
        
        * gs/src/gp_mswin.c [1.14] (+2 -2):
        Add missing mem pointer.
        
        * gs/src/gdevpdfi.c [1.20] (+19 -6):
        Merging Igor's fix for pdfwrite converting type 4 image to image mask.
        
        This creates a colorspace for the mask that is seperate from the
        colorspace of the color applyed to the mask.
        
        * gs/src/gsmalloc.c [1.22] (+4 -3):
        Return a reasonable result in the case where no
        locked target exists (No locking allocator)
        

Tue Feb 17 22:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevbit.c [1.21] (+10 -10):
        Added X_DPI and Y_DPI macros to bitrgbtags device initialization.
        Changed banding back to BandingNever, this device currently doesn't
        support banding.
        
        The -dMaxBitmap= (#pixels in page * 4 )
        option should be used to insure enough memory.
        

Mon Feb 16 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * tools/pcl2pdfwr.bat [1.4] (+2 -2), tools/pcl2pdfwr [1.2] (+2 -2):
        Changed device name from pdfwrite2 to pdfwrite.
        
        * gs/src/gdevpdfi.c [1.19] (+5 -2):
        Fixed pcl->pdfwrite bug: applying wrong colorspace to mono images.
        
        Pdfwrite type 4 images can be converted to type 1 images in doing so the old code used
        created a 1 component colorspace.  Instead we are now using the existing colorspace.
        

Mon Feb 16 18:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxfarith.h [1.11] (+3 -3):
        Fixed double as int macro to use it's arguments.  Used in 64bit systems.
        
        * gs/src/zfdctd.c [1.14] (+2 -1):
        Add stream initialization for stack based stream.
        

Mon Feb  2 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plfont.c [1.32] (+2 -2):
        Fixed logic error in checking if a glyph name from the mac glyph name table
        can be used for pcl->pdfwrite for non truetype fonts.
        

Fri Jan 30 23:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/zpcolor.c [1.16] (+2 -2), gs/src/zcssepr.c [1.16] (+2 -2), 
        gs/src/zcsindex.c [1.13] (+2 -2), gs/src/zcsdevn.c [1.13] (+2 -2), 
        gs/src/gscpixel.c [1.13] (+2 -2), gs/src/gscolor3.c [1.12] (+2 -2), 
        gs/src/gdevpdfb.c [1.8] (+2 -2):
        Add non-NULL gs_memory_t ptr to gs_cspace_init functions.
        
        * gs/src/gxshade1.c [1.18] (+3 -3), gs/src/gxfunc.h [1.13] (+3 -2), 
        gs/src/gsfunc4.c [1.9] (+2 -2), gs/src/gsfunc3.c [1.14] (+9 -8), 
        gs/src/gsfunc0.c [1.15] (+2 -2), gs/src/gsfunc.h [1.12] (+4 -4), 
        gs/src/gsfunc.c [1.13] (+4 -4):
        Merging addition of const gs_memory_t * to _is_monotonic functions
        from gslibctx branch.
        T
        

Fri Jan 30 00:00:00 2004 GMT            henrys@artifex.com

        * pxl/pxfont.c [1.27] (+2 -2):
        enable return width functionality in text operartion.
        

Thu Jan 29 23:00:00 2004 GMT            henrys@artifex.com

        * gs/src/gxfill.c [1.18] (+2 -2):
        memory parameter compile fix for non debug builds.
        
        * pcl/pglabel.c [1.56] (+1 -18), pcl/pctext.c [1.53] (+5 -7):
        changed to use the default next_char_glyph procedure.
        
        * gs/src/gxfcopy.c [1.6] (+2 -2):
        A hack for pcl's usage of pdfwrite, returning gs_error_undefined
        instead of gs_error_invalidaccess for a 0 size glyph, allows pcl->pdf
        to fall back more gracefully if an invalid glyph is passed to
        pdfwrite.  This is a temporary change which is easier than addressing
        the root problem in pcl.
        
        * gs/src/gdevpdtt.c [1.6] (+11 -5), gs/src/gdevpdte.c [1.5] (+4 -1):
        pdfwrite did not handle TEXT_FROM_CHARS properly.
        

Tue Jan 27 18:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxfont.c [1.26] (+104 -92):
        Changing pxl text routines to use gs_chars instead of passing strings to
        gs_text_process.
        
        This has correct looking output but needs work for pdfwrite text selection.
        
        x and y width character widths appear to be wrong resulting in extra spaces
        when selecting text in acrobat.
        

Tue Jan 27 17:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/ziodevs.c [1.5] (+3 -3), gs/src/zfileio.c [1.15] (+2 -2), 
        gs/src/strimpl.h [1.10] (+3 -2), gs/src/sstring.c [1.10] (+3 -3), 
        gs/src/spngp.c [1.11] (+6 -6), gs/src/smtf.c [1.9] (+3 -3), 
        gs/src/sjbig2.c [1.4] (+2 -2), gs/src/sfxfd.c [1.12] (+5 -5), 
        gs/src/seexec.c [1.14] (+2 -2), gs/src/sbwbs.c [1.10] (+6 -6), 
        gs/src/sbhc.c [1.8] (+4 -4), gs/src/sbcp.c [1.9] (+7 -7), 
        gs/src/gp_msio.c [1.12] (+3 -3), gs/src/gp_macio.c [1.5] (+3 -3), 
        gs/src/gdevpsds.c [1.15] (+9 -9), gs/src/.cvsignore [1.2] (+1 -0):
        Adding const gs_memory_t *mem parameters to stream processing functions.
        
        The definition of a stream processing function is:
        #define stream_proc_process(proc)\
          int proc(const gs_memory_t *, stream_state *, stream_cursor_read *,\
            stream_cursor_write *, bool)
        
        Unfortunately missmatches only generate warnings instead of errors.
        

Tue Jan 27 04:00:00 2004 GMT            henrys@artifex.com

        * pl/plht.c [1.3] (+5 -1):
        avoid "sethalftone" for a contone device.  Change should not result
        in any output effect.
        

Mon Jan 26 20:00:00 2004 GMT            henrys@artifex.com

        * pl/plfont.c [1.31] (+3 -1):
        initialization for procedure glyph_info() and glyph_outline() which
        weren't filled in correctly for non TT device when using a high level
        device.
        

Mon Jan 26 11:00:00 2004 GMT            henrys@artifex.com

        * pl/plfont.c [1.30] (+19 -9), pl/plchar.c [1.34] (+2 -2):
        glyph to name behavior fixed for non-truetype fonts.  Also, removes
        obsolete comments and fixes debugging code.
        

Mon Jan 26 10:00:00 2004 GMT            henrys@artifex.com

        * pl/plfont.c [1.29] (+343 -640):
        proper implementation of glyph -> postscript name.  The previous setup
        used a single table providing a close approximation.  Now we use the
        truetype post table.  Needs review and modifications expected.
        

Fri Jan 23 23:00:00 2004 GMT            henrys@artifex.com

        * pl/plfont.c [1.28] (+3 -9):
        Experimental code mistakenly checked in corrupted the PDF Encoding
        Differences array.
        

Thu Jan 22 23:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevpsds.c [1.14] (+2 -2):
        Fixed another steam_process routine; adding gs_memory_t ptr.
        

Thu Jan 22 21:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevpsdi.c [1.16] (+3 -2):
        Hack in a work around to not segfault on null dictionary when pdfwrite is called
        by pcl without ps2pdfwr.ps initialization of distiller parameters.
        
        * gs/src/gdevpsds.c [1.13] (+2 -2):
        Add gs_memory_t *ptr to stream_process function s_compr_chooser_process()
        

Wed Jan 21 06:00:00 2004 GMT            henrys@artifex.com

        * tools/ttf_windows_font_name.c [1.1] (+0 -0), tools/makeromttf.py [1.1] (+0 -0):
        tools for creating a romfont system.  See description in
        makeromttf.py.
        
        * main/pcl6_gcc.mak [1.34] (+20 -9):
        Adds romfont support.
        
        * pl/pllrfont.c [1.1] (+0 -0), pl/pl.mak [1.39] (+16 -0):
        rom font loading module and corresponding makefile changes.
        

Wed Jan 21 02:00:00 2004 GMT            henrys@artifex.com

        * gs/src/gxfcopy.c [1.5] (+5 -2):
        Make pdfwrite a bit more lenient about a missing glyph.  Now the 131
        page pcl exhaustive character test chars.pcl runs.
        

Tue Jan 20 21:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxgstate.c [1.27] (+2 -2):
        Add parameter to denote that we are not sending high level pattern steams to pdfwrite
        

Tue Jan 20 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/zchar42.c [1.14] (+6 -6):
        fixup memory ptr
        
        * pcl/pctop.c [1.32] (+2 -2):
        Merge new pdfwrite code from Igor regressing pattern code prior to
        not use high level pattern streams.
        
        * pcl/pctext.c [1.52] (+54 -2):
        Revert to previous symbol mapping code that handles MSL encoding.
        
        * gs/src/zpcolor.c [1.15] (+9 -6), gs/src/zgstate.c [1.15] (+2 -2), 
        gs/src/int.mak [1.19] (+4 -4), gs/src/gxstate.h [1.10] (+3 -2), 
        gs/src/gxistate.h [1.11] (+3 -2), gs/src/gsstate.c [1.22] (+3 -2), 
        gs/src/gsptype1.c [1.15] (+9 -7), gs/src/gsistate.c [1.10] (+2 -1), 
        gs/src/gdevpdfx.h [1.16] (+3 -2), gs/src/gdevpdfv.c [1.8] (+275 -26), 
        gs/src/gdevpdfp.c [1.14] (+3 -2), gs/src/gdevpdfi.c [1.18] (+9 -6), 
        gs/src/gdevpdfg.h [1.6] (+4 -6), gs/src/gdevpdfg.c [1.9] (+7 -5), 
        gs/src/gdevpdfb.c [1.7] (+5 -5), gs/src/gdevpdf.c [1.16] (+2 -1):
        Merge new pdfwrite code from Igor regressing pattern code prior to
        high level pattern streams.
        
        * gs/src/zcsindex.c [1.12] (+2 -2):
        fix NULL memory ptr in colorspace init.
        

Tue Jan 20 06:00:00 2004 GMT            henrys@artifex.com

        * gs/src/gdevpdtt.c [1.5] (+5 -1):
        Report to GS group.  I am not sure what purpose the commented out code
        has but it steps on the clients text data.  The data being written
        to is a union possible holding data types other than bytes so I assume
        that whatever is being attempted here needs to be done in some other
        way.
        
        * pcl/pglabel.c [1.55] (+23 -51):
        modified to use text from chars instead of strings see gstext.h.  Also
        we were trying to render a space character even though no
        corresponding glyph existed in the font.  The LM mneumonic is broken
        with this change and I'm sure a few other regressions will result.
        

Sat Jan 17 06:00:00 2004 GMT            henrys@artifex.com

        * pcl/pctext.c [1.51] (+34 -33):
        modified to make more use of the text api and pass characters
        (gs_char) to the font machinery instead of bytes.
        
        * pl/plfont.c [1.27] (+650 -5), pl/plchar.c [1.33] (+14 -1):
        new callbacks for high level text processing, most important of which
        is a mapping from true type glyph indices to postscript names.  For
        now we use a single table for this since the post tables in our
        resident fonts are so similar.  We should search the TT post table to
        guarantee a correct name.
        
        * main/pcl6_gcc.mak [1.33] (+1 -1):
        add the pdfwrite device.  For the first time we use the actual device
        without modification.  The only change is to remove the dsc parser
        device from the pdfwrite device.  Including the dsc parser is a bug in
        the devs.mak file.
        
        * gs/src/gsfcmap.c [1.17] (+2 -2):
        avoid 0 byte allocation which is legal in the GS allocator but not in
        the pcl allocator.
        

Sat Jan 17 05:00:00 2004 GMT            henrys@artifex.com

        * gs/src/gxdcolor.c [1.15] (+2 -2):
        Another raster operation regression from devicen.  Here the source
        transparency flag was not being masked correctly.
        
        * gs/src/gsmisc.c [1.17] (+25 -2):
        modified debug routine to print bitmaps instead of bytemaps.
        

Thu Jan 15 16:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gdevxcf.c [1.4] (+9 -8), gs/src/gdevupd.c [1.19] (+84 -82), 
        gs/src/gdevstc.c [1.12] (+47 -47), gs/src/gdevpsim.c [1.13] (+12 -11), 
        gs/src/gdevpsd.c [1.5] (+9 -8), gs/src/gdevpng.c [1.12] (+17 -16), 
        gs/src/gdevijs.c [1.4] (+17 -17), gs/src/gdevepsn.c [1.11] (+7 -7), 
        gs/src/gdevepsc.c [1.11] (+11 -11), gs/src/gdevdevn.c [1.4] (+17 -15), 
        gs/src/gdevcdj.c [1.12] (+5 -5), gs/src/gdevbj10.c [1.10] (+7 -6), 
        gs/src/gdevbit.c [1.20] (+4 -1):
        More gs_memory_t pointer merges from gslibctx branch.
        

Wed Jan 14 20:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/ztrans.c [1.8] (+2 -2), gs/src/ztoken.c [1.13] (+2 -2), 
        gs/src/zrop.c [1.9] (+7 -7), gs/src/zmedia2.c [1.15] (+4 -4), 
        gs/src/zimage.c [1.16] (+5 -5), gs/src/zht2.c [1.14] (+2 -2), 
        gs/src/zgstate.c [1.14] (+3 -3), gs/src/zgeneric.c [1.14] (+2 -2), 
        gs/src/zfontenum.c [1.2] (+16 -13), gs/src/zfont42.c [1.14] (+5 -3), 
        gs/src/zfont2.c [1.13] (+2 -1), gs/src/zfont.c [1.17] (+5 -5), 
        gs/src/zfile.c [1.19] (+40 -29), gs/src/zfcid1.c [1.8] (+2 -2), 
        gs/src/zfcid.c [1.5] (+2 -2), gs/src/zcspixel.c [1.12] (+2 -1), 
        gs/src/zcolor.c [1.14] (+7 -7), gs/src/zchar42.c [1.13] (+3 -3), 
        gs/src/zchar1.c [1.18] (+6 -6), gs/src/zchar.c [1.18] (+4 -4), 
        gs/src/zbfont.c [1.12] (+18 -17), gs/src/imain.c [1.24] (+5 -7), 
        gs/src/icstate.h [1.15] (+9 -1), gs/src/gximage2.c [1.15] (+2 -1), 
        gs/src/gstype2.c [1.15] (+3 -3), gs/src/gsicc.c [1.5] (+4 -4):
        Merge gslibctx gs_memory_t pointer changes from gslibctx branch.
        
        * gs/src/gs.c [1.14] (+3 -2):
        Merged gslibctx memory_t pointer changes from gslibctx branch.
        

Wed Jan 14 19:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/unix-gcc.mak [1.27] (+19 -19):
        Comment out DEVICE_DEVS, these should be in the top level make not here.
        

Tue Jan 13 22:00:00 2004 GMT            henrys@artifex.com

        * gs/src/zusparam.c [1.14] (+23 -1), gs/src/ztrans.c [1.7] (+2 -4), 
        gs/src/ztoken.c [1.12] (+8 -3), gs/src/zpcolor.c [1.14] (+15 -10), 
        gs/src/zmedia2.c [1.14] (+40 -17), gs/src/ziodev2.c [1.14] (+5 -12), 
        gs/src/ziodev.c [1.14] (+2 -2), gs/src/zimage.c [1.15] (+14 -8), 
        gs/src/zht2.c [1.13] (+7 -4), gs/src/zgstate.c [1.13] (+41 -1), 
        gs/src/zgeneric.c [1.13] (+3 -2), gs/src/zfontenum.c [1.1] (+0 -0), 
        gs/src/zfont42.c [1.13] (+16 -10), gs/src/zfont2.c [1.12] (+1 -2), 
        gs/src/zfont.c [1.16] (+18 -2), gs/src/zfjbig2.c [1.3] (+5 -4), 
        gs/src/zfile1.c [1.4] (+2 -7), gs/src/zfile.c [1.18] (+76 -229), 
        gs/src/zfcid1.c [1.7] (+80 -2), gs/src/zfcid0.c [1.8] (+2 -2), 
        gs/src/zfcid.c [1.4] (+2 -6), gs/src/zfapi.c [1.6] (+1 -3), 
        gs/src/zdscpars.c [1.5] (+2 -2), gs/src/zcspixel.c [1.11] (+1 -2), 
        gs/src/zcolor.c [1.13] (+41 -6), gs/src/zcidtest.c [1.3] (+2 -2), 
        gs/src/zcid.c [1.11] (+2 -2), gs/src/zchar42.h [1.1] (+0 -0), 
        gs/src/zchar42.c [1.12] (+72 -57), gs/src/zchar1.c [1.17] (+50 -22), 
        gs/src/zchar.c [1.17] (+27 -2), gs/src/zbfont.c [1.11] (+79 -20), 
        gs/src/write_t2.c [1.3] (+17 -2), gs/src/wrfont.c [1.3] (+3 -3), 
        gs/src/winplat.mak [1.6] (+2 -2), gs/src/winint.mak [1.17] (+4 -4), 
        gs/src/windows_.h [1.9] (+2 -1), gs/src/wccommon.mak [1.20] (+1 -2), 
        gs/src/watcw32.mak [1.16] (+3 -4), gs/src/watclib.mak [1.19] (+2 -2), 
        gs/src/watc.mak [1.18] (+1 -1), gs/src/vms_x_fix.h [1.3] (+1 -0), 
        gs/src/version.mak [1.24] (+4 -4), gs/src/vdtrace.h [1.3] (+3 -3), 
        gs/src/vdtrace.c [1.3] (+2 -2), gs/src/unixtrad.mak [1.9] (+1 -1), 
        gs/src/unixinst.mak [1.17] (+6 -5), gs/src/unixansi.mak [1.18] (+11 -6), 
        gs/src/unix-gcc.mak [1.26] (+23 -32), gs/src/unix-end.mak [1.14] (+2 -2), 
        gs/src/unix-dll.mak [1.3] (+2 -2), gs/src/unix-aux.mak [1.8] (+2 -2), 
        gs/src/unistd_.h [1.3] (+10 -2), gs/src/ugcclib.mak [1.17] (+3 -4), 
        gs/src/tttypes.h [1.1] (+0 -0), gs/src/tttype.h [1.1] (+0 -0), 
        gs/src/tttables.h [1.1] (+0 -0), gs/src/ttobjs.h [1.1] (+0 -0), 
        gs/src/ttobjs.c [1.1] (+0 -0), gs/src/ttmisc.h [1.1] (+0 -0), 
        gs/src/ttload.h [1.1] (+0 -0), gs/src/ttload.c [1.1] (+0 -0), 
        gs/src/ttinterp.h [1.1] (+0 -0), gs/src/ttinterp.c [1.1] (+0 -0), 
        gs/src/ttfsfnt.h [1.1] (+0 -0), gs/src/ttfoutl.h [1.1] (+0 -0), 
        gs/src/ttfmemd.h [1.1] (+0 -0), gs/src/ttfmemd.c [1.1] (+0 -0), 
        gs/src/ttfmain.c [1.1] (+0 -0), gs/src/ttfinp.h [1.1] (+0 -0), 
        gs/src/ttfinp.c [1.1] (+0 -0), gs/src/ttconfig.h [1.1] (+0 -0), 
        gs/src/ttconf.h [1.1] (+0 -0), gs/src/ttcommon.h [1.1] (+0 -0), 
        gs/src/ttcalc.h [1.1] (+0 -0), gs/src/ttcalc.c [1.1] (+0 -0), 
        gs/src/time_.h [1.11] (+7 -4), gs/src/szlibe.c [1.10] (+2 -1), 
        gs/src/szlibd.c [1.10] (+12 -1), gs/src/stream.c [1.20] (+8 -4), 
        gs/src/stdpre.h [1.18] (+1 -29), gs/src/stdio_.h [1.10] (+2 -1), 
        gs/src/stdint_.h [1.1] (+0 -0), gs/src/std.h [1.16] (+3 -1), 
        gs/src/sjbig2.h [1.3] (+3 -2), gs/src/sjbig2.c [1.3] (+2 -1), 
        gs/src/sdctd.c [1.12] (+3 -1), gs/src/sdcparam.c [1.11] (+2 -2), 
        gs/src/os2.mak [1.16] (+3 -4), gs/src/oper.h [1.11] (+2 -2), 
        gs/src/openvms.mmk [1.10] (+5 -5), gs/src/openvms.mak [1.17] (+3 -4), 
        gs/src/opcheck.h [1.10] (+2 -2), gs/src/msvclib.mak [1.21] (+2 -2), 
        gs/src/msvccmd.mak [1.16] (+1 -2), gs/src/msvc32.mak [1.20] (+9 -9), 
        gs/src/macsysstat.h [1.2] (+0 -0), gs/src/macosx.mak [1.2] (+2 -5), 
        gs/src/macos_classic_d_pre.h [1.1] (+0 -0), gs/src/macos_carbon_pre.h [1.1] (+0 -0), 
        gs/src/macos_carbon_d_pre.h [1.1] (+0 -0), gs/src/macos-mcp.mak [1.3] (+6 -8), 
        gs/src/macos-fw.mak [1.2] (+2 -2), gs/src/macgenmcpxml.sh [1.3] (+15 -0), 
        gs/src/libpng.mak [1.15] (+5 -2), gs/src/lib.mak [1.32] (+118 -59), 
        gs/src/jbig2.mak [1.2] (+15 -6), gs/src/iutil2.c [1.11] (+2 -2), 
        gs/src/iutil.c [1.17] (+2 -2), gs/src/istack.c [1.12] (+2 -2), 
        gs/src/iscannum.c [1.14] (+2 -2), gs/src/iscanbin.c [1.15] (+2 -2), 
        gs/src/iscan.c [1.16] (+3 -11), gs/src/isave.h [1.12] (+4 -1), 
        gs/src/isave.c [1.17] (+2 -4), gs/src/ireclaim.c [1.12] (+2 -2), 
        gs/src/iplugin.c [1.5] (+2 -2), gs/src/iparam.c [1.16] (+2 -2), 
        gs/src/interp.h [1.12] (+6 -1), gs/src/interp.c [1.19] (+3 -4), 
        gs/src/int.mak [1.18] (+52 -45), gs/src/inobtokn.c [1.8] (+2 -3), 
        gs/src/iname.c [1.13] (+2 -3), gs/src/imainarg.c [1.18] (+2 -9), 
        gs/src/imain.c [1.23] (+11 -10), gs/src/ilocate.c [1.17] (+2 -2), 
        gs/src/iinit.c [1.15] (+2 -2), gs/src/igstate.h [1.10] (+2 -2), 
        gs/src/igc.h [1.13] (+4 -1), gs/src/igc.c [1.18] (+8 -2), 
        gs/src/ierrors.h [1.1] (+0 -0), gs/src/idparam.c [1.11] (+2 -2), 
        gs/src/idisp.h [1.4] (+6 -1), gs/src/idict.c [1.17] (+6 -5), 
        gs/src/icstate.h [1.14] (+1 -13), gs/src/icontext.c [1.14] (+3 -6), 
        gs/src/icid.h [1.5] (+4 -1), gs/src/ichar1.h [1.7] (+5 -1), 
        gs/src/iccfont.c [1.13] (+2 -3), gs/src/ibnum.c [1.13] (+2 -2), 
        gs/src/iapi.h [1.5] (+58 -3), gs/src/iapi.c [1.6] (+2 -2), 
        gs/src/ialloc.c [1.12] (+2 -2), gs/src/gzstate.h [1.12] (+19 -1), 
        gs/src/gzspotan.h [1.1] (+0 -0), gs/src/gzspotan.c [1.1] (+0 -0), 
        gs/src/gzpath.h [1.11] (+60 -6), gs/src/gzcpath.h [1.9] (+22 -1), 
        gs/src/gzacpath.h [1.9] (+5 -1), gs/src/gxtype1.h [1.14] (+6 -127), 
        gs/src/gxtype1.c [1.14] (+45 -199), gs/src/gxttfb.h [1.1] (+0 -0), 
        gs/src/gxttfb.c [1.1] (+0 -0), gs/src/gxtext.h [1.12] (+14 -1), 
        gs/src/gxstroke.c [1.20] (+8 -10), gs/src/gxstate.h [1.9] (+4 -2), 
        gs/src/gxshade.c [1.13] (+2 -2), gs/src/gxpflat.c [1.10] (+1096 -244), 
        gs/src/gxpcopy.c [1.14] (+139 -13), gs/src/gxpcolor.h [1.10] (+1 -3), 
        gs/src/gxpcmap.c [1.15] (+4 -7), gs/src/gxpath.h [1.12] (+21 -9), 
        gs/src/gxpath.c [1.14] (+4 -3), gs/src/gxop1.h [1.9] (+1 -1), 
        gs/src/gxistate.h [1.10] (+4 -2), gs/src/gxiscale.c [1.14] (+3 -2), 
        gs/src/gxipixel.c [1.13] (+3 -3), gs/src/gximono.c [1.16] (+3 -3), 
        gs/src/gximage3.c [1.16] (+2 -2), gs/src/gximage2.c [1.14] (+1 -3), 
        gs/src/gxifast.c [1.15] (+3 -3), gs/src/gxicolor.c [1.16] (+2 -2), 
        gs/src/gxi12bit.c [1.13] (+3 -2), gs/src/gxhtbit.c [1.8] (+3 -3), 
        gs/src/gxhldevc.h [1.1] (+0 -0), gs/src/gxhldevc.c [1.1] (+0 -0), 
        gs/src/gxhintn.h [1.3] (+16 -7), gs/src/gxhintn.c [1.4] (+204 -125), 
        gs/src/gxhint3.c [1.10] (+1 -1), gs/src/gxhint2.c [1.11] (+1 -1), 
        gs/src/gxhint1.c [1.10] (+1 -1), gs/src/gxfunc.h [1.12] (+4 -1), 
        gs/src/gxfont42.h [1.16] (+22 -1), gs/src/gxfont1.h [1.12] (+2 -2), 
        gs/src/gxfont.h [1.12] (+3 -1), gs/src/gxfill.h [1.1] (+0 -0), 
        gs/src/gxfill.c [1.17] (+1528 -1569), gs/src/gxfdrop.h [1.1] (+0 -0), 
        gs/src/gxfdrop.c [1.1] (+0 -0), gs/src/gxfcopy.h [1.3] (+8 -2), 
        gs/src/gxfcopy.c [1.4] (+91 -46), gs/src/gxfcmap.h [1.13] (+5 -5), 
        gs/src/gxfcache.h [1.12] (+89 -10), gs/src/gxdither.c [1.11] (+1 -1), 
        gs/src/gxdevndi.c [1.4] (+3 -3), gs/src/gxdevice.h [1.19] (+5 -1), 
        gs/src/gxdevcli.h [1.17] (+36 -1), gs/src/gxdda.h [1.8] (+2 -2), 
        gs/src/gxdcolor.c [1.14] (+2 -26), gs/src/gxcspace.h [1.15] (+18 -1), 
        gs/src/gxcpath.c [1.14] (+73 -11), gs/src/gxcmap.c [1.16] (+27 -2), 
        gs/src/gxclrect.c [1.14] (+4 -2), gs/src/gxclread.c [1.18] (+1 -2), 
        gs/src/gxclrast.c [1.22] (+8 -6), gs/src/gxclpath.c [1.21] (+14 -15), 
        gs/src/gxclist.c [1.15] (+4 -2), gs/src/gxclipm.c [1.12] (+6 -2), 
        gs/src/gxclip2.c [1.12] (+4 -2), gs/src/gxclip.c [1.15] (+4 -2), 
        gs/src/gxchar.h [1.11] (+2 -1), gs/src/gxchar.c [1.10] (+115 -71), 
        gs/src/gxccman.c [1.14] (+80 -24), gs/src/gxccache.c [1.14] (+63 -24), 
        gs/src/gxblend.h [1.3] (+5 -1), gs/src/gxblend.c [1.3] (+1 -2), 
        gs/src/gxacpath.c [1.16] (+2 -2), gs/src/gx.h [1.12] (+14 -7), 
        gs/src/gswts.c [1.4] (+9 -9), gs/src/gswin.icx [1.2] (+1 -1), 
        gs/src/gstype42.c [1.28] (+110 -20), gs/src/gstype2.c [1.14] (+34 -203), 
        gs/src/gstype1.h [1.11] (+5 -3), gs/src/gstype1.c [1.15] (+16 -210), 
        gs/src/gstrans.c [1.7] (+33 -6), gs/src/gstext.icx [1.3] (+0 -0), 
        gs/src/gstext.h [1.15] (+9 -1), gs/src/gstext.c [1.17] (+29 -10), 
        gs/src/gsstruct.h [1.16] (+18 -2), gs/src/gsstate.h [1.12] (+3 -1), 
        gs/src/gsstate.c [1.21] (+26 -2), gs/src/gsshade.h [1.11] (+11 -16), 
        gs/src/gsshade.c [1.15] (+23 -1), gs/src/gsptype2.h [1.11] (+6 -1), 
        gs/src/gsptype2.c [1.8] (+2 -1), gs/src/gsptype1.c [1.14] (+1 -5), 
        gs/src/gspcolor.c [1.19] (+25 -2), gs/src/gspath.c [1.13] (+1 -3), 
        gs/src/gspaint.c [1.12] (+15 -3), gs/src/gsmemory.c [1.14] (+1 -3), 
        gs/src/gslib.c [1.13] (+2 -2), gs/src/gsistate.c [1.9] (+8 -2), 
        gs/src/gsiomacres.c [1.3] (+63 -45), gs/src/gsicc.c [1.4] (+55 -3), 
        gs/src/gshtscr.c [1.15] (+16 -8), gs/src/gsht.c [1.13] (+12 -5), 
        gs/src/gsgraph.icx [1.3] (+0 -0), gs/src/gsfuncv.h [1.4] (+1 -1), 
        gs/src/gsfuncv.c [1.3] (+1 -1), gs/src/gsfunc4.c [1.8] (+20 -2), 
        gs/src/gsfunc3.c [1.13] (+70 -4), gs/src/gsfunc0.c [1.14] (+62 -2), 
        gs/src/gsfunc.h [1.11] (+16 -1), gs/src/gsfunc.c [1.12] (+32 -1), 
        gs/src/gsfont.h [1.9] (+5 -1), gs/src/gsfont.c [1.17] (+34 -4), 
        gs/src/gsfcmap1.c [1.6] (+1 -3), gs/src/gsfcmap.c [1.16] (+20 -18), 
        gs/src/gsdps1.c [1.11] (+37 -14), gs/src/gsdll32.def [1.4] (+0 -1), 
        gs/src/gsdll.c [1.11] (+3 -2), gs/src/gsdfilt.h [1.3] (+4 -2), 
        gs/src/gsdfilt.c [1.4] (+4 -8), gs/src/gsdevice.c [1.31] (+11 -2), 
        gs/src/gsdcolor.h [1.11] (+14 -8), gs/src/gscspace.c [1.16] (+17 -4), 
        gs/src/gscsepr.c [1.16] (+40 -4), gs/src/gscsepnm.h [1.8] (+1 -1), 
        gs/src/gscscie.c [1.15] (+163 -5), gs/src/gscrdp.c [1.15] (+1 -3), 
        gs/src/gscpixel.c [1.12] (+20 -2), gs/src/gscolor2.h [1.10] (+4 -1), 
        gs/src/gscolor2.c [1.15] (+62 -2), gs/src/gscolor1.c [1.13] (+3 -2), 
        gs/src/gscolor.c [1.14] (+4 -3), gs/src/gsciemap.c [1.14] (+15 -6), 
        gs/src/gscie.h [1.16] (+4 -1), gs/src/gscie.c [1.19] (+5 -8), 
        gs/src/gscencs.h [1.4] (+6 -1), gs/src/gscencs.c [1.4] (+18 -2), 
        gs/src/gscdevn.h [1.5] (+5 -1), gs/src/gscdevn.c [1.13] (+42 -2), 
        gs/src/gscdef.c [1.13] (+3 -2), gs/src/gsccode.h [1.13] (+14 -7), 
        gs/src/gsalloc.c [1.24] (+2 -2), gs/src/gs_stdio.h [1.2] (+1 -1), 
        gs/src/gs.mak [1.18] (+1 -5), gs/src/gs.c [1.13] (+3 -4), 
        gs/src/gpmisc.h [1.4] (+1 -7), gs/src/gpmisc.c [1.5] (+3 -2), 
        gs/src/gp_vms.c [1.13] (+66 -115), gs/src/gp_unix.c [1.14] (+22 -1), 
        gs/src/gp_unifs.c [1.12] (+9 -37), gs/src/gp_unifn.c [1.9] (+2 -60), 
        gs/src/gp_os9.c [1.12] (+22 -1), gs/src/gp_os2.c [1.12] (+24 -79), 
        gs/src/gp_ntfs.c [1.15] (+22 -81), gs/src/gp_mswin.c [1.13] (+53 -2), 
        gs/src/gp_macio.c [1.4] (+420 -124), gs/src/gp_mac.h [1.2] (+1 -4), 
        gs/src/gp_iwatc.c [1.14] (+23 -7), gs/src/gp_dvx.c [1.11] (+22 -1), 
        gs/src/gp_dosfs.c [1.9] (+2 -66), gs/src/gp.h [1.15] (+47 -40), 
        gs/src/geninit.c [1.10] (+6 -5), gs/src/genarch.c [1.11] (+2 -1), 
        gs/src/gdevvec.h [1.11] (+11 -5), gs/src/gdevvec.c [1.15] (+47 -29), 
        gs/src/gdevupd.c [1.18] (+24 -28), gs/src/gdevtrac.c [1.3] (+2 -2), 
        gs/src/gdevrops.c [1.11] (+4 -2), gs/src/gdevpx.c [1.16] (+23 -11), 
        gs/src/gdevpsim.c [1.12] (+6 -2), gs/src/gdevpsfx.c [1.6] (+70 -39), 
        gs/src/gdevpsfu.c [1.6] (+1 -21), gs/src/gdevpsft.c [1.11] (+42 -25), 
        gs/src/gdevpsfm.c [1.7] (+14 -9), gs/src/gdevpsf2.c [1.6] (+10 -6), 
        gs/src/gdevpsf.h [1.5] (+5 -10), gs/src/gdevpsdu.c [1.6] (+20 -16), 
        gs/src/gdevpsdi.c [1.15] (+4 -3), gs/src/gdevpsdf.h [1.12] (+3 -5), 
        gs/src/gdevpsd.c [1.4] (+18 -12), gs/src/gdevps.c [1.17] (+33 -12), 
        gs/src/gdevprn.c [1.22] (+5 -4), gs/src/gdevpng.c [1.11] (+48 -4), 
        gs/src/gdevplnx.c [1.10] (+6 -6), gs/src/gdevpdtx.h [1.3] (+3 -1), 
        gs/src/gdevpdtw.h [1.4] (+2 -2), gs/src/gdevpdtw.c [1.5] (+49 -25), 
        gs/src/gdevpdtv.h [1.1] (+0 -0), gs/src/gdevpdtv.c [1.1] (+0 -0), 
        gs/src/gdevpdtt.h [1.3] (+28 -4), gs/src/gdevpdtt.c [1.4] (+583 -229), 
        gs/src/gdevpdts.c [1.4] (+26 -3), gs/src/gdevpdti.c [1.4] (+15 -6), 
        gs/src/gdevpdtf.h [1.3] (+14 -4), gs/src/gdevpdtf.c [1.4] (+90 -18), 
        gs/src/gdevpdte.c [1.4] (+244 -86), gs/src/gdevpdtd.c [1.3] (+33 -12), 
        gs/src/gdevpdtc.c [1.5] (+317 -193), gs/src/gdevpdtb.h [1.3] (+3 -2), 
        gs/src/gdevpdtb.c [1.4] (+9 -6), gs/src/gdevpdfx.h [1.15] (+19 -31), 
        gs/src/gdevpdfw.c [1.9] (+1 -1), gs/src/gdevpdfv.c [1.7] (+39 -311), 
        gs/src/gdevpdfu.c [1.11] (+25 -4), gs/src/gdevpdft.c [1.16] (+1 -1), 
        gs/src/gdevpdfs.c [1.7] (+1 -1), gs/src/gdevpdfp.c [1.13] (+3 -3), 
        gs/src/gdevpdfo.c [1.15] (+15 -6), gs/src/gdevpdfm.c [1.14] (+7 -119), 
        gs/src/gdevpdfj.c [1.7] (+4 -1), gs/src/gdevpdfi.c [1.17] (+42 -47), 
        gs/src/gdevpdfg.h [1.5] (+34 -14), gs/src/gdevpdfg.c [1.8] (+150 -42), 
        gs/src/gdevpdff.h [1.6] (+1 -1), gs/src/gdevpdff.c [1.9] (+1 -1), 
        gs/src/gdevpdfe.c [1.4] (+1 -1), gs/src/gdevpdfd.c [1.14] (+155 -50), 
        gs/src/gdevpdfc.c [1.9] (+124 -25), gs/src/gdevpdfb.c [1.6] (+7 -4), 
        gs/src/gdevpdf2.c [1.4] (+1 -1), gs/src/gdevpdf.c [1.15] (+67 -43), 
        gs/src/gdevp14.c [1.4] (+290 -27), gs/src/gdevnfwd.c [1.15] (+57 -6), 
        gs/src/gdevm32.c [1.10] (+2 -2), gs/src/gdevht.h [1.8] (+1 -1), 
        gs/src/gdevht.c [1.8] (+1 -1), gs/src/gdevhpij.h [1.2] (+0 -0), 
        gs/src/gdevhpij.c [1.2] (+0 -0), gs/src/gdevepsc.c [1.10] (+3 -4), 
        gs/src/gdevdljm.c [1.5] (+2 -2), gs/src/gdevdflt.c [1.12] (+19 -1), 
        gs/src/gdevdevn.h [1.1] (+0 -0), gs/src/gdevdevn.c [1.3] (+207 -183), 
        gs/src/gdevddrw.h [1.3] (+1 -4), gs/src/gdevddrw.c [1.14] (+2 -8), 
        gs/src/gdevdbit.c [1.13] (+10 -2), gs/src/gdevbbox.c [1.28] (+6 -4), 
        gs/src/gdevalph.c [1.10] (+1 -1), gs/src/fapiufst.c [1.3] (+2 -2), 
        gs/src/fapi_ft.c [1.4] (+68 -41), gs/src/errors.h [1.12] (+6 -143), 
        gs/src/dxmainc.c [1.3] (+6 -4), gs/src/dxmain.c [1.3] (+6 -4), 
        gs/src/dwuninst.def [1.4] (+1 -2), gs/src/dwtrace.h [1.3] (+2 -2), 
        gs/src/dwsetup.def [1.4] (+1 -2), gs/src/dwnodll.c [1.2] (+2 -1), 
        gs/src/dwmainc.c [1.3] (+6 -4), gs/src/dwmain32.def [1.3] (+0 -3), 
        gs/src/dwmain.c [1.3] (+6 -4), gs/src/dwimg.c [1.3] (+3 -2), 
        gs/src/dwdll.c [1.3] (+2 -1), gs/src/dw32c.def [1.3] (+0 -2), 
        gs/src/dvx-gcc.mak [1.16] (+1 -2), gs/src/dscparse.h [1.5] (+15 -3), 
        gs/src/dscparse.c [1.5] (+290 -16), gs/src/dpmain.c [1.3] (+2 -2), 
        gs/src/dmmain.r [1.1] (+0 -0), gs/src/dmmain.c [1.1] (+0 -0), 
        gs/src/devs.mak [1.30] (+21 -13), gs/src/configure.ac [1.2] (+27 -4), 
        gs/src/cfonts.mak [1.13] (+2 -2), gs/src/ccgs [1.9] (+1 -1), 
        gs/src/bcwin32.mak [1.17] (+27 -9), gs/src/ansi2knr.c [1.11] (+1 -1), 
        gs/src/TAGS [1.2] (+0 -0), gs/lib/wftopfa.ps [1.10] (+3 -3), 
        gs/lib/viewcmyk.ps [1.13] (+2 -2), gs/lib/ps2epsi.ps [1.13] (+3 -1), 
        gs/lib/ps2ascii.ps [1.14] (+3 -6), gs/lib/pphs.ps [1.2] (+2 -2), 
        gs/lib/pdfwrite.ps [1.5] (+98 -36), gs/lib/pdfopt.ps [1.5] (+178 -73), 
        gs/lib/pdf_sec.ps [1.12] (+9 -3), gs/lib/pdf_rbld.ps [1.1] (+0 -0), 
        gs/lib/pdf_ops.ps [1.16] (+70 -31), gs/lib/pdf_main.ps [1.24] (+231 -63), 
        gs/lib/pdf_font.ps [1.17] (+124 -49), gs/lib/pdf_draw.ps [1.20] (+56 -28), 
        gs/lib/pdf_base.ps [1.17] (+220 -77), gs/lib/gslp.ps [1.11] (+3 -3), 
        gs/lib/gs_ttf.ps [1.17] (+92 -37), gs/lib/gs_stres.ps [1.2] (+37 -4), 
        gs/lib/gs_statd.ps [1.13] (+7 -2), gs/lib/gs_setpd.ps [1.15] (+24 -6), 
        gs/lib/gs_resst.ps [1.2] (+3 -3), gs/lib/gs_res.ps [1.15] (+5 -74), 
        gs/lib/gs_pfile.ps [1.10] (+2 -2), gs/lib/gs_pdfwr.ps [1.15] (+12 -7), 
        gs/lib/gs_ll3.ps [1.15] (+7 -62), gs/lib/gs_lev2.ps [1.18] (+2 -2), 
        gs/lib/gs_init.ps [1.23] (+51 -24), gs/lib/gs_icc.ps [1.3] (+24 -15), 
        gs/lib/gs_frsd.ps [1.3] (+3 -3), gs/lib/gs_fonts.ps [1.16] (+155 -49), 
        gs/lib/gs_fntem.ps [1.2] (+45 -2), gs/lib/gs_dscp.ps [1.4] (+1 -2), 
        gs/lib/gs_diskn.ps [1.2] (+2 -2), gs/lib/gs_devcs.ps [1.2] (+43 -16), 
        gs/lib/gs_cspace.ps [1.2] (+13 -7), gs/lib/gs_cidfn.ps [1.15] (+5 -1), 
        gs/lib/gs_ciddc.ps [1.2] (+1 -27), gs/lib/gs_cidcm.ps [1.5] (+3 -3), 
        gs/lib/font2c.ps [1.12] (+12 -12), gs/lib/dumphint.ps [1.1] (+0 -0), 
        gs/lib/dumphint.bat [1.1] (+0 -0), gs/lib/dumphint [1.1] (+0 -0), 
        gs/lib/decrypt.ps [1.2] (+1 -0), gs/lib/core [1.2] (+0 -0), 
        gs/lib/bdftops.ps [1.12] (+2 -2), gs/lib/Fontmap [1.12] (+1 -0):
        gs 8.13 src and lib directory merge.  PCL/XL build and runs, lanuage
        switching build does not yet compile... work in progress.
        

Sat Jan 10 20:00:00 2004 GMT            henrys@artifex.com

        * gs/src/unix-gcc.mak [1.25] (+2 -2):
        color index fix that should have been folded in with the last checkin.
        

Thu Jan  8 22:00:00 2004 GMT            henrys@artifex.com

        * main/pcl6_gcc.mak [1.32] (+12 -1), gs/src/gxcindex.h [1.12] (+6 -17):
        removes compiler dependency from gxcindex.h, sets up GX_COLOR_INDEX
        size in the top level makefile.  Makes the default color index 32 bits
        for performance reasons.  Corresponding changes should me made in the
        language switch build and msvc build however the default 32 bits will
        be used in absence of the needed changes.
        

Thu Jan  8 01:00:00 2004 GMT            henrys@artifex.com

        * gs/src/gdevbit.c [1.19] (+11 -6):
        Fixes map color rgb regression from devicen and temporarily disable
        the sample C based crd, which is incompatible with the most recent cie
        code.
        

Mon Jan  5 15:00:00 2004 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pglabel.c [1.54] (+4 -3):
        Fixed bug where left side bearing in gl was using unmapped character
        instead of using symbol set mapped character.
        

Tue Dec 16 16:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * psi/psitop.c [1.17] (+2 -2):
        Changed spelling of endjob to .endjob to match gs 8.x naming.
        

Wed Dec 10 18:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plchar.c [1.32] (+4 -1):
        Added private function declaration:
        pl_font_vertical_glyph()
        
        * pl/plmain.c [1.72] (+14 -10):
        Fixed bug for -dBoolean arguements where =true is defaulted.
        

Thu Dec  4 07:00:00 2003 GMT            henrys@artifex.com

        * gs/src/gxdcolor.c [1.13] (+8 -3):
        reverse source colors for non default raster op.
        

Tue Dec  2 19:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gp_unifs.c [1.11] (+5 -1):
        Temporary patch for debugging, printf's in sting_match()
        
        * gs/src/zchar32.c [1.12] (+2 -2), gs/src/igc.c [1.17] (+2 -2), 
        gs/src/iccfont.c [1.12] (+16 -14), gs/src/gxidata.c [1.15] (+3 -3), 
        gs/src/gxfill.c [1.16] (+2 -2), gs/src/gxfcache.h [1.11] (+6 -2), 
        gs/src/gxcmap.c [1.15] (+4 -4), gs/src/gxcldev.h [1.16] (+3 -3), 
        gs/src/gxccman.c [1.13] (+8 -5), gs/src/gsmemret.c [1.10] (+2 -2), 
        gs/src/gsfunc4.c [1.7] (+2 -2), gs/src/gsfont.c [1.16] (+2 -2), 
        gs/src/gserror.h [1.11] (+2 -2), gs/src/gscspace.c [1.15] (+4 -4), 
        gs/src/gsciemap.c [1.13] (+2 -2), gs/src/gscie.c [1.18] (+3 -3):
        Added memory_t pointer additions to macros that compile out in non-debug builds.
        Added memory_t to cc_no_mark_glyph().
        Removed spurious semicolons at the end of functions.
        Added some cast const away casts for a particularly picky compiler.
        
        * gs/src/cfonts.mak [1.12] (+2 -2):
        Change allows compiled in postscript fonts in a language switching build.
        
        * gs/src/gdevnfwd.c [1.14] (+2 -2):
        Fix for deviceN debugging, printf's
        

Fri Nov 21 08:00:00 2003 GMT            henrys@artifex.com

        * pcl/pctext.c [1.50] (+7 -8):
        The previous fix to no-op text with a transparent solid white pattern
        was not exactly correct.  If the source is opaque then the background
        of the character (bounding box minus character shape) must be rendered.
        

Fri Nov 21 05:00:00 2003 GMT            henrys@artifex.com

        * pcl/pcrect.c [1.15] (+2 -1):
        pcl rectangular fill did not properly mark the page dirty after
        rendering.
        

Thu Nov 20 06:00:00 2003 GMT            henrys@artifex.com

        * gs/src/gxclread.c [1.17] (+11 -4):
        Recycle the line ptrs in the buffer device to avoid a memory leak.
        

Wed Nov 19 23:00:00 2003 GMT            henrys@artifex.com

        * tools/junk/tolocaltree.sh [1.1] (+0 -0), tools/junk/tocaspertree.sh [1.1] (+0 -0), 
        tools/junk/syncpcltree.sh [1.1] (+0 -0), tools/junk/showdiffspxl.sh [1.1] (+0 -0), 
        tools/junk/showdiffsgs.sh [1.1] (+0 -0), tools/junk/showdiffs_mono.sh [1.1] (+0 -0), 
        tools/junk/showdiffs_banding.sh [1.1] (+0 -0), tools/junk/showdiffs_band_mono.sh [1.1] (+0 -0), 
        tools/junk/showdiffs4.sh [1.1] (+0 -0), tools/junk/showdiffs.sh [1.1] (+0 -0), 
        tools/junk/showdiffpxl2.sh [1.1] (+0 -0), tools/junk/showdiffpxl.sh [1.1] (+0 -0), 
        tools/junk/showdiffpcl2.sh [1.1] (+0 -0), tools/junk/showdiff2.sh [1.1] (+0 -0), 
        tools/junk/showdiff.sh [1.1] (+0 -0), tools/junk/count.py [1.1] (+0 -0), 
        tools/junk/build_past_tree.sh [1.1] (+0 -0), tools/junk/README [1.1] (+0 -0):
        This directory has a bunch of simple scripts used during pcl
        development.  The code is not intended for general use.
        

Wed Nov 19 22:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pximage.c [1.17] (+3 -2):
        Fix uninitialized DCT stream state memory ptr.
        

Mon Nov 17 19:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * tools/pcl2pdfwr.bat [1.3] (+1 -2):
        Changed to call pcl6 under NT, was calling incorrect application.
        

Wed Nov  5 00:00:00 2003 GMT            henrys@artifex.com

        * pcl/pctext.c [1.49] (+13 -8):
        Handle the peculiar case of printing text with a solid white pattern
        with pattern transparency on.  This should produce no output;
        previously we produced text with a white pattern.
        

Mon Nov  3 20:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/iapi.h [1.4] (+2 -2), gs/src/gslibctx.h [1.5] (+2 -2), 
        gs/src/gs_dll_call.h [1.1] (+0 -0):
        Adding gs_dll_call.h
        Pascal / DLL calling convention macros for Windows style DLL's
        NOPS for other OSes
        

Mon Nov  3 19:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/zpacked.c [1.13] (+2 -2), gs/src/ziodev2.c [1.13] (+12 -5), 
        gs/src/stream.c [1.19] (+8 -7), gs/src/iutil.c [1.16] (+2 -2), 
        gs/src/iparam.c [1.15] (+2 -2), gs/src/idict.c [1.16] (+2 -2), 
        gs/src/iapi.h [1.3] (+2 -47), gs/src/gxdtfill.h [1.4] (+2 -2), 
        gs/src/gxclutil.c [1.14] (+2 -2), gs/src/gxccache.c [1.13] (+5 -5), 
        gs/src/gslibctx.h [1.4] (+2 -10), gs/src/gsfont.c [1.15] (+2 -2), 
        gs/src/gsfcmap1.c [1.5] (+2 -2), gs/src/gsdevice.c [1.30] (+2 -2), 
        gs/src/gsccode.h [1.12] (+2 -2), gs/src/gpcheck.h [1.11] (+7 -7), 
        gs/src/gp_wsync.c [1.7] (+11 -11), gs/src/gp_win32.c [1.13] (+4 -4), 
        gs/src/gp_vms.c [1.12] (+6 -4), gs/src/gp_unix.c [1.13] (+2 -2), 
        gs/src/gp_os9.c [1.11] (+2 -2), gs/src/gp_os2.c [1.11] (+7 -5), 
        gs/src/gp_ntfs.c [1.14] (+2 -2), gs/src/gp_mswin.c [1.12] (+5 -5), 
        gs/src/gp_macio.c [1.3] (+4 -4), gs/src/gp_iwatc.c [1.13] (+4 -4), 
        gs/src/gp_dvx.c [1.10] (+2 -2), gs/src/gp.h [1.14] (+2 -2), 
        gs/src/gdevtifs.c [1.9] (+2 -2), gs/src/gdevtfnx.c [1.10] (+3 -3), 
        gs/src/gdevjpeg.c [1.21] (+2 -2), gs/src/gdevfax.c [1.4] (+4 -4), 
        gs/src/gdevddrw.c [1.13] (+2 -2), gs/src/gdevdbit.c [1.12] (+2 -2), 
        gs/src/gdevbit.c [1.18] (+3 -3), gs/src/bench.c [1.10] (+2 -2):
        Changed name of static function rgb_cs_to_rgb_cm() to avoid
        name confict with non-static function of the same name.
        

Sat Nov  1 18:00:00 2003 GMT            henrys@artifex.com

        * pcl/pgchar.c [1.16] (+3 -3), pcl/pcfsel.c [1.22] (+3 -3), 
        pcl/pcfont.c [1.35] (+5 -5):
        modifications to make 0 a legitimate font identifier.
        

Fri Oct 31 01:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gsfunc0.c [1.13] (+29 -27), gs/src/gsdsrc.h [1.9] (+10 -10), 
        gs/src/gsdsrc.c [1.10] (+4 -4), gs/src/gscdef.c [1.12] (+2 -2), 
        gs/src/gdevpdfv.c [1.6] (+9 -7), gs/src/gdevpdfu.c [1.10] (+2 -2), 
        gs/src/gdevpdfr.c [1.8] (+2 -2), gs/src/gdevpdfo.h [1.8] (+2 -2), 
        gs/src/gdevpdfo.c [1.14] (+9 -5), gs/src/gdevpdfm.c [1.13] (+6 -4), 
        gs/src/gdevpdfk.c [1.4] (+3 -3), gs/src/gdevpdfj.c [1.6] (+3 -3), 
        gs/src/gdevpdfg.c [1.7] (+2 -2), gs/src/gdevpdfc.c [1.8] (+10 -10), 
        gs/src/gdebug.h [1.11] (+1 -13):
        Changes adding memory_t pointers for pdfwrite device.
        
        * gs/src/std.h [1.15] (+2 -2):
        Changed comment
        

Thu Oct 30 15:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gsmemory.h [1.18] (+2 -2):
        Removed extra semicolon, armcc fails on <statement>;;
        

Wed Oct 29 20:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/iname.h [1.10] (+1 -7):
        Removed commented out code.
        
        * gs/src/ivmspace.h [1.9] (+2 -5):
        Removed comment on check_store_space a depreciated macro.
        
        * gs/src/igc.c [1.16] (+1 -4):
        Removed comment.
        

Wed Oct  8 22:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/zvmem.c [1.15] (+3 -2), gs/src/zusparam.c [1.13] (+3 -3), 
        gs/src/zupath.c [1.12] (+4 -4), gs/src/ztype.c [1.12] (+4 -4), 
        gs/src/ztrans.c [1.6] (+3 -3), gs/src/ztoken.c [1.11] (+2 -2), 
        gs/src/zstring.c [1.11] (+3 -3), gs/src/zrelbit.c [1.12] (+3 -3), 
        gs/src/zpacked.c [1.12] (+5 -4), gs/src/zmisc3.c [1.11] (+2 -2), 
        gs/src/zmisc2.c [1.12] (+4 -4), gs/src/zmisc.c [1.12] (+3 -3), 
        gs/src/zmedia2.c [1.13] (+4 -4), gs/src/zht2.c [1.12] (+6 -6), 
        gs/src/zgeneric.c [1.12] (+4 -4), gs/src/zfunc4.c [1.8] (+2 -2), 
        gs/src/zfrsd.c [1.5] (+2 -2), gs/src/zfont42.c [1.12] (+5 -5), 
        gs/src/zfont32.c [1.12] (+2 -2), gs/src/zfont2.c [1.11] (+2 -2), 
        gs/src/zfont1.c [1.13] (+7 -6), gs/src/zfont0.c [1.12] (+3 -3), 
        gs/src/zfont.c [1.15] (+7 -7), gs/src/zfile.c [1.17] (+2 -2), 
        gs/src/zfcmap.c [1.16] (+7 -6), gs/src/zfcid1.c [1.6] (+2 -2), 
        gs/src/zfcid0.c [1.7] (+6 -6), gs/src/zfapi.c [1.5] (+20 -13), 
        gs/src/zdict.c [1.13] (+2 -2), gs/src/zdevice2.c [1.13] (+3 -3), 
        gs/src/zcssepr.c [1.15] (+5 -5), gs/src/zcsdevn.c [1.12] (+3 -3), 
        gs/src/zcontext.c [1.17] (+4 -4), gs/src/zcolor.c [1.12] (+2 -2), 
        gs/src/zcharx.c [1.10] (+2 -2), gs/src/zcharout.c [1.12] (+6 -5), 
        gs/src/zchar1.c [1.16] (+6 -6), gs/src/zchar.c [1.16] (+10 -10), 
        gs/src/zbfont.c [1.10] (+22 -18), gs/src/zarray.c [1.11] (+3 -3), 
        gs/src/main.h [1.12] (+1 -3), gs/src/iutil.h [1.13] (+4 -4), 
        gs/src/iutil.c [1.15] (+15 -15), gs/src/iscanbin.c [1.14] (+3 -3), 
        gs/src/iscan.c [1.15] (+8 -8), gs/src/isave.h [1.11] (+3 -3), 
        gs/src/isave.c [1.16] (+11 -9), gs/src/iparam.c [1.14] (+10 -9), 
        gs/src/interp.c [1.18] (+4 -4), gs/src/iname.h [1.9] (+28 -27), 
        gs/src/imainarg.c [1.17] (+2 -2), gs/src/imain.c [1.22] (+13 -21), 
        gs/src/ilocate.c [1.16] (+8 -7), gs/src/iinit.c [1.14] (+5 -4), 
        gs/src/igcref.c [1.13] (+3 -3), gs/src/igc.c [1.15] (+5 -5), 
        gs/src/ifont.h [1.13] (+2 -2), gs/src/idstack.c [1.11] (+8 -5), 
        gs/src/idict.h [1.12] (+3 -1), gs/src/idict.c [1.15] (+29 -13), 
        gs/src/idebug.c [1.13] (+7 -7), gs/src/icontext.c [1.13] (+2 -2), 
        gs/src/icharout.h [1.12] (+3 -2), gs/src/ichar.h [1.12] (+2 -2), 
        gs/src/iapi.c [1.5] (+2 -2), gs/src/gslibctx.h [1.3] (+6 -1), 
        gs/src/gsexit.h [1.10] (+4 -4), gs/src/gs.c [1.12] (+2 -2), 
        gs/src/dstack.h [1.10] (+2 -2), gs/src/bfont.h [1.12] (+3 -3):
        Moved the_gs_name_table to gs_lib_ctx.
        Ideally this would be in the postscript interpreter.
        

Tue Oct  7 21:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxffont.c [1.15] (+1 -3):
        Removing unused variable.
        
        * psi/psitop.c [1.16] (+21 -8):
        Removing globals:
        
        global_psi is now accessed by finding the current interpreter in the
        memory->gs_lib_ctx->top_of_system.  Ugly mechanism hides the world
        under the memory pointer under the postscript interpreter.
        
        * pl/plmain.c [1.71] (+15 -4), pl/plalloc.c [1.19] (+28 -99):
        Removing global variables:
        
        removed gs_memory_default and gs_malloc_memory_default.
        Previous users of gs_memory_default can use gs_memory_t->non_gc_memory
        gs_memory_t->non_gc_memory always points to a non gc'ed memory.
        This used to be only availiable from gc memory allocators as "parent".
        
        
        Note that pl_mem needs to be a template before multiple instances of pcl6 can run.
        
        * gs/src/zvmem.c [1.14] (+2 -3), gs/src/ziodevsc.c [1.4] (+2 -6), 
        gs/src/ziodevs.c [1.4] (+4 -5), gs/src/zfont.c [1.14] (+2 -2), 
        gs/src/zfile.c [1.16] (+15 -12), gs/src/zfdcte.c [1.15] (+1 -2), 
        gs/src/zfdctd.c [1.13] (+1 -2), gs/src/zfapi.c [1.4] (+61 -56), 
        gs/src/zdevice.c [1.15] (+3 -2), gs/src/zcontext.c [1.16] (+2 -2), 
        gs/src/szlibe.c [1.9] (+1 -2), gs/src/szlibd.c [1.9] (+1 -2), 
        gs/src/szlibc.c [1.11] (+2 -2), gs/src/sdctd.c [1.11] (+1 -3), 
        gs/src/sdctc.c [1.10] (+2 -2), gs/src/isave.c [1.15] (+3 -3), 
        gs/src/iplugin.c [1.4] (+2 -2), gs/src/iminst.h [1.14] (+2 -19), 
        gs/src/imainarg.c [1.16] (+15 -13), gs/src/imain.h [1.12] (+6 -1), 
        gs/src/imain.c [1.21] (+41 -46), gs/src/igc.c [1.14] (+2 -2), 
        gs/src/ifapi.h [1.3] (+2 -1), gs/src/icstate.h [1.13] (+8 -1), 
        gs/src/gxclread.c [1.16] (+2 -3), gs/src/gxclfile.c [1.10] (+9 -8), 
        gs/src/gxclbits.c [1.14] (+2 -2), gs/src/gxcindex.h [1.11] (+14 -8), 
        gs/src/gxccache.c [1.12] (+6 -6), gs/src/gxalloc.h [1.22] (+1 -2), 
        gs/src/gsmisc.c [1.16] (+1 -6), gs/src/gsmemret.c [1.9] (+2 -1), 
        gs/src/gsmemory.h [1.17] (+15 -3), gs/src/gsmalloc.h [1.13] (+6 -23), 
        gs/src/gsmalloc.c [1.21] (+13 -18), gs/src/gslibctx.h [1.2] (+6 -2), 
        gs/src/gslibctx.c [1.2] (+2 -1), gs/src/gslib.h [1.10] (+2 -2), 
        gs/src/gsinit.c [1.12] (+3 -3), gs/src/gsdevice.c [1.29] (+5 -5), 
        gs/src/gsalloc.c [1.23] (+6 -6), gs/src/gs.c [1.11] (+3 -2), 
        gs/src/gdevxxf.c [1.13] (+3 -3), gs/src/gdevxcmp.c [1.9] (+13 -13), 
        gs/src/gdevprna.c [1.20] (+5 -5), gs/src/gdevprn.c [1.21] (+5 -5), 
        gs/src/gdevpdfw.c [1.8] (+2 -2), gs/src/gdevdsp.c [1.3] (+3 -3), 
        gs/src/files.h [1.14] (+9 -4):
        Removing global variables:
        
        removed gs_memory_default and gs_malloc_memory_default.
        Previous users of gs_memory_default can use gs_memory_t->non_gc_memory
        gs_memory_t->non_gc_memory always points to a non gc'ed memory.
        This used to be only availiable from gc memory allocators as "parent".
        
        Added gs_lib_ctx->top_of_system a mechanism to find the top of the system
        in places that need "backpointer" access to variable that used to be done
        via globals.
        
        Added pointer to minst->lib_path from i_ctx_p for the interpreter.
        

Tue Oct  7 20:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcstatus.c [1.12] (+3 -3):
        Removing global variables:
        
        removed gs_memory_default and gs_malloc_memory_default.
        Previous users of gs_memory_default can use gs_memory_t->non_gc_memory
        gs_memory_t->non_gc_memory always points to a non gc'ed memory.
        This used to be only availiable from gc memory allocators as "parent".
        
        * pcl/pctop.c [1.31] (+2 -1):
        Fix compiler warning
        
        * pcl/pgfdata.c [1.9] (+2 -2):
        Stick font offsets are constants.
        

Sat Oct  4 07:00:00 2003 GMT            henrys@artifex.com

        * gs/src/gsstate.c [1.20] (+1 -2):
        This is a change that should be examined by the postscript group.  It
        was made to fix a severe memory leak in pcl.  When a pattern is loaded
        the pattern machinery uses "gstate" to copy the state subsequently
        this same state is grestored in the pattern's paint proc.  Because
        gstate sets the "saved" member of the graphics state to 0 the paint
        proc's grestore sees there is no saved state and creates a new one
        (using gsave) resulting in the observed memory leaks.  A better
        solution would be to have another gsate copy implementation for use by
        the pattern code, which is left as an exercise for the postscript
        group, certainly the grestore of the paint proc should not have the
        side effect of a gsave.  Also the complete solution should consider
        the interaction of gstate (not gsave) and grestore.  I did not check
        what happens when a gstate is grestored and it is not clear what the
        "saved" member should be set to.
        
        This fixes the bulk of the memory leaks seen in the current pcl (not
        language switching) code.
        

Thu Oct  2 06:00:00 2003 GMT            henrys@artifex.com

        * pcl/pcpatrn.c [1.30] (+11 -1):
        winnow, not to be confused with minnow, the pattern cache upon reset
        printer and permanent reset.
        

Wed Oct  1 22:00:00 2003 GMT            henrys@artifex.com

        * gs/src/gxidata.c [1.14] (+8 -1):
        The joys of reference counting; the image code did not release references
        to the targets of the rop device or clip device when ending an image.
        Also these device are explicitly freed and probably should be ref
        counted away but only a comment was added to that effect.
        

Wed Oct  1 14:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gsalloc.c [1.22] (+17 -13):
        Changed memory limit checking to decouple garbage collection
        activity from a non gc system.
        
        When the garbage collector isn't installed the base class
        (gs_memory_t) is responsible for managing an artificial limit
        on allocations.
        
        When gc is enabled the gs_ref_memory->limit is used as a high
        water mark to signal a gc cycle.  The value is dynamic and not
        suitable for a maximum memory limit.
        
        * gs/src/ziodev.c [1.13] (+2 -2), gs/src/zfproc.c [1.14] (+2 -2), 
        gs/src/zfile.c [1.15] (+3 -3), gs/src/stream.h [1.13] (+7 -4), 
        gs/src/stream.c [1.18] (+21 -12), gs/src/scommon.h [1.11] (+2 -1), 
        gs/src/lib.mak [1.31] (+5 -5), gs/src/iscan.c [1.14] (+2 -2), 
        gs/src/interp.c [1.17] (+4 -5), gs/src/imainarg.c [1.15] (+16 -14), 
        gs/src/imain.c [1.20] (+14 -13), gs/src/iapi.c [1.4] (+15 -15), 
        gs/src/gxpcmap.c [1.14] (+2 -1), gs/src/gxclutil.c [1.13] (+9 -9), 
        gs/src/gxclread.c [1.15] (+4 -3), gs/src/gxclrast.c [1.21] (+14 -12), 
        gs/src/gxclpath.c [1.20] (+2 -1), gs/src/gxclimag.c [1.17] (+3 -2), 
        gs/src/gxcldev.h [1.15] (+5 -5), gs/src/gxclbits.c [1.13] (+6 -4), 
        gs/src/gxcindex.h [1.10] (+8 -3), gs/src/gxacpath.c [1.15] (+0 -0), 
        gs/src/gsutil.c [1.15] (+3 -11), gs/src/gstype42.c [1.27] (+8 -3), 
        gs/src/gsmemret.c [1.8] (+2 -2), gs/src/gsmemory.h [1.16] (+3 -3), 
        gs/src/gsmemlok.c [1.14] (+2 -2), gs/src/gsmalloc.c [1.20] (+5 -5), 
        gs/src/gsiodevs.c [1.6] (+7 -4), gs/src/gsfunc4.c [1.6] (+7 -7), 
        gs/src/gsdevice.c [1.28] (+2 -2), gs/src/gdevpsim.c [1.11] (+8 -6), 
        gs/src/gdevpsf1.c [1.5] (+3 -5), gs/src/gdevpdfc.c [1.7] (+2 -2), 
        gs/src/gdevjpeg.c [1.20] (+3 -1):
        Changed name of pl_stdio_t to gs_lib_ctx_t.
        
        Changed stream code to always keep a valid gs_memory_t ptr
        and keep a seperate allocated on the heap flag.
        
        * pl/plmain.c [1.70] (+5 -5), pl/plchar.c [1.31] (+1 -2), 
        pl/plalloc.c [1.18] (+3 -3), gs/src/pl_stdio.h [1.3] (+1 -1), 
        gs/src/pl_stdio.c [1.4] (+1 -1), gs/src/gslibctx.h [1.1] (+0 -0), 
        gs/src/gslibctx.c [1.1] (+0 -0):
        Changed name of pl_stdio_t to gs_lib_ctx_t.
        

Fri Sep 26 09:00:00 2003 GMT            henrys@artifex.com

        * tools/GOT/dotags.sh [1.3] (+12 -7), gs/src/gdevdrop.c [1.16] (+2 -21), 
        gs/src/gdevbit.c [1.17] (+11 -10):
        gdevdrop.c: Fixes raster operation with bit tagging device.  The rop
        code attempted to handle CMYK devices by assuming a default
        transformation between DeviceCMYK and RGB.  This doesn't work for the
        bit tagging device or any other device for that matter.
        
        gdevbit.c: Set bandingAlways for the bit tagging device.  Banding
        works reasonably well.  It misclassified a few objects in the pcl and
        pxl fts.  But I believe these problems can be addressed quickly, so we
        set banding on in the development code.  Also in this file the bit
        twiddling to convert color to rgb was slightly off for the exta tag
        byte and we now enable bit tagging in the device's put_parms() call.
        The previous initialization in get_params did not work correctly for
        XL's initial fillpage call.
        
        dotags.sh: modified to take multiple files on the command line.
        

Fri Sep 26 02:00:00 2003 GMT            henrys@artifex.com

        * tools/GOT/tagimage.c [1.2] (+4 -0), tools/GOT/dotags.sh [1.2] (+1 -1), 
        tools/GOT/README [1.2] (+1 -2), gs/src/gsutil.h [1.12] (+3 -2), 
        gs/src/gspaint.c [1.11] (+2 -2):
        untouched pixels have a new tag.  Using the tools (dotags.sh) these
        pixels are visualized as yellow.
        

Thu Sep 25 13:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pginit.c [1.19] (+5 -2):
        Fixed bug where PCL macros were copying the polygon buffer path.
        The polygon buffer shouldn't be copied.
        path->segments is reference counted, and shouldn't be memcopied.
        

Thu Sep 25 10:00:00 2003 GMT            henrys@artifex.com

        * tools/GOT/tagimage.c [1.1] (+0 -0), tools/GOT/dotags.sh [1.1] (+0 -0), 
        tools/GOT/detag.c [1.1] (+0 -0), tools/GOT/README [1.1] (+0 -0), 
        main/pcl6_gcc.mak [1.31] (+2 -1), gs/src/gsutil.h [1.11] (+15 -1), 
        gs/src/gsutil.c [1.14] (+25 -1), gs/src/gstext.c [1.16] (+3 -2), 
        gs/src/gspaint.c [1.10] (+18 -2), gs/src/gsimage.c [1.17] (+3 -1), 
        gs/src/gsdps1.c [1.10] (+3 -1), gs/src/gdevbit.c [1.16] (+237 -2), 
        gs/src/devs.mak [1.29] (+5 -1):
        Graphical Object Tagging support.
        
        The log entry below is copy pasted from the README file in tools/GOT -
        Graphical object tagging.
        
        Graphical Object Tagging (GOT)
        
        The bitrgbtags is a non-standard printer device that supports tagging
        graphical objects according to type, where types are: text, image,
        vector and unspecified.  The type is encoded as a byte and interleaved
        in the framebuffer.  Each pixel has a tag.
        
        limitations and oddities:
          o GOT doesn't band.  In fact the the device prototype disables banding.
          o GOT always has 24 bits of color with 3 components.
          o GOT uses a global variable to maintain its state.
          o GOT treats the background (unpainted region of the page) as a fill
            operation and thus tags the entire region as a vector.
          o GOT currently breaks raster operations.
          o GOT hasn't been tested much.
        
        tools (dotags.sh and friends)
        
          dotags.sh <pcl_file> produces
        
             o bit.tmp - bitrgb file with pixel tags for object types.
             o bit_detagged.tmp.ppm - the file stripped of tags and converted to
               ppmraw output.
             o bit.tmp.ppm - detagged bit file converted to ppmraw output.
             o tag.tmp.ppm - a color coded by object type version of the output
                  unknown - white
                  text - red
                  image - green
                  path - blue
        
           dotags.sh will display the output file and tag using imagemagick.
        
           dotags.sh uses the helper C programs tagimage.c and detag.c
        
           dotags.sh should only be run in tools/tags after the bittagrgb device
           has been compiled into ../../main/obj/pcl6 executable.
        

Wed Sep 24 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pcpatrn.c [1.29] (+4 -3):
        Add device_id = 7 to the list of devices allowed to use
        set driver configuration.
        
        * pxl/pxfont.c [1.25] (+7 -1):
        Fixing bug with pxl rotated characters placement.
        The internal escapement is now ignored.
        

Fri Sep 19 15:00:00 2003 GMT            henrys@artifex.com

        * pl/pjparse.c [1.34] (+5 -2):
        Only the first printer job language download worked properly because
        the state of the file pointer was not maintained properly.  Thanks to
        Peter Schneider, SOFHA GmbH for this fix.
        
        * pcl/pgcolor.c [1.11] (+1 -38), pcl/pcpalet.c [1.27] (+1 -37):
        deprecates hpgl_CR().
        

Fri Sep 19 14:00:00 2003 GMT            henrys@artifex.com

        * pl/plchar.c [1.30] (+27 -16):
        Apparently HP does not use TrueType vmtx tables all data metrics show
        up in the hmtx table irrespective of character orientation so (stefan
        kemper).  Also the "get default metrics" routine did not properly search
        for a vertical character substitute while vertical writing.
        

Wed Sep 17 18:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/szlibe.c [1.8] (+3 -2), gs/src/szlibd.c [1.8] (+3 -2), 
        gs/src/srle.c [1.9] (+3 -2), gs/src/srld.c [1.9] (+3 -2), 
        gs/src/spdiff.c [1.10] (+3 -2), gs/src/smd5.c [1.3] (+3 -2), 
        gs/src/slzwd.c [1.12] (+3 -2), gs/src/sfilter2.c [1.12] (+5 -3), 
        gs/src/sdctd.c [1.10] (+3 -2), gs/src/scfe.c [1.11] (+3 -2), 
        gs/src/scfd.c [1.13] (+3 -2), gs/src/sbcp.c [1.8] (+7 -5), 
        gs/src/sarc4.c [1.4] (+3 -2), gs/src/gzht.h [1.16] (+5 -4), 
        gs/src/gxshade6.c [1.13] (+10 -8), gs/src/gxhtbit.c [1.7] (+5 -4), 
        gs/src/gxcht.c [1.17] (+4 -4):
        Adding gs_memory_t ptrs to stream process functions.
        

Wed Sep 17 16:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pccrd.c [1.16] (+1 -2):
        Remove gxdevcli.h include
        
        * pcl/pctop.c [1.30] (+3 -5):
        Report errors using gs_memory_t stderr
        
        * pxl/pxtop.c [1.22] (+4 -7):
        Report errors using gs_memory_t based stderr.
        

Thu Sep 11 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxacpath.c [1.14] (+7 -6):
        Use list_memory pointer instead of NULL memory pointer for stack
        allocated gx_device_cpath_accum
        

Wed Sep 10 18:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/stream.c [1.17] (+4 -4), gs/src/sfxstdio.c [1.11] (+9 -5), 
        gs/src/sfilter1.c [1.12] (+3 -2):
        Adding memory_t ptr to stream process functions
        
        * pxl/pximage.c [1.16] (+4 -4):
        adding memory_t ptr to stream process functions
        
        * gs/src/spsdf.c [1.8] (+2 -2), gs/src/spngp.c [1.10] (+5 -3), 
        gs/src/slzwce.c [1.11] (+3 -2), gs/src/siscale.c [1.14] (+3 -2), 
        gs/src/siinterp.c [1.7] (+3 -2), gs/src/seexec.c [1.13] (+5 -3), 
        gs/src/sdcte.c [1.13] (+3 -2):
        Adding memory_t * to stream process functions
        

Wed Sep 10 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/zfproc.c [1.13] (+5 -3), gs/src/zfilter.c [1.14] (+5 -3), 
        gs/src/stream.c [1.16] (+15 -10), gs/src/sstring.c [1.9] (+5 -5), 
        gs/src/sfilter1.c [1.11] (+2 -2), gs/src/scommon.h [1.10] (+2 -2), 
        gs/src/sa85d.c [1.7] (+2 -2), gs/src/iutil.c [1.14] (+3 -3), 
        gs/src/iscan.c [1.13] (+2 -2), gs/src/gxiscale.c [1.13] (+2 -2), 
        gs/src/gxclrast.c [1.20] (+7 -5), gs/src/gxclmem.c [1.14] (+5 -5), 
        gs/src/gxclbits.c [1.12] (+9 -7), gs/src/gdevupd.c [1.17] (+58 -56), 
        gs/src/gdevstc.c [1.11] (+7 -7), gs/src/gdevpx.c [1.15] (+4 -4), 
        gs/src/gdevlj56.c [1.11] (+2 -2), gs/src/gdevepsn.c [1.10] (+2 -2), 
        gs/src/gdevcdj.c [1.11] (+15 -13):
        Add memory pointer to stream process functions.
        

Wed Sep 10 14:00:00 2003 GMT            henrys@artifex.com

        * gs/src/gxht.c [1.16] (+2 -2), gs/src/gxdht.h [1.11] (+2 -2):
        the halfone render procedure had an argument mismatch.
        

Tue Sep  9 21:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pccrd.c [1.15] (+2 -1):
        Added memory_t argument
        
        * gs/src/pl_stdio.c [1.3] (+2 -2):
        fixing incorrect error check
        

Tue Sep  9 19:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * psi/psitop.c [1.15] (+12 -9):
        Changed report errors to be memory->pl_stdio based.
        
        * gs/src/gsiodevs.c [1.5] (+4 -4):
        removing globals gs_stdin gs_stdout gs_stderr
        
        * gs/src/zdevice.c [1.14] (+12 -2):
         PSI_INCLUDED defines merged back in,
        for language switching control of end of page and device switching
        
        * gs/src/iminst.h [1.13] (+2 -2):
        initialization fixed to match smaller gs_main_instance
        
        * gs/src/gsmalloc.c [1.19] (+3 -1):
        fixing initialization error, pl_stdio = 0;
        
        * pl/pltop.h [1.9] (+3 -3), pl/pltop.c [1.9] (+6 -8), pl/plsrgb.c [1.3] (+2 -2), 
        pl/plplatfps.c [1.4] (+3 -2), pl/plplatf.c [1.6] (+2 -2), 
        pl/plmain.c [1.69] (+31 -28):
        Removed globals gs_stderr gs_stdin gs_stdout.
        
        Changed pl_memory_t to a few more functions.
        
        * gs/src/zvmem.c [1.13] (+3 -3), gs/src/zpcolor.c [1.13] (+4 -4), 
        gs/src/imain.c [1.19] (+2 -2), gs/src/ilocate.c [1.15] (+2 -2), 
        gs/src/igc.h [1.12] (+2 -2), gs/src/gxht.h [1.10] (+2 -2), 
        gs/src/gxfcmap.h [1.12] (+10 -9), gs/src/gstrans.c [1.6] (+2 -2), 
        gs/src/gstparam.h [1.4] (+2 -2), gs/src/gsgdata.h [1.4] (+2 -2), 
        gs/src/gsgdata.c [1.4] (+7 -5), gs/src/gsfcmap1.c [1.4] (+3 -3), 
        gs/src/gsfcmap.h [1.10] (+3 -2), gs/src/gsfcmap.c [1.15] (+27 -23), 
        gs/src/gsfcid2.c [1.4] (+8 -7), gs/src/gsdevice.c [1.27] (+2 -2), 
        gs/src/gscspace.h [1.13] (+3 -2), gs/src/gscsepr.c [1.15] (+2 -2), 
        gs/src/gscrd.c [1.17] (+4 -4), gs/src/gscie.h [1.15] (+3 -2), 
        gs/src/gscie.c [1.17] (+2 -2), gs/src/gschar0.c [1.12] (+5 -5), 
        gs/src/gscdevn.c [1.12] (+3 -2), gs/src/gdevpsfm.c [1.6] (+4 -4), 
        gs/src/gdevpdtw.c [1.4] (+2 -2), gs/src/gdevpdtc.c [1.4] (+2 -2), 
        gs/src/gdevpdfg.c [1.6] (+2 -2), gs/src/gdevpdfc.c [1.6] (+3 -1):
        Adding gs_memory_t pointer to a few more functions.
        
        * gs/src/pl_stdio.h [1.2] (+3 -3), gs/src/pl_stdio.c [1.2] (+5 -2):
        stdin_is_interactive defaults to true.
        
        * gs/src/gsio.h [1.10] (+1 -10):
        removing globals gs_stdio[] gs_stdin gs_stdout gs_stderr
        

Sat Sep  6 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxtop.c [1.21] (+3 -3), pxl/pxstream.c [1.7] (+10 -10), 
        pxl/pxsessio.c [1.26] (+13 -13), pxl/pxptable.h [1.4] (+2 -2), 
        pxl/pxptable.c [1.11] (+30 -29), pxl/pxparse.c [1.8] (+52 -52), 
        pxl/pxpaint.c [1.10] (+19 -19), pxl/pxink.c [1.26] (+26 -25), 
        pxl/pximage.c [1.15] (+17 -17), pxl/pxgstate.c [1.26] (+20 -18), 
        pxl/pxfont.c [1.24] (+47 -41), pxl/pxffont.c [1.14] (+4 -4), 
        pxl/pxerrors.c [1.8] (+6 -5), psi/psitop.c [1.14] (+8 -3), 
        pl/plulfont.c [1.15] (+2 -1), pl/plufont.c [1.18] (+8 -5), 
        pl/plsrgb.c [1.2] (+5 -8), pl/plplatfps.c [1.3] (+1 -2), 
        pl/plplatf.c [1.5] (+1 -2), pl/plmain.h [1.17] (+2 -7), 
        pl/plmain.c [1.68] (+61 -132), pl/pllfont.c [1.14] (+13 -11), 
        pl/plfont.h [1.14] (+4 -3), pl/plfont.c [1.26] (+40 -23), 
        pl/plchar.c [1.29] (+40 -36), pl/plalloc.c [1.17] (+27 -22), 
        pl/pjparse.c [1.33] (+24 -19), pcl/rtraster.c [1.27] (+5 -5), 
        pcl/rtmisc.c [1.15] (+10 -10), pcl/rtgmode.c [1.21] (+14 -14), 
        pcl/pgvector.c [1.30] (+27 -26), pcl/pgpoly.c [1.16] (+10 -9), 
        pcl/pgparse.c [1.13] (+26 -20), pcl/pgmisc.h [1.7] (+15 -11), 
        pcl/pgmisc.c [1.4] (+6 -4), pcl/pgmand.h [1.16] (+13 -10), 
        pcl/pglfill.c [1.26] (+39 -39), pcl/pglabel.c [1.53] (+15 -15), 
        pcl/pginit.c [1.18] (+3 -3), pcl/pgframe.c [1.13] (+5 -5), 
        pcl/pgfont.c [1.13] (+2 -2), pcl/pgfdata.h [1.6] (+3 -2), 
        pcl/pgfdata.c [1.8] (+11 -10), pcl/pgdraw.c [1.73] (+63 -57), 
        pcl/pgconfig.c [1.30] (+14 -14), pcl/pgcolor.c [1.10] (+8 -8), 
        pcl/pgchar.c [1.15] (+30 -30), pcl/pcxfmst.h [1.5] (+4 -3), 
        pcl/pcursor.c [1.25] (+20 -15), pcl/pcuptrn.c [1.23] (+10 -10), 
        pcl/pctop.c [1.29] (+8 -5), pcl/pctext.c [1.48] (+6 -6), 
        pcl/pcsymbol.c [1.15] (+8 -8), pcl/pcstatus.c [1.11] (+4 -4), 
        pcl/pcsfont.c [1.40] (+32 -35), pcl/pcrect.c [1.14] (+3 -3), 
        pcl/pcpatxfm.h [1.6] (+5 -5), pcl/pcpatxfm.c [1.10] (+13 -11), 
        pcl/pcpatrn.h [1.13] (+15 -15), pcl/pcpatrn.c [1.28] (+29 -29), 
        pcl/pcparse.c [1.16] (+52 -39), pcl/pcpalet.h [1.11] (+8 -8), 
        pcl/pcpalet.c [1.26] (+28 -28), pcl/pcpage.c [1.52] (+17 -16), 
        pcl/pcommand.h [1.11] (+17 -15), pcl/pcommand.c [1.21] (+2 -2), 
        pcl/pcmisc.c [1.7] (+4 -4), pcl/pcmacros.c [1.11] (+3 -3), 
        pcl/pclookup.h [1.6] (+8 -8), pcl/pclookup.c [1.7] (+3 -3), 
        pcl/pcjob.c [1.26] (+4 -4), pcl/pcindxed.h [1.9] (+8 -8), 
        pcl/pcindxed.c [1.12] (+12 -12), pcl/pcht.h [1.11] (+8 -8), 
        pcl/pcht.c [1.31] (+19 -18), pcl/pcfsel.c [1.21] (+19 -18), 
        pcl/pcfrgrnd.h [1.7] (+8 -8), pcl/pcfrgrnd.c [1.13] (+16 -16), 
        pcl/pcfontpg.c [1.3] (+4 -4), pcl/pcfont.h [1.12] (+3 -3), 
        pcl/pcfont.c [1.34] (+11 -11), pcl/pcdraw.c [1.14] (+10 -10), 
        pcl/pcdither.h [1.6] (+8 -8), pcl/pcdither.c [1.6] (+4 -4), 
        pcl/pccsbase.h [1.9] (+8 -8), pcl/pccsbase.c [1.12] (+18 -18), 
        pcl/pccrd.h [1.10] (+8 -8), pcl/pccrd.c [1.14] (+11 -8), 
        pcl/pccprint.c [1.9] (+2 -2), pcl/pccolor.c [1.10] (+2 -2), 
        pcl/pccid.c [1.19] (+3 -3), gs/src/zvmem2.c [1.11] (+9 -9), 
        gs/src/zvmem.c [1.12] (+12 -12), gs/src/zusparam.c [1.12] (+19 -19), 
        gs/src/zupath.c [1.11] (+24 -24), gs/src/ztype.c [1.11] (+37 -37), 
        gs/src/ztrans.c [1.5] (+47 -45), gs/src/ztoken.c [1.10] (+19 -19), 
        gs/src/zstring.c [1.10] (+16 -16), gs/src/zstack.c [1.9] (+18 -18), 
        gs/src/zshade.c [1.12] (+62 -62), gs/src/zrelbit.c [1.11] (+32 -32), 
        gs/src/zpcolor.c [1.12] (+20 -20), gs/src/zpath1.c [1.11] (+11 -11), 
        gs/src/zpath.c [1.10] (+4 -4), gs/src/zpaint.c [1.9] (+6 -5), 
        gs/src/zpacked.c [1.11] (+5 -5), gs/src/zmisc3.c [1.10] (+3 -3), 
        gs/src/zmisc2.c [1.11] (+8 -8), gs/src/zmisc1.c [1.10] (+16 -15), 
        gs/src/zmisc.c [1.11] (+25 -25), gs/src/zmedia2.c [1.12] (+56 -51), 
        gs/src/zmatrix.c [1.10] (+29 -29), gs/src/zmath.c [1.10] (+19 -19), 
        gs/src/ziodevst.c [1.3] (+10 -10), gs/src/ziodevsc.c [1.3] (+7 -7), 
        gs/src/ziodev2.c [1.12] (+9 -9), gs/src/ziodev.c [1.12] (+22 -22), 
        gs/src/zimage3.c [1.10] (+12 -11), gs/src/zimage.c [1.14] (+29 -29), 
        gs/src/zicc.c [1.3] (+9 -8), gs/src/zht2.h [1.3] (+4 -3), 
        gs/src/zht2.c [1.11] (+53 -49), gs/src/zht1.c [1.11] (+3 -3), 
        gs/src/zht.c [1.10] (+14 -14), gs/src/zgstate.c [1.12] (+29 -29), 
        gs/src/zgeneric.c [1.11] (+57 -57), gs/src/zfzlib.c [1.10] (+3 -2), 
        gs/src/zfunc4.c [1.7] (+19 -18), gs/src/zfunc3.c [1.11] (+7 -7), 
        gs/src/zfunc0.c [1.11] (+15 -13), gs/src/zfunc.c [1.12] (+22 -22), 
        gs/src/zfsample.c [1.3] (+23 -23), gs/src/zfrsd.c [1.4] (+26 -26), 
        gs/src/zfproc.c [1.12] (+8 -8), gs/src/zfont42.c [1.11] (+22 -19), 
        gs/src/zfont32.c [1.11] (+2 -2), gs/src/zfont2.c [1.10] (+10 -9), 
        gs/src/zfont1.c [1.12] (+29 -28), gs/src/zfont0.c [1.11] (+14 -14), 
        gs/src/zfont.c [1.13] (+22 -22), gs/src/zfilter2.c [1.12] (+5 -5), 
        gs/src/zfilter.c [1.13] (+28 -28), gs/src/zfileio.c [1.14] (+70 -70), 
        gs/src/zfile1.c [1.3] (+8 -8), gs/src/zfile.c [1.14] (+92 -85), 
        gs/src/zfdecode.c [1.11] (+24 -24), gs/src/zfdcte.c [1.14] (+2 -2), 
        gs/src/zfdctd.c [1.12] (+2 -2), gs/src/zfcmap.c [1.15] (+48 -48), 
        gs/src/zfcid1.c [1.5] (+31 -30), gs/src/zfcid0.c [1.6] (+53 -48), 
        gs/src/zfcid.c [1.3] (+11 -11), gs/src/zfarc4.c [1.3] (+7 -7), 
        gs/src/zfapi.c [1.3] (+2 -2), gs/src/zdps1.c [1.11] (+22 -22), 
        gs/src/zdps.c [1.11] (+24 -24), gs/src/zdpnext.c [1.11] (+22 -22), 
        gs/src/zdict.c [1.12] (+50 -50), gs/src/zdevice2.c [1.12] (+12 -12), 
        gs/src/zdevice.c [1.13] (+35 -35), gs/src/zcssepr.c [1.14] (+14 -13), 
        gs/src/zcspixel.c [1.10] (+7 -6), gs/src/zcsindex.c [1.11] (+11 -11), 
        gs/src/zcsdevn.c [1.11] (+13 -12), gs/src/zcrd.c [1.14] (+46 -44), 
        gs/src/zcontrol.c [1.11] (+67 -66), gs/src/zcontext.c [1.15] (+83 -75), 
        gs/src/zcolor2.c [1.11] (+2 -2), gs/src/zcolor1.c [1.11] (+13 -13), 
        gs/src/zcolor.c [1.11] (+15 -15), gs/src/zcie.c [1.13] (+95 -83), 
        gs/src/zcid.c [1.10] (+35 -32), gs/src/zcharx.c [1.9] (+7 -7), 
        gs/src/zcharout.c [1.11] (+23 -23), gs/src/zchar42.c [1.11] (+10 -10), 
        gs/src/zchar32.c [1.11] (+22 -22), gs/src/zchar1.c [1.15] (+34 -34), 
        gs/src/zchar.c [1.15] (+39 -39), gs/src/zcfont.c [1.11] (+5 -5), 
        gs/src/zbseq.c [1.9] (+11 -11), gs/src/zbfont.c [1.9] (+34 -34), 
        gs/src/zarray.c [1.10] (+7 -7), gs/src/zarith.c [1.10] (+34 -34), 
        gs/src/unixansi.mak [1.17] (+2 -2), gs/src/unix-gcc.mak [1.24] (+27 -21), 
        gs/src/ugcclib.mak [1.16] (+2 -2), gs/src/szlibc.c [1.10] (+3 -3), 
        gs/src/stream.c [1.15] (+14 -14), gs/src/std.h [1.14] (+132 -134), 
        gs/src/spsdf.c [1.7] (+4 -4), gs/src/spprint.c [1.8] (+5 -5), 
        gs/src/slzwd.c [1.11] (+14 -13), gs/src/slzwce.c [1.10] (+2 -2), 
        gs/src/sjpege.c [1.10] (+9 -9), gs/src/sjpegd.c [1.10] (+6 -6), 
        gs/src/sjpegc.c [1.12] (+3 -3), gs/src/siscale.c [1.13] (+16 -13), 
        gs/src/shc.h [1.10] (+8 -8), gs/src/sfxstdio.c [1.10] (+5 -5), 
        gs/src/sfilter2.c [1.11] (+9 -9), gs/src/sdeparam.c [1.11] (+11 -10), 
        gs/src/sdcte.c [1.12] (+6 -6), gs/src/sdctd.c [1.9] (+5 -5), 
        gs/src/sdcparam.h [1.9] (+3 -2), gs/src/sdcparam.c [1.10] (+26 -25), 
        gs/src/scfparam.c [1.8] (+2 -2), gs/src/scfe.c [1.10] (+21 -20), 
        gs/src/scfd.c [1.12] (+32 -32), gs/src/sarc4.c [1.3] (+2 -2), 
        gs/src/pl_stdio.h [1.1] (+0 -0), gs/src/pl_stdio.c [1.1] (+0 -0), 
        gs/src/ostack.h [1.9] (+7 -7), gs/src/opextern.h [1.11] (+3 -3), 
        gs/src/oper.h [1.10] (+15 -15), gs/src/opcheck.h [1.9] (+30 -30), 
        gs/src/math_.h [1.11] (+12 -7), gs/src/main.h [1.11] (+9 -3), 
        gs/src/lib.mak [1.30] (+6 -2), gs/src/ivmspace.h [1.8] (+5 -5), 
        gs/src/iutil2.h [1.10] (+6 -6), gs/src/iutil2.c [1.10] (+18 -17), 
        gs/src/iutil.h [1.12] (+11 -11), gs/src/iutil.c [1.13] (+44 -44), 
        gs/src/istack.h [1.11] (+3 -2), gs/src/istack.c [1.11] (+10 -10), 
        gs/src/iscannum.h [1.10] (+3 -2), gs/src/iscannum.c [1.13] (+19 -18), 
        gs/src/iscanbin.c [1.13] (+37 -37), gs/src/iscan.c [1.12] (+31 -26), 
        gs/src/isave.c [1.14] (+45 -31), gs/src/ireclaim.c [1.11] (+4 -3), 
        gs/src/iplugin.h [1.3] (+6 -6), gs/src/iplugin.c [1.3] (+7 -7), 
        gs/src/iparam.c [1.13] (+55 -54), gs/src/interp.c [1.16] (+27 -23), 
        gs/src/inobtokn.c [1.7] (+3 -2), gs/src/iname.c [1.12] (+22 -20), 
        gs/src/iminst.h [1.12] (+9 -1), gs/src/imainarg.c [1.14] (+75 -74), 
        gs/src/imain.h [1.11] (+7 -19), gs/src/imain.c [1.18] (+109 -165), 
        gs/src/ilocate.c [1.14] (+30 -24), gs/src/iinit.c [1.13] (+14 -10), 
        gs/src/iimage.h [1.11] (+3 -2), gs/src/iht.h [1.10] (+2 -2), 
        gs/src/igcstr.h [1.10] (+5 -5), gs/src/igcstr.c [1.10] (+32 -28), 
        gs/src/igcref.c [1.12] (+43 -33), gs/src/igc.h [1.11] (+11 -10), 
        gs/src/igc.c [1.13] (+128 -110), gs/src/ifont42.h [1.4] (+5 -5), 
        gs/src/ifont2.h [1.4] (+3 -2), gs/src/ifont1.h [1.7] (+4 -3), 
        gs/src/ifont.h [1.12] (+3 -3), gs/src/ifcid.h [1.4] (+5 -3), 
        gs/src/idstack.c [1.10] (+15 -11), gs/src/idparam.h [1.10] (+25 -14), 
        gs/src/idparam.c [1.10] (+53 -47), gs/src/idisp.h [1.3] (+1 -1), 
        gs/src/idisp.c [1.3] (+7 -6), gs/src/idictdef.h [1.8] (+7 -7), 
        gs/src/idict.h [1.11] (+4 -3), gs/src/idict.c [1.14] (+36 -27), 
        gs/src/idebug.h [1.11] (+9 -9), gs/src/idebug.c [1.12] (+74 -74), 
        gs/src/icontext.c [1.12] (+4 -4), gs/src/icie.h [1.11] (+11 -7), 
        gs/src/icid.h [1.4] (+6 -4), gs/src/ibnum.h [1.9] (+4 -4), 
        gs/src/ibnum.c [1.12] (+11 -11), gs/src/iapi.c [1.3] (+25 -18), 
        gs/src/ialloc.h [1.11] (+2 -2), gs/src/ialloc.c [1.11] (+14 -13), 
        gs/src/gzpath.h [1.10] (+10 -7), gs/src/gzht.h [1.15] (+6 -6), 
        gs/src/gxwts.c [1.3] (+3 -3), gs/src/gxtype1.h [1.13] (+15 -14), 
        gs/src/gxtype1.c [1.13] (+20 -14), gs/src/gxsync.h [1.10] (+5 -5), 
        gs/src/gxsync.c [1.8] (+11 -11), gs/src/gxstroke.c [1.19] (+54 -43), 
        gs/src/gxshade6.c [1.12] (+44 -39), gs/src/gxshade4.c [1.13] (+11 -11), 
        gs/src/gxshade1.c [1.17] (+41 -37), gs/src/gxshade.c [1.12] (+8 -8), 
        gs/src/gxpflat.c [1.9] (+17 -16), gs/src/gxpcopy.c [1.13] (+38 -31), 
        gs/src/gxpcmap.c [1.13] (+13 -13), gs/src/gxpath2.c [1.13] (+6 -6), 
        gs/src/gxpath.h [1.11] (+3 -2), gs/src/gxpath.c [1.13] (+54 -51), 
        gs/src/gxpaint.h [1.11] (+2 -2), gs/src/gxpageq.h [1.12] (+2 -2), 
        gs/src/gxpageq.c [1.13] (+24 -26), gs/src/gxp1fill.c [1.14] (+6 -6), 
        gs/src/gxoprect.c [1.2] (+5 -5), gs/src/gxobj.h [1.11] (+2 -2), 
        gs/src/gxmatrix.h [1.10] (+5 -3), gs/src/gxline.h [1.11] (+3 -3), 
        gs/src/gxiscale.c [1.12] (+10 -10), gs/src/gxipixel.c [1.12] (+22 -22), 
        gs/src/gxiodev.h [1.10] (+8 -8), gs/src/gximono.c [1.15] (+2 -2), 
        gs/src/gximage4.c [1.15] (+2 -2), gs/src/gximage3.c [1.15] (+21 -21), 
        gs/src/gximage2.c [1.13] (+9 -7), gs/src/gximage.c [1.11] (+28 -27), 
        gs/src/gximag3x.c [1.4] (+30 -29), gs/src/gxifast.c [1.14] (+5 -3), 
        gs/src/gxidata.c [1.13] (+9 -9), gs/src/gxicolor.c [1.15] (+8 -8), 
        gs/src/gxi12bit.c [1.12] (+11 -11), gs/src/gxhtbit.c [1.6] (+9 -7), 
        gs/src/gxht.c [1.15] (+27 -25), gs/src/gxhintn.c [1.3] (+25 -21), 
        gs/src/gxhint3.c [1.9] (+32 -32), gs/src/gxhint2.c [1.10] (+22 -21), 
        gs/src/gxhint1.c [1.9] (+29 -29), gs/src/gxfunc.h [1.11] (+2 -2), 
        gs/src/gxfixed.h [1.12] (+12 -12), gs/src/gxfill.c [1.15] (+74 -73), 
        gs/src/gxfcopy.c [1.3] (+71 -65), gs/src/gxfcmap.h [1.11] (+2 -2), 
        gs/src/gxfarith.h [1.10] (+2 -2), gs/src/gxdtfill.h [1.3] (+4 -4), 
        gs/src/gxdhtserial.c [1.3] (+21 -19), gs/src/gxdht.h [1.10] (+4 -4), 
        gs/src/gxdevndi.c [1.3] (+6 -6), gs/src/gxdevice.h [1.18] (+3 -2), 
        gs/src/gxdcolor.c [1.12] (+3 -3), gs/src/gxdcconv.c [1.11] (+3 -3), 
        gs/src/gxcspace.h [1.14] (+3 -3), gs/src/gxcpath.h [1.12] (+3 -3), 
        gs/src/gxcpath.c [1.13] (+33 -31), gs/src/gxcoord.h [1.9] (+2 -2), 
        gs/src/gxcomp.h [1.9] (+2 -2), gs/src/gxcmap.c [1.14] (+8 -8), 
        gs/src/gxclutil.c [1.12] (+32 -32), gs/src/gxclrect.c [1.13] (+13 -13), 
        gs/src/gxclread.c [1.14] (+8 -8), gs/src/gxclrast.c [1.19] (+120 -117), 
        gs/src/gxclpath.c [1.19] (+22 -22), gs/src/gxclpage.c [1.9] (+11 -11), 
        gs/src/gxclmem.h [1.9] (+6 -6), gs/src/gxclmem.c [1.13] (+49 -47), 
        gs/src/gxclist.h [1.12] (+2 -2), gs/src/gxclist.c [1.14] (+19 -19), 
        gs/src/gxclipm.c [1.11] (+4 -4), gs/src/gxclip2.c [1.11] (+6 -6), 
        gs/src/gxclip.c [1.14] (+6 -6), gs/src/gxclio.h [1.9] (+6 -4), 
        gs/src/gxclimag.c [1.16] (+35 -33), gs/src/gxclfile.c [1.9] (+4 -4), 
        gs/src/gxcldev.h [1.14] (+5 -5), gs/src/gxclbits.c [1.11] (+22 -21), 
        gs/src/gxcie.h [1.8] (+2 -2), gs/src/gxcht.c [1.16] (+18 -17), 
        gs/src/gxchar.c [1.9] (+35 -33), gs/src/gxccman.c [1.12] (+34 -22), 
        gs/src/gxccache.c [1.11] (+20 -16), gs/src/gxblend.h [1.2] (+15 -14), 
        gs/src/gxblend.c [1.2] (+23 -16), gs/src/gxbitmap.h [1.12] (+2 -2), 
        gs/src/gxbcache.h [1.9] (+3 -2), gs/src/gxbcache.c [1.8] (+5 -4), 
        gs/src/gxalloc.h [1.21] (+11 -11), gs/src/gxacpath.c [1.13] (+16 -16), 
        gs/src/gx.h [1.11] (+2 -2), gs/src/gswts.h [1.3] (+4 -4), 
        gs/src/gswts.c [1.3] (+26 -26), gs/src/gsutil.h [1.10] (+2 -2), 
        gs/src/gsutil.c [1.13] (+6 -9), gs/src/gstype42.c [1.26] (+31 -31), 
        gs/src/gstype2.c [1.13] (+26 -24), gs/src/gstype1.c [1.14] (+27 -27), 
        gs/src/gstrans.c [1.5] (+22 -22), gs/src/gstext.h [1.14] (+3 -2), 
        gs/src/gstext.c [1.15] (+10 -9), gs/src/gsstype.h [1.8] (+3 -3), 
        gs/src/gsstruct.h [1.15] (+7 -6), gs/src/gsstate.c [1.19] (+16 -16), 
        gs/src/gsshade.c [1.14] (+32 -32), gs/src/gsrop.c [1.8] (+4 -4), 
        gs/src/gsrefct.h [1.11] (+37 -37), gs/src/gsptype1.c [1.13] (+24 -24), 
        gs/src/gspcolor.h [1.10] (+2 -2), gs/src/gspcolor.c [1.18] (+12 -11), 
        gs/src/gspath1.c [1.10] (+20 -20), gs/src/gspath.c [1.12] (+14 -14), 
        gs/src/gsparamx.h [1.8] (+2 -2), gs/src/gsparamx.c [1.8] (+5 -5), 
        gs/src/gsparams.h [1.9] (+5 -3), gs/src/gsparams.c [1.10] (+16 -16), 
        gs/src/gsparam.c [1.10] (+4 -4), gs/src/gsovrc.c [1.2] (+13 -12), 
        gs/src/gsnotify.c [1.7] (+2 -2), gs/src/gsnorop.c [1.10] (+10 -9), 
        gs/src/gsnogc.c [1.14] (+6 -6), gs/src/gsmisc.c [1.15] (+55 -50), 
        gs/src/gsmemret.c [1.7] (+2 -1), gs/src/gsmemraw.h [1.13] (+15 -2), 
        gs/src/gsmemory.h [1.15] (+152 -6), gs/src/gsmemory.c [1.13] (+26 -12), 
        gs/src/gsmemlok.c [1.13] (+9 -8), gs/src/gsmatrix.h [1.11] (+10 -10), 
        gs/src/gsmatrix.c [1.13] (+54 -50), gs/src/gsmalloc.h [1.12] (+2 -2), 
        gs/src/gsmalloc.c [1.18] (+22 -15), gs/src/gsline.c [1.11] (+14 -14), 
        gs/src/gslib.c [1.12] (+1 -25), gs/src/gsistate.c [1.8] (+43 -43), 
        gs/src/gsiodevs.c [1.4] (+3 -3), gs/src/gsiodev.c [1.15] (+35 -29), 
        gs/src/gsinit.c [1.11] (+3 -6), gs/src/gsimage.c [1.16] (+9 -9), 
        gs/src/gsicc.h [1.3] (+2 -2), gs/src/gsicc.c [1.3] (+12 -12), 
        gs/src/gshtx.h [1.10] (+34 -34), gs/src/gshtx.c [1.12] (+46 -45), 
        gs/src/gshtscr.c [1.14] (+33 -31), gs/src/gsht1.c [1.15] (+24 -23), 
        gs/src/gsht.h [1.9] (+3 -3), gs/src/gsht.c [1.12] (+28 -28), 
        gs/src/gsgdata.h [1.3] (+3 -2), gs/src/gsgdata.c [1.3] (+4 -3), 
        gs/src/gsgcache.c [1.3] (+5 -4), gs/src/gsfunc4.c [1.5] (+23 -22), 
        gs/src/gsfunc3.c [1.12] (+35 -33), gs/src/gsfunc0.c [1.12] (+29 -27), 
        gs/src/gsfunc.h [1.10] (+4 -4), gs/src/gsfunc.c [1.11] (+8 -8), 
        gs/src/gsfont0c.c [1.3] (+2 -2), gs/src/gsfont0.c [1.9] (+2 -2), 
        gs/src/gsfont.c [1.14] (+18 -18), gs/src/gsfname.h [1.7] (+3 -2), 
        gs/src/gsfname.c [1.6] (+7 -7), gs/src/gsfcmap1.c [1.3] (+54 -51), 
        gs/src/gsfcmap.c [1.14] (+7 -7), gs/src/gsfcid2.c [1.3] (+6 -6), 
        gs/src/gsfcid.c [1.5] (+2 -2), gs/src/gserror.h [1.10] (+5 -5), 
        gs/src/gsdsrc.c [1.9] (+4 -4), gs/src/gsdps1.c [1.9] (+6 -6), 
        gs/src/gsdps.c [1.9] (+2 -2), gs/src/gsdparam.c [1.16] (+22 -21), 
        gs/src/gsdfilt.c [1.3] (+8 -8), gs/src/gsdevmem.c [1.10] (+9 -9), 
        gs/src/gsdevice.c [1.26] (+32 -30), gs/src/gscspace.h [1.12] (+11 -7), 
        gs/src/gscspace.c [1.14] (+15 -15), gs/src/gscsepr.h [1.10] (+4 -3), 
        gs/src/gscsepr.c [1.14] (+11 -11), gs/src/gscscie.c [1.14] (+13 -13), 
        gs/src/gscrdp.c [1.14] (+46 -41), gs/src/gscrd.h [1.12] (+5 -3), 
        gs/src/gscrd.c [1.16] (+13 -10), gs/src/gscpixel.h [1.10] (+2 -2), 
        gs/src/gscpixel.c [1.11] (+3 -3), gs/src/gscparam.c [1.13] (+14 -13), 
        gs/src/gscoord.c [1.9] (+48 -46), gs/src/gscolor3.c [1.11] (+2 -2), 
        gs/src/gscolor2.c [1.14] (+14 -14), gs/src/gscolor1.c [1.12] (+11 -11), 
        gs/src/gscolor.c [1.13] (+16 -15), gs/src/gsclipsr.c [1.7] (+2 -2), 
        gs/src/gscindex.h [1.4] (+2 -2), gs/src/gsciemap.c [1.12] (+35 -33), 
        gs/src/gscie.h [1.14] (+12 -11), gs/src/gscie.c [1.16] (+137 -132), 
        gs/src/gschar0.c [1.11] (+47 -45), gs/src/gschar.c [1.13] (+5 -5), 
        gs/src/gscencs.h [1.3] (+2 -2), gs/src/gscencs.c [1.3] (+3 -3), 
        gs/src/gscdevn.h [1.4] (+13 -12), gs/src/gscdevn.c [1.11] (+16 -15), 
        gs/src/gsbitops.h [1.10] (+3 -3), gs/src/gsbitcom.c [1.2] (+7 -7), 
        gs/src/gsargs.h [1.12] (+7 -5), gs/src/gsargs.c [1.12] (+10 -10), 
        gs/src/gsalphac.c [1.12] (+18 -16), gs/src/gsalloc.h [1.12] (+2 -2), 
        gs/src/gsalloc.c [1.21] (+99 -92), gs/src/gpsync.h [1.11] (+10 -10), 
        gs/src/gpcheck.h [1.10] (+2 -2), gs/src/gp_wsync.c [1.6] (+2 -2), 
        gs/src/gp_unix.c [1.12] (+6 -6), gs/src/gp_unifs.c [1.10] (+20 -19), 
        gs/src/gp_psync.c [1.4] (+25 -24), gs/src/gp_nsync.c [1.9] (+14 -14), 
        gs/src/gp.h [1.13] (+6 -5), gs/src/gdevxxf.c [1.12] (+3 -3), 
        gs/src/gdevxini.c [1.14] (+14 -14), gs/src/gdevxcmp.c [1.8] (+27 -27), 
        gs/src/gdevxcf.c [1.3] (+4 -4), gs/src/gdevxalt.c [1.14] (+2 -2), 
        gs/src/gdevx.c [1.15] (+30 -30), gs/src/gdevvec.c [1.14] (+15 -14), 
        gs/src/gdevupd.c [1.16] (+43 -42), gs/src/gdevsppr.c [1.11] (+2 -2), 
        gs/src/gdevrops.c [1.10] (+2 -2), gs/src/gdevpx.c [1.14] (+10 -10), 
        gs/src/gdevpsu.h [1.5] (+4 -4), gs/src/gdevpsu.c [1.6] (+31 -31), 
        gs/src/gdevpsfx.c [1.5] (+18 -18), gs/src/gdevpsfu.c [1.5] (+4 -4), 
        gs/src/gdevpsft.c [1.10] (+13 -13), gs/src/gdevpsfm.c [1.5] (+3 -3), 
        gs/src/gdevpsf2.c [1.5] (+55 -52), gs/src/gdevpsdu.c [1.5] (+10 -10), 
        gs/src/gdevpsds.c [1.12] (+4 -4), gs/src/gdevpsdp.c [1.13] (+20 -16), 
        gs/src/gdevpsdi.c [1.14] (+9 -9), gs/src/gdevpsd.c [1.3] (+2 -2), 
        gs/src/gdevps.c [1.16] (+31 -31), gs/src/gdevprna.c [1.19] (+10 -10), 
        gs/src/gdevprn.c [1.20] (+16 -16), gs/src/gdevppla.c [1.6] (+2 -2), 
        gs/src/gdevplnx.c [1.9] (+4 -4), gs/src/gdevpipe.c [1.11] (+6 -5), 
        gs/src/gdevpdtw.h [1.3] (+3 -2), gs/src/gdevpdtw.c [1.3] (+8 -7), 
        gs/src/gdevpdtt.c [1.3] (+27 -26), gs/src/gdevpdts.h [1.3] (+3 -2), 
        gs/src/gdevpdts.c [1.3] (+10 -7), gs/src/gdevpdti.c [1.3] (+12 -12), 
        gs/src/gdevpdtf.c [1.3] (+8 -8), gs/src/gdevpdte.c [1.3] (+40 -33), 
        gs/src/gdevpdtc.c [1.3] (+14 -14), gs/src/gdevpdtb.c [1.3] (+7 -7), 
        gs/src/gdevpdfx.h [1.14] (+6 -4), gs/src/gdevpdfw.c [1.7] (+2 -2), 
        gs/src/gdevpdfv.c [1.5] (+15 -15), gs/src/gdevpdfu.c [1.9] (+13 -13), 
        gs/src/gdevpdfr.c [1.7] (+23 -22), gs/src/gdevpdfo.c [1.13] (+19 -19), 
        gs/src/gdevpdfm.c [1.12] (+95 -93), gs/src/gdevpdfk.c [1.3] (+7 -7), 
        gs/src/gdevpdfj.c [1.5] (+12 -12), gs/src/gdevpdfi.c [1.16] (+10 -10), 
        gs/src/gdevpdfg.h [1.4] (+3 -2), gs/src/gdevpdfg.c [1.5] (+18 -17), 
        gs/src/gdevpdfd.c [1.13] (+4 -4), gs/src/gdevpdfc.c [1.5] (+21 -21), 
        gs/src/gdevpdfb.c [1.5] (+7 -7), gs/src/gdevpdf.c [1.14] (+8 -8), 
        gs/src/gdevpcx.c [1.12] (+3 -3), gs/src/gdevpbm.c [1.21] (+4 -4), 
        gs/src/gdevp14.c [1.3] (+35 -30), gs/src/gdevnfwd.c [1.13] (+6 -6), 
        gs/src/gdevmrun.c [1.6] (+7 -7), gs/src/gdevmr1.c [1.8] (+4 -4), 
        gs/src/gdevmpla.c [1.10] (+9 -9), gs/src/gdevmem.c [1.12] (+10 -10), 
        gs/src/gdevm1.c [1.14] (+2 -2), gs/src/gdevjpeg.c [1.19] (+3 -3), 
        gs/src/gdevijs.c [1.3] (+6 -6), gs/src/gdevhit.c [1.10] (+2 -2), 
        gs/src/gdevfax.c [1.3] (+3 -3), gs/src/gdevdrop.c [1.15] (+16 -16), 
        gs/src/gdevdljm.c [1.4] (+2 -2), gs/src/gdevdgbr.c [1.11] (+23 -23), 
        gs/src/gdevdflt.c [1.11] (+9 -9), gs/src/gdevdcrd.c [1.7] (+4 -4), 
        gs/src/gdevdbit.c [1.11] (+13 -13), gs/src/gdevcljc.c [1.13] (+2 -2), 
        gs/src/gdevclj.c [1.15] (+10 -10), gs/src/gdevbmpc.c [1.11] (+3 -3), 
        gs/src/gdevbmpa.c [1.25] (+9 -9), gs/src/gdevbmp.c [1.15] (+3 -3), 
        gs/src/gdevbit.c [1.15] (+2 -2), gs/src/gdevbbox.c [1.27] (+11 -11), 
        gs/src/gdevabuf.c [1.11] (+4 -4), gs/src/gdebug.h [1.10] (+47 -44), 
        gs/src/files.h [1.13] (+25 -24), gs/src/fapi_ft.c [1.3] (+2 -2), 
        gs/src/estack.h [1.10] (+3 -3), gs/src/devs.mak [1.28] (+6 -4), 
        gs/src/bfont.h [1.11] (+2 -2):
        Added pl_stdio under the gs_memory_t.  This provides a single
        interface to stdin stdout stderr that is passed to all consumers.
        Pulled similar functionality from gs_main_instance.
        
        Removed gsmemraw abstract base class, it's functionality is
        in gs_memory_t.  This prevents inheritance below gs_memory_t
        which is the base memory class.
        
        Started removing globals.
        
        gs_next_id() is now instance scoped.  Each instance gets its own
        library/memory space with ids starting a 1.
        
        * language_switch/pspcl6_gcc.mak [1.11] (+1 -1):
        pulled djet500.dev
        
        * gs/icclib/icc9809.h [1.2] (+34 -8), gs/icclib/icc.h [1.2] (+566 -176), 
        gs/icclib/icc.c [1.2] (+4345 -2206), gs/icclib/NOTES [1.2] (+14 -34):
        Updating icc library to match version used by 8.10 gs library
        

Thu Sep  4 13:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plps.mak [1.3] (+7 -1):
        Added plsrgb.c to language switching build.
        

Fri Aug 22 21:00:00 2003 GMT            henrys@artifex.com

        * pl/pllfont.c [1.13] (+24 -10):
        Fix to allow the environment variable that specifies the font location
        to end (or not end) in a directory separator.
        

Thu Aug 21 01:00:00 2003 GMT            henrys@artifex.com

        * pxl/pxstate.h [1.10] (+3 -1), pxl/pxsessio.c [1.25] (+4 -1), 
        pxl/pxink.c [1.25] (+22 -203), pxl/pxgstate.h [1.10] (+1 -2), 
        pxl/pxgstate.c [1.25] (+10 -12), pl/plsrgb.c [1.1] (+0 -0), 
        pl/plht.c [1.2] (+14 -0), pl/pl.mak [1.38] (+4 -1):
        pxstate.h, pxsessio.c - adds useciecolor boolean for pcl xl.
        
        pxsessio.c - frees crd at session end.
        
        pxink.c - deprecates obsolete device independent color space
        attributes: XY Chromaticities, White reference, CRGB MinMax,
        GammaGain.  Now simply uses straight SRGB like Color Laserjets.
        pxink.c no longer contains all the necessary postscript incantations
        to implement SRGB; these have been factored out to the share library
        (pl) eventually to be shared with pcl.
        
        pxgstate.h - removes a state variable for maintaining the current cie
        color space, there is only one device independent colorspace (SRGB)
        and it is used in lieue of device RGB iff useciecolor is true.  Also
        device independent color space code factored out to shared library,
        like pxink.c (see above).
        
        pl.mak - new module plsrgb.c added.
        
        plsrgb.c - new module to manage SRGB color space for pxl and pcl
        languages.  This has been seperated out so it can be shared and to
        hide the underlying implementation from the languages, this module
        currently uses a CSA/CRD style implementation.
        
        plht.c - adds header and brief explanation of the module.
        

Sun Aug 10 20:00:00 2003 GMT            henrys@artifex.com

        * pcl/pcsfont.c [1.39] (+42 -24):
        Completes the changes started in the last commit of pcsfont.c to
        support links to resident fonts.
        

Wed Aug  6 01:00:00 2003 GMT            henrys@artifex.com

        * pcl/pcsfont.c [1.38] (+22 -1):
        We now use synonyms (links) to implement cloning of resident fonts.
        This change is not complete; once a link is created it cannot be
        replaced.  We release the "partial" solution because it will work well
        for most real-world uses of pcl font copying.
        

Tue Jul  1 20:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxfill.c [1.14] (+7 -5):
        Merging patch to do traps instead of scanlines as a performance enhancement
        to main.
        

Wed Jun 25 06:00:00 2003 GMT            henrys@artifex.com

        * pl/plsymbol.h [1.4] (+7 -1), pl/plsymbol.c [1.16] (+28 -1):
        refactors common symbol set mapping code used by pcl. gl and pxl into
        one routine.
        
        * pxl/pxfont.c [1.23] (+5 -21), pcl/pglabel.c [1.52] (+9 -24), 
        pcl/pctext.c [1.47] (+2 -53):
        *** empty log message ***
        

Tue Jun 24 08:00:00 2003 GMT            henrys@artifex.com

        * pcl/pgdraw.c [1.72] (+3 -3):
        Modified to translate paths by 1 pixel to support pixel placement.
        The previous 1/2 pixel translation was a workaround for a problem in
        the graphics library which has been addressed.
        

Fri May 23 08:00:00 2003 GMT            henrys@artifex.com

        * pl/plulfont.c [1.14] (+3 -3), pl/plufont.c [1.17] (+4 -5), 
        pl/pluchar.c [1.30] (+5 -5):
        8.0 updates needed for the UFST configuration.
        
        Also (plulfont.c), the default plugins and FCO's were not specified
        correctly (stefan).
        
        * gs/src/gxftype.h [1.12] (+3 -2):
        8.0 updates needed for the UFST configuration - adds microtype font type.
        

Tue May 20 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pglabel.c [1.51] (+3 -3):
        Fix to start next label at carriage return position after a line feed
        in hpgl LB command.  Test case: label-cr-centered.pcl
        

Wed May 14 23:00:00 2003 GMT            henrys@artifex.com

        * pl/pjparse.c [1.32] (+2 -2), pcl/pcstate.h [1.38] (+3 -1), 
        pcl/pcpatrn.c [1.27] (+14 -7), pcl/pccid.c [1.18] (+16 -5):
        pcl screen match mode now maps device color spaces srgb and vivid mode
        is not remapped.  Screen match is the default.  Note the code and pjl
        variable refer to "useciecolor".  useciecolor false is vivid and
        useciecolor true is screen match.
        

Thu May  8 22:00:00 2003 GMT            henrys@artifex.com

        * common/ugcc_top.mak [1.30] (+1 -1):
        fixes typo in last revision.
        

Thu May  8 21:00:00 2003 GMT            henrys@artifex.com

        * main/pcl6_gcc.mak [1.30] (+3 -3), common/ugcc_top.mak [1.29] (+3 -3):
        default profiling and coverage build to the directory pgobj.
        

Thu May  8 19:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plchar.c [1.28] (+2 -2):
        Re-enable char cache.
        

Thu May  8 07:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plufont.c [1.16] (+2 -2), pl/pluchar.c [1.29] (+23 -14), 
        pl/plfont.c [1.25] (+2 -2), pl/plchar.c [1.27] (+23 -14):
        Changes to support gs_glyph_data_t in get_outline code.
        
        * gs/src/gstype42.c [1.25] (+18 -10):
        Merging back in the removal of valid truetype font test based on 'true'
        in the header, which isn't present in all downloaded fonts.
        

Thu May  8 05:00:00 2003 GMT            henrys@artifex.com

        * pxl/pxink.c [1.24] (+66 -85):
        Beginnings of a shared halftone facility factored from pxl and pcl.
        Also, modifications to support 8.0 halftone api changes.  pcl and pxl
        halftones should work with this check in the code is ***WORK IN
        PROGRESS**.
        
        * pcl/pgdraw.c [1.71] (+3 -6), pcl/pcht.c [1.30] (+20 -1):
        Beginnings of a shared halftone facility factored from pxl and pcl.
        Also, modifications to support 8.0 halftone api changes.  pcl and pxl
        halftones should work with this check in the code is ***WORK IN
        PROGRESS**.  Also, pgdraw.c modified to use reference counting instead
        of copying paths.
        
        * pl/plht.c [1.1] (+0 -0), pl/pl.mak [1.37] (+4 -23):
        Beginnings of a shared halftone facility factored from pxl and pcl.
        Also, modifications to support 8.0 halftone api changes.  pcl and pxl
        halftones should work with this check in the code is ***WORK IN
        PROGRESS**
        

Wed May  7 23:00:00 2003 GMT            henrys@artifex.com

        * gs/src/gdevcmap.h [1.13] (+1 -1), gs/src/gdevcmap.c [1.17] (+1 -1):
        removes obsolete gdevcmap files.
        

Wed May  7 09:00:00 2003 GMT            henrys@artifex.com

        * pxl/pxtop.c [1.20] (+2 -2), pxl/pxink.c [1.23] (+9 -2), 
        pxl/pxgstate.c [1.24] (+2 -2), pcl/pctop.c [1.28] (+2 -2), 
        pcl/pcht.c [1.29] (+3 -1), main/pcl6_msvc.mak [1.16] (+1 -1), 
        main/pcl6_gcc.mak [1.29] (+1 -1):
        *** empty log message ***
        
        * gs/src/gxpath.c [1.12] (+37 -37), gs/src/gxalloc.h [1.20] (+1 -13):
        GS 8.x upgrade - mods to get system compiling are running simple
        files.
        

Tue May  6 23:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/ziodevst.c [1.2] (+6 -14), gs/src/zht2.h [1.2] (+6 -14), 
        gs/src/zfsample.c [1.2] (+7 -15), gs/src/zfjbig2.c [1.2] (+8 -16), 
        gs/src/zfile1.c [1.2] (+8 -16), gs/src/zfarc4.c [1.2] (+8 -16), 
        gs/src/zfapi.c [1.2] (+8 -16), gs/src/zcolor3.c [1.2] (+8 -16), 
        gs/src/zcidtest.c [1.2] (+8 -16), gs/src/write_t2.h [1.2] (+7 -15), 
        gs/src/write_t2.c [1.2] (+7 -15), gs/src/write_t1.h [1.2] (+7 -15), 
        gs/src/write_t1.c [1.2] (+7 -15), gs/src/wrfont.h [1.2] (+7 -15), 
        gs/src/wrfont.c [1.2] (+7 -15), gs/src/vdtrace.h [1.2] (+6 -14), 
        gs/src/vdtrace.c [1.2] (+6 -14), gs/src/stdpn.h [1.2] (+6 -14), 
        gs/src/sjbig2.h [1.2] (+6 -14), gs/src/sjbig2.c [1.2] (+6 -14), 
        gs/src/sarc4.h [1.2] (+6 -14), gs/src/sarc4.c [1.2] (+7 -15), 
        gs/src/iplugin.h [1.2] (+7 -15), gs/src/iplugin.c [1.2] (+7 -15), 
        gs/src/ifapi.h [1.2] (+7 -15), gs/src/gxwts.h [1.2] (+8 -15), 
        gs/src/gxwts.c [1.2] (+7 -14), gs/src/gxhintn.h [1.2] (+7 -15), 
        gs/src/gxhintn.c [1.2] (+7 -15), gs/src/gxfont0c.h [1.2] (+6 -14), 
        gs/src/gxfcopy.h [1.2] (+6 -14), gs/src/gxfcopy.c [1.2] (+7 -15), 
        gs/src/gxfcmap1.h [1.2] (+7 -15), gs/src/gxfapi.h [1.2] (+7 -15), 
        gs/src/gxfapi.c [1.2] (+7 -15), gs/src/gxdtfill.h [1.2] (+6 -14), 
        gs/src/gxdhtserial.h [1.2] (+6 -14), gs/src/gxdhtserial.c [1.2] (+6 -14), 
        gs/src/gxdevndi.h [1.2] (+7 -15), gs/src/gxdevndi.c [1.2] (+7 -15), 
        gs/src/gswts.h [1.2] (+7 -14), gs/src/gswts.c [1.2] (+7 -14), 
        gs/src/gsserial.h [1.2] (+6 -13), gs/src/gsserial.c [1.2] (+6 -13), 
        gs/src/gsiomacres.c [1.2] (+6 -14), gs/src/gsiodisk.c [1.2] (+6 -14), 
        gs/src/gsgdata.h [1.2] (+6 -14), gs/src/gsgdata.c [1.2] (+6 -14), 
        gs/src/gsgcache.h [1.2] (+6 -14), gs/src/gsgcache.c [1.2] (+6 -14), 
        gs/src/gsfont0c.c [1.2] (+6 -14), gs/src/gsfcmap1.c [1.2] (+6 -14), 
        gs/src/gsfcid2.c [1.2] (+6 -14), gs/src/gscencs.h [1.2] (+6 -14), 
        gs/src/gscencs.c [1.2] (+6 -14), gs/src/gp_stdin.c [1.2] (+6 -14), 
        gs/src/gp_stdia.c [1.2] (+6 -14), gs/src/gp_mspol.c [1.2] (+8 -16), 
        gs/src/gp_macpoll.c [1.2] (+6 -14), gs/src/gdevxcf.c [1.2] (+6 -14), 
        gs/src/gdevpsd.c [1.2] (+6 -14), gs/src/gdevperm.c [1.2] (+6 -14), 
        gs/src/gdevpdtx.h [1.2] (+6 -14), gs/src/gdevpdtw.h [1.2] (+6 -14), 
        gs/src/gdevpdtw.c [1.2] (+6 -14), gs/src/gdevpdtt.h [1.2] (+6 -14), 
        gs/src/gdevpdtt.c [1.2] (+6 -14), gs/src/gdevpdts.h [1.2] (+6 -14), 
        gs/src/gdevpdts.c [1.2] (+6 -14), gs/src/gdevpdti.h [1.2] (+6 -14), 
        gs/src/gdevpdti.c [1.2] (+6 -14), gs/src/gdevpdtf.h [1.2] (+6 -14), 
        gs/src/gdevpdtf.c [1.2] (+6 -14), gs/src/gdevpdte.c [1.2] (+6 -14), 
        gs/src/gdevpdtd.h [1.2] (+6 -14), gs/src/gdevpdtd.c [1.2] (+6 -14), 
        gs/src/gdevpdtc.c [1.2] (+6 -14), gs/src/gdevpdtb.h [1.2] (+6 -14), 
        gs/src/gdevpdtb.c [1.2] (+7 -15), gs/src/gdevpdt.h [1.2] (+7 -15), 
        gs/src/gdevpdt.c [1.2] (+6 -14), gs/src/gdevpdfk.c [1.2] (+6 -14), 
        gs/src/gdevpdfc.h [1.2] (+6 -14), gs/src/gdevm64.c [1.2] (+7 -15), 
        gs/src/gdevm56.c [1.2] (+7 -15), gs/src/gdevm48.c [1.2] (+7 -15), 
        gs/src/gdevm40.c [1.2] (+7 -15), gs/src/gdevijs.c [1.2] (+6 -14), 
        gs/src/gdevdevn.c [1.2] (+9 -16), gs/src/gdevddrw.h [1.2] (+7 -15), 
        gs/src/gdevcmap.h [1.12] (+6 -14), gs/src/gdevcmap.c [1.16] (+7 -15), 
        gs/src/fapiufst.c [1.2] (+10 -16), gs/src/fapi_ft.c [1.2] (+10 -16), 
        gs/src/dxmainc.c [1.2] (+6 -14), gs/src/dwtrace.h [1.2] (+6 -14), 
        gs/src/dwtrace.c [1.2] (+7 -15), gs/src/dwreg.h [1.2] (+6 -14), 
        gs/src/dwreg.c [1.2] (+6 -14), gs/src/dwimg.h [1.12] (+6 -14):
        Changing license header.
        

Tue May  6 22:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gxdevice.h [1.17] (+3 -2), gs/src/gxdevcli.h [1.16] (+2 -1), 
        gs/src/gsdevice.c [1.25] (+22 -1), gs/src/gdevpbm.c [1.20] (+5 -6), 
        gs/src/gdevjpeg.c [1.18] (+5 -8):
        Merge in changes for -dTrayOrientation=[0,90,180,270].
        jpeg and pbm devices currently support this, others default to zero.
        

Tue May  6 19:00:00 2003 GMT            henrys@artifex.com

        * pxl/pxtop.c [1.19] (+5 -5), pxl/pximage.c [1.14] (+2 -2), 
        pxl/pxfont.c [1.22] (+2 -2), pxl/pxerrors.c [1.7] (+3 -3), 
        pl/plufont.c [1.15] (+5 -5), pl/plmain.c [1.67] (+2 -2), 
        pl/pllfont.c [1.12] (+2 -2), pl/plfont.c [1.24] (+7 -7), 
        pcl/pglabel.c [1.50] (+6 -6), pcl/pctext.c [1.46] (+2 -2), 
        pcl/pcsfont.c [1.37] (+4 -4), pcl/pcpalet.c [1.25] (+5 -4), 
        pcl/pcht.c [1.28] (+39 -39), gs/src/zvmem2.c [1.10] (+15 -28), 
        gs/src/zvmem.c [1.11] (+10 -4), gs/src/zusparam.c [1.11] (+62 -15), 
        gs/src/zupath.c [1.10] (+41 -27), gs/src/ztype.c [1.10] (+5 -5), 
        gs/src/ztrans.c [1.4] (+40 -11), gs/src/ztoken.c [1.9] (+8 -7), 
        gs/src/zstring.c [1.9] (+24 -1), gs/src/zshade.c [1.11] (+94 -56), 
        gs/src/zrelbit.c [1.10] (+2 -2), gs/src/zpcolor.c [1.11] (+87 -25), 
        gs/src/zpath1.c [1.10] (+8 -8), gs/src/zpath.c [1.9] (+7 -7), 
        gs/src/zpacked.c [1.10] (+2 -2), gs/src/zmisc3.c [1.9] (+1 -22), 
        gs/src/zmisc2.c [1.10] (+7 -7), gs/src/zmisc1.c [1.9] (+11 -6), 
        gs/src/zmisc.c [1.10] (+14 -2), gs/src/zmedia2.c [1.11] (+40 -29), 
        gs/src/zmatrix.c [1.9] (+6 -6), gs/src/zlib.mak [1.15] (+7 -6), 
        gs/src/ziodevst.c [1.1] (+0 -0), gs/src/ziodevsc.c [1.2] (+10 -10), 
        gs/src/ziodevs.c [1.3] (+10 -14), gs/src/ziodev2.c [1.11] (+2 -2), 
        gs/src/ziodev.c [1.11] (+52 -15), gs/src/zimage3.c [1.9] (+5 -5), 
        gs/src/zimage2.c [1.11] (+3 -132), gs/src/zimage.c [1.13] (+151 -106), 
        gs/src/zicc.c [1.2] (+7 -1), gs/src/zht2.h [1.1] (+0 -0), 
        gs/src/zht2.c [1.10] (+200 -106), gs/src/zht1.c [1.10] (+4 -4), 
        gs/src/zht.c [1.9] (+36 -22), gs/src/zgstate.c [1.11] (+17 -15), 
        gs/src/zgeneric.c [1.10] (+9 -9), gs/src/zfunc4.c [1.6] (+27 -14), 
        gs/src/zfunc3.c [1.10] (+6 -6), gs/src/zfunc0.c [1.10] (+2 -2), 
        gs/src/zfunc.c [1.11] (+144 -43), gs/src/zfsample.c [1.1] (+0 -0), 
        gs/src/zfrsd.c [1.3] (+17 -10), gs/src/zfproc.c [1.11] (+3 -3), 
        gs/src/zfont42.c [1.10] (+47 -36), gs/src/zfont2.c [1.9] (+5 -3), 
        gs/src/zfont0.c [1.10] (+4 -4), gs/src/zfont.c [1.12] (+70 -6), 
        gs/src/zfjbig2.c [1.1] (+0 -0), gs/src/zfilter.c [1.12] (+25 -2), 
        gs/src/zfileio.c [1.13] (+12 -12), gs/src/zfile1.c [1.1] (+0 -0), 
        gs/src/zfile.c [1.13] (+546 -154), gs/src/zfdcte.c [1.13] (+2 -2), 
        gs/src/zfcmap.c [1.14] (+46 -97), gs/src/zfcid1.c [1.4] (+104 -35), 
        gs/src/zfcid0.c [1.5] (+69 -100), gs/src/zfarc4.c [1.1] (+0 -0), 
        gs/src/zfapi.c [1.1] (+0 -0), gs/src/zdscpars.c [1.4] (+3 -3), 
        gs/src/zdps1.c [1.10] (+4 -4), gs/src/zdps.c [1.10] (+2 -2), 
        gs/src/zdpnext.c [1.10] (+37 -30), gs/src/zdouble.c [1.9] (+8 -8), 
        gs/src/zdict.c [1.11] (+5 -5), gs/src/zdfilter.c [1.2] (+2 -43), 
        gs/src/zdevice2.c [1.11] (+11 -5), gs/src/zdevice.c [1.12] (+8 -12), 
        gs/src/zcssepr.c [1.13] (+55 -87), gs/src/zcsindex.c [1.10] (+2 -2), 
        gs/src/zcsdevn.c [1.10] (+42 -176), gs/src/zcrd.c [1.13] (+74 -13), 
        gs/src/zcontrol.c [1.10] (+135 -38), gs/src/zcontext.c [1.14] (+88 -89), 
        gs/src/zcolor3.c [1.1] (+0 -0), gs/src/zcolor2.c [1.10] (+16 -274), 
        gs/src/zcolor1.c [1.10] (+17 -61), gs/src/zcolor.c [1.10] (+308 -100), 
        gs/src/zcie.c [1.12] (+29 -41), gs/src/zcidtest.c [1.1] (+0 -0), 
        gs/src/zcid.c [1.9] (+155 -1), gs/src/zcharx.c [1.8] (+2 -2), 
        gs/src/zcharout.c [1.10] (+29 -20), gs/src/zchar42.c [1.10] (+53 -11), 
        gs/src/zchar1.c [1.14] (+237 -115), gs/src/zchar.c [1.14] (+18 -9), 
        gs/src/zcfont.c [1.10] (+23 -3), gs/src/zbfont.c [1.8] (+118 -98), 
        gs/src/write_t2.h [1.1] (+0 -0), gs/src/write_t2.c [1.1] (+0 -0), 
        gs/src/write_t1.h [1.1] (+0 -0), gs/src/write_t1.c [1.1] (+0 -0), 
        gs/src/wrfont.h [1.1] (+0 -0), gs/src/wrfont.c [1.1] (+0 -0), 
        gs/src/winlib.mak [1.18] (+38 -9), gs/src/winint.mak [1.16] (+95 -71), 
        gs/src/wctail.mak [1.12] (+3 -1), gs/src/wccommon.mak [1.19] (+4 -3), 
        gs/src/watcw32.mak [1.15] (+41 -27), gs/src/watclib.mak [1.18] (+20 -4), 
        gs/src/vms_x_fix.h [1.2] (+1 -1), gs/src/version.mak [1.23] (+4 -4), 
        gs/src/vdtrace.h [1.1] (+0 -0), gs/src/vdtrace.c [1.1] (+0 -0), 
        gs/src/unixlink.mak [1.6] (+10 -18), gs/src/unixinst.mak [1.16] (+47 -31), 
        gs/src/unixansi.mak [1.16] (+37 -18), gs/src/unix-gcc.mak [1.23] (+46 -25), 
        gs/src/unix-end.mak [1.13] (+2 -2), gs/src/unix-dll.mak [1.2] (+33 -22), 
        gs/src/unix-aux.mak [1.7] (+8 -5), gs/src/unistd_.h [1.2] (+10 -2), 
        gs/src/ugcclib.mak [1.15] (+40 -9), gs/src/time_.h [1.10] (+2 -3), 
        gs/src/szlibxx.h [1.7] (+5 -5), gs/src/strimpl.h [1.9] (+3 -3), 
        gs/src/stream.h [1.12] (+47 -47), gs/src/stream.c [1.14] (+42 -49), 
        gs/src/stdpre.h [1.17] (+68 -64), gs/src/stdpn.h [1.1] (+0 -0), 
        gs/src/stdio_.h [1.9] (+6 -2), gs/src/std.h [1.13] (+25 -28), 
        gs/src/stat_.h [1.13] (+11 -2), gs/src/srdline.h [1.6] (+5 -5), 
        gs/src/spsdf.h [1.6] (+10 -12), gs/src/spprint.h [1.7] (+27 -27), 
        gs/src/spprint.c [1.7] (+15 -5), gs/src/slzwx.h [1.11] (+3 -3), 
        gs/src/sjpegc.c [1.11] (+46 -2), gs/src/sjpeg.h [1.8] (+26 -30), 
        gs/src/sjbig2.h [1.1] (+0 -0), gs/src/sjbig2.c [1.1] (+0 -0), 
        gs/src/siscale.c [1.12] (+2 -2), gs/src/siinterp.c [1.6] (+2 -2), 
        gs/src/shcgen.h [1.8] (+9 -9), gs/src/shc.h [1.9] (+3 -3), 
        gs/src/sfxstdio.c [1.9] (+12 -12), gs/src/sfxfd.c [1.11] (+15 -15), 
        gs/src/seexec.c [1.12] (+18 -4), gs/src/sdeparam.c [1.10] (+20 -21), 
        gs/src/sdcte.c [1.11] (+16 -2), gs/src/sdct.h [1.10] (+2 -2), 
        gs/src/sdcparam.h [1.8] (+19 -19), gs/src/sdcparam.c [1.9] (+2 -2), 
        gs/src/scommon.h [1.9] (+21 -13), gs/src/scfx.h [1.9] (+3 -3), 
        gs/src/scfetab.c [1.9] (+2 -2), gs/src/scfe.c [1.9] (+6 -6), 
        gs/src/scfdtab.c [1.8] (+3 -3), gs/src/scfdgen.c [1.9] (+11 -17), 
        gs/src/scfd.c [1.11] (+5 -5), gs/src/sbwbs.c [1.9] (+2 -2), 
        gs/src/sbcp.h [1.3] (+3 -3), gs/src/sarc4.h [1.1] (+0 -0), 
        gs/src/sarc4.c [1.1] (+0 -0), gs/src/sa85x.h [1.9] (+2 -2), 
        gs/src/sa85d.c [1.6] (+28 -7), gs/src/png_.h [1.6] (+6 -1), 
        gs/src/pipe_.h [1.9] (+8 -4), gs/src/pcwin.mak [1.11] (+5 -3), 
        gs/src/os2.mak [1.15] (+62 -40), gs/src/opextern.h [1.10] (+86 -86), 
        gs/src/oper.h [1.9] (+2 -2), gs/src/openvms.mmk [1.9] (+65 -21), 
        gs/src/openvms.mak [1.16] (+40 -17), gs/src/opdef.h [1.9] (+18 -39), 
        gs/src/opcheck.h [1.8] (+2 -2), gs/src/oparc.h [1.6] (+4 -4), 
        gs/src/msvctail.mak [1.13] (+4 -1), gs/src/msvclib.mak [1.20] (+14 -7), 
        gs/src/msvccmd.mak [1.15] (+18 -3), gs/src/msvc32.mak [1.19] (+123 -74), 
        gs/src/memory_.h [1.10] (+14 -8), gs/src/md5main.c [1.1] (+0 -0), 
        gs/src/md5.h [1.4] (+18 -21), gs/src/md5.c [1.4] (+75 -104), 
        gs/src/math_.h [1.10] (+2 -2), gs/src/malloc_.h [1.8] (+2 -2), 
        gs/src/main.h [1.10] (+2 -2), gs/src/macsystypes.h [1.2] (+10 -4), 
        gs/src/macosx.mak [1.1] (+0 -0), gs/src/macos-mcp.mak [1.2] (+43 -29), 
        gs/src/macos-fw.mak [1.1] (+0 -0), gs/src/macgenmcpxml.sh [1.2] (+43 -31), 
        gs/src/libpng.mak [1.14] (+2 -2), gs/src/lib.mak [1.29] (+420 -185), 
        gs/src/jpeg.mak [1.13] (+18 -11), gs/src/jerror_.h [1.6] (+6 -1), 
        gs/src/jbig2.mak [1.1] (+0 -0), gs/src/ivmem2.h [1.6] (+3 -3), 
        gs/src/iutil2.h [1.9] (+6 -6), gs/src/iutil2.c [1.9] (+7 -2), 
        gs/src/iutil.h [1.11] (+31 -28), gs/src/iutil.c [1.12] (+43 -6), 
        gs/src/itoken.h [1.3] (+7 -7), gs/src/istruct.h [1.10] (+2 -2), 
        gs/src/istream.h [1.10] (+7 -7), gs/src/istack.h [1.10] (+27 -28), 
        gs/src/istack.c [1.10] (+4 -4), gs/src/iscannum.h [1.9] (+3 -3), 
        gs/src/iscannum.c [1.12] (+28 -4), gs/src/iscanbin.h [1.6] (+3 -3), 
        gs/src/iscanbin.c [1.12] (+65 -32), gs/src/iscan.h [1.10] (+16 -13), 
        gs/src/iscan.c [1.11] (+18 -15), gs/src/isave.h [1.10] (+16 -16), 
        gs/src/isave.c [1.13] (+66 -69), gs/src/iref.h [1.10] (+189 -108), 
        gs/src/ireclaim.c [1.10] (+22 -18), gs/src/iplugin.h [1.1] (+0 -0), 
        gs/src/iplugin.c [1.1] (+0 -0), gs/src/ipcolor.h [1.7] (+3 -3), 
        gs/src/iparray.h [1.10] (+3 -3), gs/src/iparam.h [1.10] (+18 -18), 
        gs/src/iparam.c [1.12] (+20 -21), gs/src/interp.h [1.11] (+15 -16), 
        gs/src/interp.c [1.15] (+48 -20), gs/src/int.mak [1.17] (+267 -84), 
        gs/src/inames.h [1.10] (+17 -17), gs/src/inamedef.h [1.10] (+4 -4), 
        gs/src/iname.c [1.11] (+4 -4), gs/src/iminst.h [1.11] (+7 -24), 
        gs/src/imemory.h [1.10] (+12 -12), gs/src/imainarg.h [1.9] (+3 -4), 
        gs/src/imainarg.c [1.13] (+159 -48), gs/src/imain.h [1.10] (+53 -47), 
        gs/src/imain.c [1.17] (+173 -67), gs/src/ilocate.c [1.13] (+9 -6), 
        gs/src/ijs.mak [1.1] (+0 -0), gs/src/iinit.h [1.6] (+5 -5), 
        gs/src/iinit.c [1.12] (+10 -11), gs/src/iimage2.h [1.10] (+5 -23), 
        gs/src/iimage.h [1.10] (+25 -16), gs/src/iht.h [1.9] (+5 -5), 
        gs/src/igstate.h [1.9] (+16 -8), gs/src/igcstr.h [1.9] (+7 -7), 
        gs/src/igcstr.c [1.9] (+2 -2), gs/src/igc.h [1.10] (+11 -11), 
        gs/src/igc.c [1.12] (+16 -16), gs/src/ifwpred.h [1.6] (+4 -4), 
        gs/src/ifunc.h [1.11] (+27 -15), gs/src/ifrpred.h [1.6] (+4 -4), 
        gs/src/ifont42.h [1.3] (+10 -8), gs/src/ifont2.h [1.3] (+3 -3), 
        gs/src/ifont1.h [1.6] (+12 -12), gs/src/ifont.h [1.11] (+5 -13), 
        gs/src/ifilter2.h [1.6] (+5 -5), gs/src/ifilter.h [1.11] (+18 -18), 
        gs/src/ifcid.h [1.3] (+5 -5), gs/src/ifapi.h [1.1] (+0 -0), 
        gs/src/idstack.h [1.9] (+3 -3), gs/src/idstack.c [1.9] (+2 -2), 
        gs/src/idsdata.h [1.7] (+1 -5), gs/src/idparam.h [1.9] (+37 -37), 
        gs/src/idparam.c [1.9] (+4 -4), gs/src/idosave.h [1.6] (+5 -5), 
        gs/src/idisp.h [1.2] (+2 -1), gs/src/idisp.c [1.2] (+4 -2), 
        gs/src/idict.h [1.10] (+35 -54), gs/src/idict.c [1.13] (+15 -23), 
        gs/src/idebug.h [1.10] (+9 -9), gs/src/idebug.c [1.11] (+7 -7), 
        gs/src/iddstack.h [1.6] (+3 -3), gs/src/icstate.h [1.12] (+9 -8), 
        gs/src/icsmap.h [1.9] (+5 -5), gs/src/icontext.h [1.11] (+8 -9), 
        gs/src/icontext.c [1.11] (+10 -21), gs/src/iconf.c [1.10] (+16 -1), 
        gs/src/icolor.h [1.9] (+7 -7), gs/src/icie.h [1.10] (+31 -31), 
        gs/src/icid.h [1.3] (+16 -2), gs/src/icharout.h [1.11] (+14 -15), 
        gs/src/ichar1.h [1.6] (+9 -5), gs/src/ichar.h [1.11] (+14 -14), 
        gs/src/icclib.mak [1.2] (+4 -10), gs/src/iccfont.c [1.11] (+12 -4), 
        gs/src/ibnum.h [1.8] (+32 -15), gs/src/ibnum.c [1.11] (+29 -18), 
        gs/src/iapi.h [1.2] (+57 -66), gs/src/iapi.c [1.2] (+15 -6), 
        gs/src/ialloc.h [1.10] (+8 -8), gs/src/ialloc.c [1.10] (+2 -2), 
        gs/src/gzstate.h [1.11] (+3 -9), gs/src/gzpath.h [1.9] (+28 -13), 
        gs/src/gzline.h [1.9] (+2 -2), gs/src/gzht.h [1.14] (+97 -53), 
        gs/src/gzacpath.h [1.8] (+7 -7), gs/src/gxxfont.h [1.10] (+19 -21), 
        gs/src/gxwts.h [1.1] (+0 -0), gs/src/gxwts.c [1.1] (+0 -0), 
        gs/src/gxtype1.h [1.12] (+49 -34), gs/src/gxtype1.c [1.12] (+244 -204), 
        gs/src/gxttf.h [1.3] (+14 -2), gs/src/gxtmap.h [1.8] (+5 -5), 
        gs/src/gxtext.h [1.11] (+20 -20), gs/src/gxsync.h [1.9] (+13 -13), 
        gs/src/gxstroke.c [1.18] (+29 -24), gs/src/gxstate.h [1.8] (+15 -12), 
        gs/src/gxshade6.c [1.11] (+3 -3), gs/src/gxshade4.h [1.10] (+10 -10), 
        gs/src/gxshade4.c [1.12] (+123 -62), gs/src/gxshade1.c [1.16] (+245 -22), 
        gs/src/gxshade.h [1.11] (+30 -22), gs/src/gxshade.c [1.11] (+42 -17), 
        gs/src/gxsample.h [1.9] (+3 -3), gs/src/gxrplane.h [1.6] (+3 -3), 
        gs/src/gxropc.h [1.8] (+3 -3), gs/src/gxpflat.c [1.8] (+15 -3), 
        gs/src/gxpdash.c [1.9] (+4 -4), gs/src/gxpcopy.c [1.12] (+16 -5), 
        gs/src/gxpcolor.h [1.9] (+55 -23), gs/src/gxpcmap.c [1.12] (+61 -13), 
        gs/src/gxpcache.h [1.8] (+2 -2), gs/src/gxpath2.c [1.12] (+15 -2), 
        gs/src/gxpath.h [1.10] (+94 -83), gs/src/gxpath.c [1.11] (+183 -7), 
        gs/src/gxpaint.h [1.10] (+15 -15), gs/src/gxpageq.h [1.11] (+24 -24), 
        gs/src/gxpageq.c [1.12] (+4 -4), gs/src/gxp1impl.h [1.6] (+3 -3), 
        gs/src/gxp1fill.c [1.13] (+3 -3), gs/src/gxoprect.h [1.1] (+0 -0), 
        gs/src/gxoprect.c [1.1] (+0 -0), gs/src/gxop1.h [1.8] (+5 -5), 
        gs/src/gxobj.h [1.10] (+7 -3), gs/src/gxmclip.h [1.11] (+5 -5), 
        gs/src/gxmatrix.h [1.9] (+7 -7), gs/src/gxline.h [1.10] (+5 -6), 
        gs/src/gxistate.h [1.9] (+97 -97), gs/src/gxiscale.c [1.11] (+16 -6), 
        gs/src/gxipixel.c [1.11] (+84 -32), gs/src/gxiparam.h [1.12] (+26 -26), 
        gs/src/gxiodev.h [1.9] (+42 -27), gs/src/gximono.c [1.14] (+20 -80), 
        gs/src/gximage3.h [1.3] (+25 -25), gs/src/gximage3.c [1.14] (+10 -4), 
        gs/src/gximage2.c [1.12] (+39 -35), gs/src/gximage.h [1.11] (+18 -11), 
        gs/src/gximage.c [1.10] (+12 -12), gs/src/gximag3x.h [1.3] (+27 -27), 
        gs/src/gximag3x.c [1.3] (+23 -17), gs/src/gxifast.c [1.13] (+13 -12), 
        gs/src/gxidata.c [1.12] (+7 -7), gs/src/gxicolor.c [1.14] (+84 -22), 
        gs/src/gxiclass.h [1.6] (+4 -4), gs/src/gxi12bit.c [1.11] (+2 -2), 
        gs/src/gxht.h [1.9] (+22 -13), gs/src/gxht.c [1.14] (+406 -106), 
        gs/src/gxhintn.h [1.1] (+0 -0), gs/src/gxhintn.c [1.1] (+0 -0), 
        gs/src/gxhint3.c [1.8] (+15 -6), gs/src/gxhint2.c [1.9] (+12 -8), 
        gs/src/gxhint1.c [1.8] (+7 -7), gs/src/gxgetbit.h [1.9] (+9 -9), 
        gs/src/gxfunc.h [1.10] (+30 -8), gs/src/gxftype.h [1.11] (+2 -3), 
        gs/src/gxfont42.h [1.15] (+46 -30), gs/src/gxfont1.h [1.11] (+22 -15), 
        gs/src/gxfont0c.h [1.1] (+0 -0), gs/src/gxfont0.h [1.9] (+8 -3), 
        gs/src/gxfont.h [1.11] (+97 -32), gs/src/gxfmap.h [1.9] (+5 -5), 
        gs/src/gxfixed.h [1.11] (+25 -10), gs/src/gxfill.c [1.13] (+1038 -108), 
        gs/src/gxfcopy.h [1.1] (+0 -0), gs/src/gxfcopy.c [1.1] (+0 -0), 
        gs/src/gxfcmap1.h [1.1] (+0 -0), gs/src/gxfcmap.h [1.10] (+262 -94), 
        gs/src/gxfcid.h [1.3] (+18 -9), gs/src/gxfcache.h [1.10] (+28 -13), 
        gs/src/gxfarith.h [1.9] (+5 -5), gs/src/gxfapi.h [1.1] (+0 -0), 
        gs/src/gxfapi.c [1.1] (+0 -0), gs/src/gxdtfill.h [1.1] (+0 -0), 
        gs/src/gxdither.h [1.9] (+14 -40), gs/src/gxdhtserial.h [1.1] (+0 -0), 
        gs/src/gxdhtserial.c [1.1] (+0 -0), gs/src/gxdhtres.h [1.6] (+2 -2), 
        gs/src/gxdht.h [1.9] (+35 -19), gs/src/gxdevndi.h [1.1] (+0 -0), 
        gs/src/gxdevndi.c [1.1] (+0 -0), gs/src/gxdevmem.h [1.9] (+53 -29), 
        gs/src/gxdevice.h [1.16] (+65 -45), gs/src/gxdevcli.h [1.15] (+556 -144), 
        gs/src/gxdevbuf.h [1.6] (+11 -11), gs/src/gxdcolor.h [1.9] (+168 -13), 
        gs/src/gxdcolor.c [1.11] (+438 -46), gs/src/gxdcconv.h [1.8] (+9 -9), 
        gs/src/gxdcconv.c [1.10] (+3 -3), gs/src/gxctable.h [1.9] (+5 -5), 
        gs/src/gxcspace.h [1.13] (+39 -34), gs/src/gxcpath.h [1.11] (+9 -9), 
        gs/src/gxcpath.c [1.12] (+6 -7), gs/src/gxcoord.h [1.8] (+4 -4), 
        gs/src/gxcomp.h [1.8] (+35 -8), gs/src/gxcolor2.h [1.9] (+13 -8), 
        gs/src/gxcmap.h [1.12] (+197 -46), gs/src/gxcmap.c [1.13] (+812 -412), 
        gs/src/gxclutil.c [1.11] (+160 -96), gs/src/gxclrect.c [1.12] (+14 -4), 
        gs/src/gxclread.c [1.13] (+12 -13), gs/src/gxclrast.c [1.18] (+458 -536), 
        gs/src/gxclpath.h [1.12] (+56 -30), gs/src/gxclpath.c [1.18] (+92 -113), 
        gs/src/gxclpage.h [1.8] (+5 -5), gs/src/gxclmem.h [1.8] (+3 -3), 
        gs/src/gxclmem.c [1.12] (+3 -3), gs/src/gxclist.h [1.11] (+12 -11), 
        gs/src/gxclist.c [1.13] (+18 -3), gs/src/gxclipm.c [1.10] (+13 -3), 
        gs/src/gxclip2.h [1.11] (+6 -6), gs/src/gxclip2.c [1.10] (+12 -2), 
        gs/src/gxclip.h [1.9] (+15 -15), gs/src/gxclip.c [1.13] (+17 -6), 
        gs/src/gxclio.h [1.8] (+15 -17), gs/src/gxclimag.c [1.15] (+294 -240), 
        gs/src/gxclfile.c [1.8] (+2 -1), gs/src/gxcldev.h [1.13] (+89 -80), 
        gs/src/gxclbits.c [1.10] (+10 -7), gs/src/gxcindex.h [1.9] (+18 -12), 
        gs/src/gxcie.h [1.7] (+38 -15), gs/src/gxcid.h [1.3] (+9 -5), 
        gs/src/gxcht.c [1.15] (+511 -115), gs/src/gxchrout.h [1.3] (+2 -2), 
        gs/src/gxchar.h [1.10] (+28 -15), gs/src/gxchar.c [1.8] (+261 -109), 
        gs/src/gxcdevn.h [1.6] (+8 -6), gs/src/gxccman.c [1.11] (+21 -10), 
        gs/src/gxccache.c [1.10] (+54 -27), gs/src/gxbitmap.h [1.11] (+23 -5), 
        gs/src/gxbitfmt.h [1.9] (+1 -4), gs/src/gxbcache.h [1.8] (+8 -8), 
        gs/src/gxarith.h [1.9] (+5 -5), gs/src/gxalloc.h [1.19] (+20 -17), 
        gs/src/gxacpath.c [1.12] (+23 -11), gs/src/gx.h [1.10] (+8 -1), 
        gs/src/gswts.h [1.1] (+0 -0), gs/src/gswts.c [1.1] (+0 -0), 
        gs/src/gswin386.rc [1.2] (+2 -2), gs/src/gswin32.rc [1.2] (+4 -4), 
        gs/src/gswin16.icx [1.1] (+0 -0), gs/src/gswin.rc [1.8] (+3 -3), 
        gs/src/gswin.icx [1.1] (+0 -0), gs/src/gsutil.h [1.9] (+11 -10), 
        gs/src/gsutil.c [1.12] (+49 -21), gs/src/gsuid.h [1.8] (+5 -3), 
        gs/src/gstypes.h [1.12] (+22 -4), gs/src/gstype42.c [1.24] (+230 -147), 
        gs/src/gstype2.c [1.12] (+211 -73), gs/src/gstype1.h [1.10] (+9 -9), 
        gs/src/gstype1.c [1.13] (+176 -55), gs/src/gstrap.h [1.8] (+2 -2), 
        gs/src/gstrap.c [1.9] (+2 -2), gs/src/gstrans.h [1.3] (+25 -25), 
        gs/src/gstrans.c [1.4] (+11 -11), gs/src/gstparam.h [1.3] (+2 -2), 
        gs/src/gstext.h [1.13] (+59 -59), gs/src/gstext.c [1.14] (+48 -14), 
        gs/src/gsstype.h [1.7] (+8 -8), gs/src/gsstruct.h [1.14] (+55 -43), 
        gs/src/gsstate.h [1.11] (+35 -28), gs/src/gsstate.c [1.18] (+146 -85), 
        gs/src/gsshade.h [1.10] (+34 -34), gs/src/gsshade.c [1.13] (+8 -18), 
        gs/src/gsserial.h [1.1] (+0 -0), gs/src/gsserial.c [1.1] (+0 -0), 
        gs/src/gsroptab.c [1.8] (+261 -267), gs/src/gsropt.h [1.12] (+2 -2), 
        gs/src/gsropc.h [1.8] (+4 -4), gs/src/gsropc.c [1.11] (+3 -3), 
        gs/src/gsrop.h [1.8] (+9 -9), gs/src/gsrefct.h [1.10] (+7 -7), 
        gs/src/gsrect.h [1.11] (+3 -3), gs/src/gsptype2.h [1.10] (+2 -3), 
        gs/src/gsptype2.c [1.7] (+62 -3), gs/src/gsptype1.h [1.9] (+31 -31), 
        gs/src/gsptype1.c [1.12] (+235 -34), gs/src/gspcolor.h [1.9] (+9 -8), 
        gs/src/gspcolor.c [1.17] (+16 -5), gs/src/gspath2.h [1.8] (+6 -6), 
        gs/src/gspath1.c [1.9] (+3 -3), gs/src/gspath.h [1.9] (+32 -33), 
        gs/src/gspath.c [1.11] (+5 -5), gs/src/gsparamx.h [1.7] (+11 -11), 
        gs/src/gsparamx.c [1.7] (+17 -1), gs/src/gsparams.h [1.8] (+5 -5), 
        gs/src/gsparams.c [1.9] (+11 -11), gs/src/gsparam2.c [1.6] (+12 -6), 
        gs/src/gsparam.h [1.13] (+66 -66), gs/src/gsparam.c [1.9] (+2 -2), 
        gs/src/gspaint.h [1.8] (+7 -7), gs/src/gspaint.c [1.9] (+3 -3), 
        gs/src/gsovrc.h [1.1] (+0 -0), gs/src/gsovrc.c [1.1] (+0 -0), 
        gs/src/gsnotify.h [1.6] (+12 -12), gs/src/gsnotify.c [1.6] (+2 -2), 
        gs/src/gsnogc.c [1.13] (+2 -2), gs/src/gsmisc.c [1.14] (+5 -2), 
        gs/src/gsmemret.h [1.6] (+11 -11), gs/src/gsmemraw.h [1.12] (+36 -9), 
        gs/src/gsmemory.h [1.14] (+49 -33), gs/src/gsmemory.c [1.12] (+37 -1), 
        gs/src/gsmemlok.h [1.10] (+7 -7), gs/src/gsmdebug.h [1.9] (+2 -2), 
        gs/src/gsmatrix.h [1.10] (+20 -19), gs/src/gsmatrix.c [1.12] (+22 -16), 
        gs/src/gsmalloc.h [1.11] (+14 -40), gs/src/gsmalloc.c [1.17] (+28 -72), 
        gs/src/gsline.h [1.11] (+31 -31), gs/src/gslib.h [1.9] (+5 -10), 
        gs/src/gslib.c [1.11] (+47 -28), gs/src/gsistate.c [1.7] (+38 -95), 
        gs/src/gsiparm4.h [1.11] (+2 -2), gs/src/gsiparm3.h [1.9] (+3 -3), 
        gs/src/gsiparm2.h [1.10] (+2 -2), gs/src/gsiparam.h [1.10] (+21 -27), 
        gs/src/gsipar3x.h [1.3] (+7 -4), gs/src/gsiomacres.c [1.1] (+0 -0), 
        gs/src/gsiodisk.c [1.1] (+0 -0), gs/src/gsiodevs.c [1.3] (+2 -2), 
        gs/src/gsiodev.c [1.14] (+1 -13), gs/src/gsio.h [1.9] (+6 -11), 
        gs/src/gsinit.c [1.10] (+10 -26), gs/src/gsimpath.c [1.9] (+4 -4), 
        gs/src/gsimage.h [1.11] (+20 -21), gs/src/gsimage.c [1.15] (+21 -7), 
        gs/src/gsicc.h [1.2] (+13 -4), gs/src/gsicc.c [1.2] (+136 -84), 
        gs/src/gshtx.h [1.9] (+13 -16), gs/src/gshtx.c [1.11] (+18 -42), 
        gs/src/gshtscr.c [1.13] (+97 -61), gs/src/gsht1.h [1.8] (+6 -6), 
        gs/src/gsht1.c [1.14] (+171 -69), gs/src/gsht.h [1.8] (+10 -11), 
        gs/src/gsht.c [1.11] (+729 -153), gs/src/gshsb.h [1.9] (+3 -3), 
        gs/src/gshsb.c [1.8] (+3 -3), gs/src/gsgdata.h [1.1] (+0 -0), 
        gs/src/gsgdata.c [1.1] (+0 -0), gs/src/gsgcache.h [1.1] (+0 -0), 
        gs/src/gsgcache.c [1.1] (+0 -0), gs/src/gsgc.h [1.10] (+2 -2), 
        gs/src/gsfuncv.h [1.3] (+5 -5), gs/src/gsfunc4.h [1.3] (+6 -6), 
        gs/src/gsfunc4.c [1.4] (+70 -6), gs/src/gsfunc3.h [1.8] (+16 -16), 
        gs/src/gsfunc3.c [1.11] (+196 -5), gs/src/gsfunc0.h [1.8] (+6 -6), 
        gs/src/gsfunc0.c [1.11] (+43 -10), gs/src/gsfunc.h [1.9] (+39 -13), 
        gs/src/gsfunc.c [1.10] (+98 -2), gs/src/gsfont0c.c [1.1] (+0 -0), 
        gs/src/gsfont.h [1.8] (+31 -23), gs/src/gsfont.c [1.13] (+96 -45), 
        gs/src/gsfname.h [1.6] (+7 -7), gs/src/gsflip.h [1.9] (+4 -4), 
        gs/src/gsflip.c [1.9] (+3 -3), gs/src/gsfcmap1.c [1.1] (+0 -0), 
        gs/src/gsfcmap.h [1.9] (+30 -5), gs/src/gsfcmap.c [1.13] (+498 -485), 
        gs/src/gsfcid2.c [1.1] (+0 -0), gs/src/gsfcid.c [1.4] (+49 -7), 
        gs/src/gsexit.h [1.9] (+18 -6), gs/src/gserver.c [1.8] (+20 -18), 
        gs/src/gserror.h [1.9] (+2 -4), gs/src/gsdsrc.h [1.8] (+3 -3), 
        gs/src/gsdps1.c [1.8] (+7 -2), gs/src/gsdps.h [1.8] (+5 -5), 
        gs/src/gsdps.c [1.8] (+2 -2), gs/src/gsdparam.c [1.15] (+57 -65), 
        gs/src/gsdll32.rc [1.7] (+4 -4), gs/src/gsdll32.def [1.3] (+1 -0), 
        gs/src/gsdll.h [1.10] (+5 -4), gs/src/gsdll.c [1.10] (+2 -2), 
        gs/src/gsdfilt.h [1.2] (+12 -11), gs/src/gsdfilt.c [1.2] (+9 -83), 
        gs/src/gsdevice.h [1.13] (+34 -34), gs/src/gsdevice.c [1.24] (+24 -38), 
        gs/src/gsdcolor.h [1.10] (+103 -22), gs/src/gscssub.h [1.6] (+8 -8), 
        gs/src/gscspace.h [1.11] (+43 -42), gs/src/gscspace.c [1.13] (+221 -48), 
        gs/src/gscsepr.h [1.9] (+36 -45), gs/src/gscsepr.c [1.13] (+234 -201), 
        gs/src/gscscie.c [1.13] (+18 -9), gs/src/gscrypt1.h [1.8] (+5 -5), 
        gs/src/gscrdp.h [1.11] (+13 -13), gs/src/gscrdp.c [1.13] (+3 -3), 
        gs/src/gscrd.h [1.11] (+30 -30), gs/src/gscrd.c [1.15] (+7 -7), 
        gs/src/gscpixel.h [1.9] (+2 -2), gs/src/gscpixel.c [1.10] (+20 -11), 
        gs/src/gscoord.h [1.8] (+19 -12), gs/src/gscoord.c [1.8] (+3 -3), 
        gs/src/gscompt.h [1.8] (+2 -2), gs/src/gscolor3.h [1.8] (+4 -4), 
        gs/src/gscolor3.c [1.10] (+2 -1), gs/src/gscolor2.h [1.9] (+7 -12), 
        gs/src/gscolor2.c [1.13] (+39 -69), gs/src/gscolor1.h [1.8] (+18 -12), 
        gs/src/gscolor1.c [1.11] (+41 -100), gs/src/gscolor.h [1.8] (+9 -9), 
        gs/src/gscolor.c [1.12] (+51 -163), gs/src/gsclipsr.h [1.6] (+3 -3), 
        gs/src/gscindex.h [1.3] (+20 -20), gs/src/gsciemap.c [1.11] (+206 -83), 
        gs/src/gscie.h [1.13] (+114 -58), gs/src/gscie.c [1.15] (+397 -138), 
        gs/src/gschar0.c [1.10] (+39 -7), gs/src/gschar.h [1.11] (+31 -31), 
        gs/src/gschar.c [1.12] (+3 -3), gs/src/gscencs.h [1.1] (+0 -0), 
        gs/src/gscencs.c [1.1] (+0 -0), gs/src/gscedata.h [1.1] (+0 -0), 
        gs/src/gscedata.c [1.1] (+0 -0), gs/src/gscdevn.h [1.3] (+27 -12), 
        gs/src/gscdevn.c [1.10] (+276 -81), gs/src/gscdefs.h [1.11] (+7 -3), 
        gs/src/gscdef.c [1.11] (+3 -3), gs/src/gsccolor.h [1.9] (+2 -2), 
        gs/src/gsccode.h [1.11] (+55 -41), gs/src/gsbittab.c [1.10] (+2 -2), 
        gs/src/gsbitops.h [1.9] (+105 -30), gs/src/gsbitops.c [1.12] (+141 -81), 
        gs/src/gsargs.h [1.11] (+9 -9), gs/src/gsargs.c [1.11] (+8 -8), 
        gs/src/gsalphac.h [1.8] (+4 -4), gs/src/gsalphac.c [1.11] (+17 -17), 
        gs/src/gsalpha.h [1.8] (+3 -3), gs/src/gsalloc.h [1.11] (+12 -10), 
        gs/src/gsalloc.c [1.20] (+185 -51), gs/src/gs16spl.rc [1.9] (+2 -2), 
        gs/src/gs.mak [1.17] (+54 -38), gs/src/gs.c [1.10] (+11 -3), 
        gs/src/gpsync.h [1.10] (+13 -13), gs/src/gpmisc.h [1.3] (+40 -3), 
        gs/src/gpmisc.c [1.4] (+276 -1), gs/src/gpgetenv.h [1.8] (+2 -2), 
        gs/src/gpcheck.h [1.9] (+7 -3), gs/src/gp_win32.c [1.12] (+1 -2), 
        gs/src/gp_vms.c [1.11] (+247 -8), gs/src/gp_unix.c [1.11] (+14 -3), 
        gs/src/gp_unifs.c [1.9] (+28 -19), gs/src/gp_unifn.c [1.8] (+109 -12), 
        gs/src/gp_strdl.c [1.6] (+2 -2), gs/src/gp_stdin.c [1.1] (+0 -0), 
        gs/src/gp_stdia.c [1.1] (+0 -0), gs/src/gp_os9.c [1.10] (+4 -4), 
        gs/src/gp_os2.c [1.10] (+150 -23), gs/src/gp_ntfs.c [1.13] (+127 -15), 
        gs/src/gp_mswin.c [1.11] (+170 -28), gs/src/gp_mspol.c [1.1] (+0 -0), 
        gs/src/gp_msio.c [1.11] (+2 -2), gs/src/gp_macpoll.c [1.1] (+0 -0), 
        gs/src/gp_macio.c [1.2] (+238 -83), gs/src/gp_mac.c [1.2] (+23 -76), 
        gs/src/gp_iwatc.c [1.12] (+23 -8), gs/src/gp_getnv.c [1.8] (+2 -2), 
        gs/src/gp_dvx.c [1.9] (+3 -2), gs/src/gp_dosfs.c [1.8] (+128 -15), 
        gs/src/gp_dosfe.c [1.8] (+2 -2), gs/src/gp.h [1.12] (+156 -31), 
        gs/src/geninit.c [1.9] (+57 -29), gs/src/gendev.c [1.8] (+2 -2), 
        gs/src/genconf.c [1.13] (+42 -17), gs/src/genarch.c [1.10] (+47 -16), 
        gs/src/gdevxxf.c [1.11] (+2 -2), gs/src/gdevxini.c [1.13] (+3 -3), 
        gs/src/gdevxcmp.c [1.7] (+8 -3), gs/src/gdevxcf.c [1.1] (+0 -0), 
        gs/src/gdevxalt.c [1.13] (+62 -170), gs/src/gdevx.h [1.11] (+10 -10), 
        gs/src/gdevx.c [1.14] (+192 -169), gs/src/gdevwprn.c [1.10] (+25 -7), 
        gs/src/gdevwpr2.c [1.12] (+26 -7), gs/src/gdevwdib.c [1.10] (+3 -3), 
        gs/src/gdevwddb.c [1.9] (+4 -4), gs/src/gdevvec.h [1.10] (+76 -75), 
        gs/src/gdevvec.c [1.13] (+25 -34), gs/src/gdevupd.c [1.15] (+130 -106), 
        gs/src/gdevtknk.c [1.9] (+6 -2), gs/src/gdevtifs.h [1.8] (+12 -12), 
        gs/src/gdevtifs.c [1.8] (+7 -8), gs/src/gdevtfax.h [1.6] (+3 -3), 
        gs/src/gdevtfax.c [1.10] (+3 -3), gs/src/gdevsvga.h [1.9] (+8 -8), 
        gs/src/gdevsvga.c [1.9] (+13 -13), gs/src/gdevstc2.c [1.8] (+13 -13), 
        gs/src/gdevstc.h [1.8] (+2 -2), gs/src/gdevstc.c [1.10] (+84 -65), 
        gs/src/gdevsppr.c [1.10] (+3 -3), gs/src/gdevsgi.c [1.8] (+15 -12), 
        gs/src/gdevsco.c [1.8] (+5 -5), gs/src/gdevs3ga.c [1.8] (+3 -3), 
        gs/src/gdevrops.c [1.9] (+12 -2), gs/src/gdevpxut.h [1.4] (+23 -23), 
        gs/src/gdevpxut.c [1.4] (+7 -7), gs/src/gdevpx.c [1.13] (+23 -25), 
        gs/src/gdevpsu.h [1.4] (+13 -13), gs/src/gdevpsu.c [1.5] (+59 -21), 
        gs/src/gdevpsim.c [1.10] (+27 -14), gs/src/gdevpsfx.c [1.4] (+51 -40), 
        gs/src/gdevpsfu.c [1.4] (+21 -6), gs/src/gdevpsft.c [1.9] (+381 -203), 
        gs/src/gdevpsfm.c [1.4] (+122 -81), gs/src/gdevpsf2.c [1.4] (+161 -90), 
        gs/src/gdevpsf1.c [1.4] (+30 -36), gs/src/gdevpsf.h [1.4] (+92 -65), 
        gs/src/gdevpsdu.c [1.4] (+50 -10), gs/src/gdevpsds.h [1.10] (+32 -4), 
        gs/src/gdevpsds.c [1.11] (+232 -1), gs/src/gdevpsdp.c [1.12] (+69 -69), 
        gs/src/gdevpsdi.c [1.13] (+54 -23), gs/src/gdevpsdf.h [1.11] (+64 -48), 
        gs/src/gdevpsd.c [1.1] (+0 -0), gs/src/gdevps.c [1.15] (+241 -97), 
        gs/src/gdevprna.h [1.9] (+5 -5), gs/src/gdevprna.c [1.18] (+13 -17), 
        gs/src/gdevprn.h [1.10] (+79 -64), gs/src/gdevprn.c [1.19] (+16 -5), 
        gs/src/gdevppla.h [1.6] (+14 -14), gs/src/gdevpnga.c [1.2] (+1 -27), 
        gs/src/gdevpng.c [1.10] (+332 -9), gs/src/gdevpm.c [1.11] (+121 -25), 
        gs/src/gdevplnx.h [1.6] (+4 -5), gs/src/gdevplnx.c [1.8] (+4 -4), 
        gs/src/gdevpjet.c [1.9] (+3 -3), gs/src/gdevphex.c [1.3] (+8 -8), 
        gs/src/gdevperm.c [1.1] (+0 -0), gs/src/gdevpdtx.h [1.1] (+0 -0), 
        gs/src/gdevpdtw.h [1.1] (+0 -0), gs/src/gdevpdtw.c [1.1] (+0 -0), 
        gs/src/gdevpdtt.h [1.1] (+0 -0), gs/src/gdevpdtt.c [1.1] (+0 -0), 
        gs/src/gdevpdts.h [1.1] (+0 -0), gs/src/gdevpdts.c [1.1] (+0 -0), 
        gs/src/gdevpdti.h [1.1] (+0 -0), gs/src/gdevpdti.c [1.1] (+0 -0), 
        gs/src/gdevpdtf.h [1.1] (+0 -0), gs/src/gdevpdtf.c [1.1] (+0 -0), 
        gs/src/gdevpdte.c [1.1] (+0 -0), gs/src/gdevpdtd.h [1.1] (+0 -0), 
        gs/src/gdevpdtd.c [1.1] (+0 -0), gs/src/gdevpdtc.c [1.1] (+0 -0), 
        gs/src/gdevpdtb.h [1.1] (+0 -0), gs/src/gdevpdtb.c [1.1] (+0 -0), 
        gs/src/gdevpdt.h [1.1] (+0 -0), gs/src/gdevpdt.c [1.1] (+0 -0), 
        gs/src/gdevpdfx.h [1.13] (+376 -173), gs/src/gdevpdfv.c [1.4] (+321 -135), 
        gs/src/gdevpdfu.c [1.8] (+232 -128), gs/src/gdevpdfr.c [1.6] (+77 -9), 
        gs/src/gdevpdfp.c [1.12] (+116 -81), gs/src/gdevpdfo.h [1.7] (+88 -71), 
        gs/src/gdevpdfo.c [1.12] (+125 -23), gs/src/gdevpdfm.c [1.11] (+309 -69), 
        gs/src/gdevpdfk.c [1.1] (+0 -0), gs/src/gdevpdfj.c [1.4] (+220 -42), 
        gs/src/gdevpdfi.c [1.15] (+301 -162), gs/src/gdevpdfg.h [1.3] (+118 -66), 
        gs/src/gdevpdfg.c [1.4] (+474 -162), gs/src/gdevpdff.h [1.5] (+45 -45), 
        gs/src/gdevpdfd.c [1.12] (+186 -65), gs/src/gdevpdfc.h [1.1] (+0 -0), 
        gs/src/gdevpdfc.c [1.4] (+492 -425), gs/src/gdevpdfb.c [1.4] (+47 -53), 
        gs/src/gdevpdf.c [1.13] (+258 -142), gs/src/gdevpcx.c [1.11] (+3 -3), 
        gs/src/gdevpcl.h [1.10] (+6 -6), gs/src/gdevpcl.c [1.12] (+4 -3), 
        gs/src/gdevpcfb.h [1.8] (+7 -7), gs/src/gdevpcfb.c [1.9] (+8 -8), 
        gs/src/gdevpccm.h [1.8] (+2 -2), gs/src/gdevpccm.c [1.8] (+10 -7), 
        gs/src/gdevpbm.c [1.19] (+88 -30), gs/src/gdevp14.c [1.2] (+321 -143), 
        gs/src/gdevos2p.c [1.9] (+39 -61), gs/src/gdevokii.c [1.9] (+2 -2), 
        gs/src/gdevnfwd.c [1.12] (+173 -11), gs/src/gdevmsxf.c [1.9] (+8 -8), 
        gs/src/gdevmswn.h [1.9] (+10 -11), gs/src/gdevmswn.c [1.10] (+25 -7), 
        gs/src/gdevmrun.h [1.6] (+2 -2), gs/src/gdevmrop.h [1.12] (+16 -16), 
        gs/src/gdevmr1.c [1.7] (+6 -5), gs/src/gdevmpla.h [1.6] (+3 -3), 
        gs/src/gdevmpla.c [1.9] (+3 -3), gs/src/gdevmgr.c [1.9] (+3 -3), 
        gs/src/gdevmem.h [1.11] (+14 -2), gs/src/gdevmem.c [1.11] (+26 -18), 
        gs/src/gdevmeds.h [1.6] (+3 -3), gs/src/gdevmacxf.c [1.2] (+5 -5), 
        gs/src/gdevmacttf.h [1.2] (+4 -0), gs/src/gdevmacpictop.h [1.2] (+1 -2), 
        gs/src/gdevmac.h [1.2] (+10 -9), gs/src/gdevmac.c [1.2] (+20 -5), 
        gs/src/gdevm8.c [1.10] (+7 -7), gs/src/gdevm64.c [1.1] (+0 -0), 
        gs/src/gdevm56.c [1.1] (+0 -0), gs/src/gdevm48.c [1.1] (+0 -0), 
        gs/src/gdevm40.c [1.1] (+0 -0), gs/src/gdevm2.c [1.10] (+3 -3), 
        gs/src/gdevm16.c [1.11] (+5 -6), gs/src/gdevm1.c [1.13] (+9 -13), 
        gs/src/gdevlbp8.c [1.9] (+5 -5), gs/src/gdevjpeg.c [1.17] (+10 -7), 
        gs/src/gdevijs.c [1.1] (+0 -0), gs/src/gdevifno.c [1.6] (+8 -8), 
        gs/src/gdevhl7x.c [1.9] (+6 -6), gs/src/gdevherc.c [1.8] (+3 -3), 
        gs/src/gdevfax.h [1.3] (+10 -10), gs/src/gdevescp.c [1.9] (+4 -3), 
        gs/src/gdevepsn.c [1.9] (+4 -4), gs/src/gdevepsc.c [1.9] (+19 -19), 
        gs/src/gdevdsp2.h [1.2] (+4 -6), gs/src/gdevdsp.h [1.2] (+6 -6), 
        gs/src/gdevdsp.c [1.2] (+313 -206), gs/src/gdevdrop.c [1.14] (+19 -14), 
        gs/src/gdevdm24.c [1.9] (+5 -5), gs/src/gdevdljm.h [1.3] (+5 -5), 
        gs/src/gdevdljm.c [1.3] (+6 -3), gs/src/gdevdjtc.c [1.9] (+3 -3), 
        gs/src/gdevdjet.c [1.10] (+12 -8), gs/src/gdevdgbr.c [1.10] (+77 -50), 
        gs/src/gdevdflt.c [1.10] (+445 -4), gs/src/gdevdevn.c [1.1] (+0 -0), 
        gs/src/gdevddrw.h [1.1] (+0 -0), gs/src/gdevddrw.c [1.12] (+34 -169), 
        gs/src/gdevdcrd.h [1.6] (+3 -3), gs/src/gdevdcrd.c [1.6] (+7 -7), 
        gs/src/gdevdbit.c [1.10] (+32 -109), gs/src/gdevcmap.h [1.11] (+18 -14), 
        gs/src/gdevcmap.c [1.15] (+158 -141), gs/src/gdevcgml.h [1.8] (+97 -71), 
        gs/src/gdevcgml.c [1.8] (+15 -15), gs/src/gdevcgm.c [1.11] (+7 -1), 
        gs/src/gdevcdj.c [1.10] (+170 -152), gs/src/gdevbmpc.c [1.10] (+10 -5), 
        gs/src/gdevbmpa.c [1.24] (+5 -14), gs/src/gdevbmp.h [1.9] (+3 -3), 
        gs/src/gdevbmp.c [1.14] (+15 -12), gs/src/gdevbjcl.h [1.6] (+36 -38), 
        gs/src/gdevbjc.h [1.8] (+7 -4), gs/src/gdevbj10.c [1.9] (+50 -10), 
        gs/src/gdevbit.c [1.14] (+107 -41), gs/src/gdevbbox.h [1.12] (+12 -12), 
        gs/src/gdevbbox.c [1.26] (+26 -148), gs/src/gdevabuf.c [1.10] (+9 -6), 
        gs/src/gdev8bcm.h [1.8] (+6 -6), gs/src/gdev8510.c [1.9] (+3 -3), 
        gs/src/gdev4693.c [1.7] (+36 -27), gs/src/gdebug.h [1.9] (+8 -8), 
        gs/src/gconf.c [1.12] (+27 -1), gs/src/files.h [1.12] (+28 -28), 
        gs/src/fapiufst.c [1.1] (+0 -0), gs/src/fapi_ft.c [1.1] (+0 -0), 
        gs/src/estack.h [1.9] (+64 -22), gs/src/errors.h [1.11] (+7 -1), 
        gs/src/echogs.c [1.13] (+5 -5), gs/src/dxmainc.c [1.1] (+0 -0), 
        gs/src/dxmain.c [1.2] (+133 -77), gs/src/dwuninst.rc [1.6] (+2 -2), 
        gs/src/dwuninst.h [1.5] (+3 -1), gs/src/dwtrace.h [1.1] (+0 -0), 
        gs/src/dwtrace.c [1.1] (+0 -0), gs/src/dwtext.h [1.11] (+7 -1), 
        gs/src/dwtext.c [1.2] (+30 -53), gs/src/dwsetup.rc [1.6] (+3 -3), 
        gs/src/dwsetup.h [1.5] (+6 -1), gs/src/dwsetup.cpp [1.6] (+6 -2), 
        gs/src/dwreg.h [1.1] (+0 -0), gs/src/dwreg.c [1.1] (+0 -0), 
        gs/src/dwmainc.c [1.2] (+24 -16), gs/src/dwmain.rc [1.9] (+3 -3), 
        gs/src/dwmain.h [1.11] (+5 -1), gs/src/dwmain.c [1.2] (+16 -5), 
        gs/src/dwinst.h [1.5] (+7 -1), gs/src/dwinst.cpp [1.5] (+10 -1), 
        gs/src/dwimg.h [1.11] (+29 -20), gs/src/dwimg.c [1.2] (+51 -11), 
        gs/src/dwdll.h [1.12] (+3 -2), gs/src/dwdll.c [1.2] (+9 -1), 
        gs/src/dvx-tail.mak [1.11] (+5 -5), gs/src/dvx-gcc.mak [1.15] (+31 -15), 
        gs/src/dscparse.h [1.4] (+163 -61), gs/src/dscparse.c [1.4] (+1095 -115), 
        gs/src/dpmain.c [1.2] (+16 -20), gs/src/devs.mak [1.27] (+242 -123), 
        gs/src/contrib.mak [1.20] (+6 -31), gs/src/configure.ac [1.1] (+0 -0), 
        gs/src/ccfont.h [1.11] (+16 -18), gs/src/btoken.h [1.9] (+5 -5), 
        gs/src/bfont.h [1.10] (+30 -28), gs/src/bench.c [1.9] (+2 -3), 
        gs/src/bcwin32.mak [1.16] (+98 -53), gs/src/bcc32.cfg [1.2] (+1 -1), 
        gs/src/all-arch.mak [1.7] (+6 -7), gs/src/TAGS [1.1] (+0 -0), 
        gs/src/Makefile.in [1.1] (+0 -0):
        *** empty log message ***
        
        * gs/lib/xlatmap [1.1] (+0 -0), gs/lib/wrfont.ps [1.10] (+15 -12), 
        gs/lib/viewpcx.ps [1.11] (+3 -3), gs/lib/viewpbm.ps [1.11] (+2 -2), 
        gs/lib/viewjpeg.ps [1.2] (+1 -1), gs/lib/viewgif.ps [1.11] (+3 -3), 
        gs/lib/viewcmyk.ps [1.12] (+2 -2), gs/lib/unix-lpr.sh [1.8] (+4 -4), 
        gs/lib/traceimg.ps [1.10] (+2 -2), gs/lib/stocht.ps [1.5] (+2 -2), 
        gs/lib/stcany_h.upp [1.2] (+3 -0), gs/lib/stcany.upp [1.3] (+3 -0), 
        gs/lib/stc_l.upp [1.3] (+3 -0), gs/lib/stc_h.upp [1.3] (+3 -0), 
        gs/lib/stc800pl.upp [1.3] (+3 -0), gs/lib/stc800p.upp [1.3] (+3 -0), 
        gs/lib/stc800ih.upp [1.3] (+3 -0), gs/lib/stc640p.upp [1.2] (+3 -0), 
        gs/lib/stc600pl.upp [1.3] (+3 -0), gs/lib/stc600p.upp [1.3] (+3 -0), 
        gs/lib/stc600ih.upp [1.3] (+3 -0), gs/lib/stc500ph.upp [1.3] (+3 -0), 
        gs/lib/stc500p.upp [1.3] (+3 -0), gs/lib/stc300bm.upp [1.2] (+3 -0), 
        gs/lib/stc300bl.upp [1.2] (+3 -0), gs/lib/stc300.upp [1.2] (+3 -0), 
        gs/lib/stc2s_h.upp [1.3] (+3 -0), gs/lib/stc2_h.upp [1.3] (+3 -0), 
        gs/lib/stc200_h.upp [1.2] (+3 -0), gs/lib/stc2.upp [1.3] (+3 -0), 
        gs/lib/stc1520h.upp [1.3] (+3 -0), gs/lib/stc.upp [1.3] (+3 -0), 
        gs/lib/st640plg.upp [1.2] (+3 -0), gs/lib/st640pl.upp [1.2] (+3 -0), 
        gs/lib/st640pg.upp [1.2] (+3 -0), gs/lib/st640p.upp [1.2] (+3 -0), 
        gs/lib/st640ihg.upp [1.2] (+3 -0), gs/lib/st640ih.upp [1.2] (+3 -0), 
        gs/lib/rollconv.ps [1.8] (+2 -2), gs/lib/ps2ps.bat [1.9] (+4 -3), 
        gs/lib/ps2ps [1.9] (+3 -2), gs/lib/ps2pdfxx.bat [1.4] (+11 -2), 
        gs/lib/ps2pdfwr [1.4] (+6 -6), gs/lib/ps2pdf13.bat [1.4] (+2 -2), 
        gs/lib/ps2epsi.ps [1.12] (+41 -55), gs/lib/ps2epsi.cmd [1.3] (+4 -1), 
        gs/lib/ps2epsi.bat [1.9] (+6 -3), gs/lib/ps2ascii.ps [1.13] (+11 -16), 
        gs/lib/ps2ascii.cmd [1.2] (+4 -4), gs/lib/ps2ascii.bat [1.8] (+4 -4), 
        gs/lib/ps2ascii [1.9] (+2 -2), gs/lib/prfont.ps [1.4] (+13 -11), 
        gs/lib/pfbtopfa.bat [1.1] (+0 -0), gs/lib/pf2afm.ps [1.4] (+23 -4), 
        gs/lib/pdfwrite.ps [1.4] (+8 -8), gs/lib/pdfopt.ps [1.4] (+66 -37), 
        gs/lib/pdfopt.bat [1.3] (+2 -1), gs/lib/pdf_sec.ps [1.11] (+244 -285), 
        gs/lib/pdf_ops.ps [1.15] (+114 -17), gs/lib/pdf_main.ps [1.23] (+311 -104), 
        gs/lib/pdf_font.ps [1.16] (+529 -150), gs/lib/pdf_draw.ps [1.19] (+188 -85), 
        gs/lib/pdf_base.ps [1.16] (+138 -46), gs/lib/pdf2dsc.ps [1.12] (+5 -3), 
        gs/lib/packfile.ps [1.10] (+2 -2), gs/lib/landscap.ps [1.2] (+1 -0), 
        gs/lib/gslp.ps [1.10] (+4 -4), gs/lib/gs_type1.ps [1.12] (+49 -27), 
        gs/lib/gs_typ32.ps [1.12] (+3 -3), gs/lib/gs_ttf.ps [1.16] (+471 -129), 
        gs/lib/gs_trap.ps [1.6] (+2 -2), gs/lib/gs_stres.ps [1.1] (+0 -0), 
        gs/lib/gs_statd.ps [1.12] (+29 -25), gs/lib/gs_setpd.ps [1.14] (+127 -62), 
        gs/lib/gs_sepr.ps [1.1] (+0 -0), gs/lib/gs_resst.ps [1.1] (+0 -0), 
        gs/lib/gs_resmp.ps [1.1] (+0 -0), gs/lib/gs_res.ps [1.14] (+230 -49), 
        gs/lib/gs_pdfwr.ps [1.14] (+225 -54), gs/lib/gs_patrn.ps [1.1] (+0 -0), 
        gs/lib/gs_ll3.ps [1.14] (+27 -100), gs/lib/gs_lev2.ps [1.17] (+120 -168), 
        gs/lib/gs_init.ps [1.22] (+450 -150), gs/lib/gs_indxd.ps [1.1] (+0 -0), 
        gs/lib/gs_img.ps [1.1] (+0 -0), gs/lib/gs_icc.ps [1.2] (+290 -78), 
        gs/lib/gs_fonts.ps [1.15] (+502 -442), gs/lib/gs_fntem.ps [1.1] (+0 -0), 
        gs/lib/gs_fapi.ps [1.1] (+0 -0), gs/lib/gs_epsf.ps [1.10] (+201 -18), 
        gs/lib/gs_dps.ps [1.10] (+19 -2), gs/lib/gs_dpnxt.ps [1.10] (+23 -1), 
        gs/lib/gs_diskn.ps [1.1] (+0 -0), gs/lib/gs_devpxl.ps [1.1] (+0 -0), 
        gs/lib/gs_devn.ps [1.1] (+0 -0), gs/lib/gs_devcs.ps [1.1] (+0 -0), 
        gs/lib/gs_cspace.ps [1.1] (+0 -0), gs/lib/gs_cmap.ps [1.12] (+87 -17), 
        gs/lib/gs_ciecs3.ps [1.1] (+0 -0), gs/lib/gs_ciecs2.ps [1.1] (+0 -0), 
        gs/lib/gs_cidtt.ps [1.1] (+0 -0), gs/lib/gs_cidfn.ps [1.14] (+12 -6), 
        gs/lib/gs_cidfm.ps [1.1] (+0 -0), gs/lib/gs_ciddc.ps [1.1] (+0 -0), 
        gs/lib/gs_cidcm.ps [1.4] (+65 -133), gs/lib/gs_cff.ps [1.12] (+103 -79), 
        gs/lib/gs_ccfnt.ps [1.10] (+14 -12), gs/lib/gs_btokn.ps [1.12] (+25 -19), 
        gs/lib/font2pcl.ps [1.10] (+7 -7), gs/lib/font2c.ps [1.11] (+9 -4), 
        gs/lib/docie.ps [1.10] (+24 -24), gs/lib/core [1.1] (+0 -0), 
        gs/lib/cidfmap [1.1] (+0 -0), gs/lib/bdftops.ps [1.11] (+7 -7), 
        gs/lib/Info-macos.plist [1.1] (+0 -0), gs/lib/Fontmap [1.11] (+3 -162), 
        gs/lib/FAPIfontmap [1.1] (+0 -0), gs/lib/FAPIconfig [1.1] (+0 -0), 
        gs/lib/FAPIcidfmap [1.1] (+0 -0):
        8.0 upgrade.  The tree does not compile.
        

Fri May  2 05:00:00 2003 GMT            henrys@artifex.com

        * pl/plvocab.h [1.3] (+3 -3), pl/plvalue.h [1.3] (+5 -5), 
        pl/pltoputl.h [1.3] (+5 -5), pl/pltop.h [1.8] (+36 -36), 
        pl/plplatf.h [1.3] (+4 -4), pl/plparse.h [1.3] (+2 -2), 
        pl/plmain.h [1.16] (+8 -8), pl/plmain.c [1.66] (+26 -26), 
        pl/pllfont.h [1.3] (+4 -4), pl/plfont.h [1.13] (+36 -36), 
        pl/plfont.c [1.23] (+3 -3), pl/pldraw.h [1.3] (+3 -3), pl/pldict.h [1.3] (+20 -20), 
        pl/plchar.c [1.26] (+5 -6), pl/plalloc.c [1.16] (+6 -4), 
        pl/pjtop.h [1.6] (+27 -27), pl/pjparse.h [1.13] (+19 -19), 
        pl/pjparse.c [1.31] (+2 -2):
        *** empty log message ***
        
        * README [1.8] (+0 -1):
        removes the freetype make instructions.
        
        * pxl/pxvalue.h [1.3] (+8 -8), pxl/pxstate.h [1.9] (+9 -9), 
        pxl/pxstate.c [1.10] (+2 -2), pxl/pxptable.h [1.3] (+2 -2), 
        pxl/pxparse.h [1.6] (+6 -6), pxl/pxpaint.c [1.9] (+4 -4), 
        pxl/pxoper.h [1.4] (+2 -2), pxl/pxink.c [1.22] (+3 -3), 
        pxl/pxgstate.h [1.9] (+16 -16), pxl/pxfont.h [1.5] (+10 -10), 
        pxl/pxerrors.h [1.3] (+7 -7), pcl/rtrstcmp.h [1.6] (+3 -3), 
        pcl/rtraster.h [1.9] (+3 -3), pcl/rtgmode.h [1.6] (+4 -4), 
        pcl/pgvector.c [1.29] (+2 -2), pcl/pgmisc.h [1.6] (+5 -5), 
        pcl/pgmand.h [1.15] (+91 -91), pcl/pglabel.c [1.49] (+2 -2), 
        pcl/pginit.h [1.7] (+4 -4), pcl/pggeom.h [1.6] (+8 -8), 
        pcl/pgfont.h [1.5] (+4 -4), pcl/pgfdata.h [1.5] (+3 -3), 
        pcl/pgdraw.h [1.11] (+37 -37), pcl/pgdraw.c [1.70] (+3 -3), 
        pcl/pcwhtidx.h [1.5] (+7 -7), pcl/pcursor.h [1.7] (+10 -10), 
        pcl/pcuptrn.h [1.7] (+7 -7), pcl/pcsymbol.h [1.8] (+6 -6), 
        pcl/pcstatus.c [1.10] (+3 -3), pcl/pcstate.h [1.37] (+16 -16), 
        pcl/pcpatxfm.h [1.5] (+11 -11), pcl/pcpatrn.h [1.12] (+9 -9), 
        pcl/pcparse.h [1.8] (+11 -11), pcl/pcparam.h [1.8] (+5 -5), 
        pcl/pcpalet.h [1.10] (+21 -21), pcl/pcpage.h [1.9] (+12 -11), 
        pcl/pcommand.h [1.10] (+24 -24), pcl/pcmtx3.h [1.7] (+19 -19), 
        pcl/pcindxed.h [1.8] (+25 -25), pcl/pcident.h [1.6] (+2 -2), 
        pcl/pcht.h [1.10] (+21 -21), pcl/pcfsel.h [1.9] (+6 -6), 
        pcl/pcfrgrnd.h [1.6] (+2 -2), pcl/pcfont.h [1.11] (+6 -6), 
        pcl/pcdraw.h [1.6] (+5 -5), pcl/pcdither.h [1.5] (+3 -3), 
        pcl/pccsbase.h [1.8] (+10 -10), pcl/pccrd.h [1.9] (+5 -5), 
        pcl/pccid.h [1.8] (+2 -2), pcl/pcbiptrn.h [1.8] (+7 -7):
        Removes P declaration macros used to support K&R as part of the gs 8.x
        upgrade.
        

Fri Apr 11 21:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plftable.h [1.5] (+1 -1), pl/plftable.c [1.13] (+1 -1):
        Fixed rcs $Id:$ line.
        

Thu Apr 10 04:00:00 2003 GMT            henrys@artifex.com

        * pcl/pctext.c [1.45] (+2 -3):
        UFST symbol set mapping error.  In absence of a proper symbol set the
        code would check if the requested font was resident and then the
        character can implicitly index the font, the check for "resident"
        included checking for TrueType scaling technology, which is not
        correct for UFST builds.  I don't recall why the scaling technology
        test was included.
        
        * pl/plulfont.c [1.13] (+306 -83), pl/plftable.h [1.4] (+1 -1), 
        pl/plftable.c [1.12] (+28 -11):
        Extensive reorganization of how ufst fcos and ufst plugins are loaded.
        It is now possible to load multiple fcos and plugins supporting the
        various printer emulations discussed in the ufst documentation by the
        setting of three environment variables: UFSTFONTDIR, UFSTFCOS, and
        UFSTPLUGINS.  Todo: documentation for these is needed and the code has
        not been tested in the MSVC build.  Also, this checkin fixes several
        problems with the resident font table.
        

Wed Apr  9 00:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plftable.c [1.11] (+3 -3):
        branches:  1.11.2;
        Changes to Dingbats and ZapfChancery font table entries for pcl
        

Tue Apr  8 15:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/pluchar.c [1.28] (+2 -1):
        pl_tt_init_procs() needed to initializes pl_font->char_metrics function.
        
        * pl/plufont.c [1.14] (+5 -4), pl/plfont.c [1.22] (+5 -4):
        Changed set pitch in pl_load_tt_font to not fetch metrics for
        gs_no_glyph or galley character glyph.
        
        * pl/plftable.c [1.10] (+1 -4):
        Removed duplicate comment on missing Wingdings font in urwfonts.
        

Wed Mar 19 07:00:00 2003 GMT            henrys@artifex.com

        * pl/plflfont.c [1.9] (+1 -1), pl/plffont.c [1.7] (+1 -1), 
        pl/plfchar.c [1.16] (+1 -1), pl/pl.mak [1.36] (+0 -7), main/pcl6_gcc.mak [1.28] (+0 -8):
        *** empty log message ***
        
        * common/ugcc_top.mak [1.28] (+2 -1):
        It has been pointed out the freetype integration with pcl is "sloppy"
        and not suitable for commercial release.  So it has been removed.
        

Tue Mar 18 04:00:00 2003 GMT            henrys@artifex.com

        * pl/plalloc.c [1.15] (+27 -5):
        "catch-the-leaked-malloc-call" code for debug only.  Each allocation
        is assigned a unique sequential number and stored in the node.  The
        number is printed out in the leak report so that a malloc without a
        free can be caught with a conditional breakpoint next run.
        
        * pl/plulfont.c [1.12] (+7 -9), pl/pluchar.c [1.27] (+15 -17), 
        pl/plftable.c [1.9] (+537 -510):
        pluchar.c - speeds up UFST width caching by reordering conditionals.
        plftable.c - new unified table with support for 80 fonts for both URW
        and UFST.  (needs testing).
        plulfont.c - modified to load UFST fco's with complete font set.  This
        fco set actually has 110 fonts of which we pick the needed 80.  The
        microtype postscript fonts in the set are scaled differently using the
        Type 1 convention of 1000 units per em.  Code dependent on other
        scalings will break.  (needs testing).
        

Mon Mar 10 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * psi/psitop.c [1.13] (+2 -2):
        added lf to endjob for input that doesn't end with white space.
        

Wed Mar  5 18:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plchar.c [1.25] (+9 -13):
        Fixed PXL downloaded characters that include metrics and glyph_id
        in the ReadChar download.
        Different offsets for the glyph_id are based on
        PXL character format and class.
        Downloaded PXL compound glyphs are now supported.
        

Wed Feb 26 18:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxtop.c [1.18] (+3 -1), pxl/pxstate.h [1.8] (+2 -1), 
        pxl/pxstate.c [1.9] (+2 -1), pxl/pxsessio.c [1.24] (+3 -3), 
        pxl/pxffont.c [1.13] (+14 -6):
        Added builtin_font_dict to the pxl state.  This stores built_in fonts, the
        font_dict stores downloaded fonts.  This built_in/disk fonts have interpreter
        life, the downloaded/font_dict fonts are deleted at end of session.
        This is a performance improvement, that prevents us from reading disk/rom
        fonts per session.
        

Wed Feb 26 00:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxffont.c [1.12] (+34 -1):
        Added lineprinter aliasing that maps all 10 lineprinter names to:
        Line Printer 0N
        

Tue Feb 25 23:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plsymbol.c [1.15] (+3 -3):
        fixed a line draw glyph in 11U and 9T.
        

Tue Feb 25 22:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plftable.c [1.8] (+113 -83):
        Changed order of font table to match be in PCL internal font # order based
        on hpclj 4550.  This order is used in pcl font selection algorithm.
        

Tue Feb 25 21:00:00 2003 GMT            henrys@artifex.com

        * tools/pxldis.py [1.16] (+3 -0), tools/pxlasm.py [1.7] (+3 -0):
        Adds vendor operator and attributes.
        

Tue Feb 25 07:00:00 2003 GMT            henrys@artifex.com

        * urwfonts/ArtLinePrinter.ttf [1.3] (+283 -208):
        Reached the point of diminishing returns on improving the Artifex
        lineprinter font.  There are still subtle difference between our font
        and HP's, but we think this is an acceptable solution.
        

Mon Feb 24 04:00:00 2003 GMT            henrys@artifex.com

        * doc/jfconbohrer.gif [1.2] (+0 -0), doc/ghost64.gif [1.3] (+0 -0):
        removes obsolete gif files.
        
        * urwfonts/ArtLinePrinter.ttf [1.2] (+360 -216):
        The remaining symbols for the art line printer.  Still need work on
        side bearings and shape of some characters.
        

Fri Feb 21 21:00:00 2003 GMT            henrys@artifex.com

        * pcl/pcjob.c [1.25] (+2 -2):
        short edge binding state variable was not set correctly.  Not
        associated with a real world problem but a coding error.
        

Fri Feb 21 00:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * psi/psitop.c [1.12] (+6 -5):
        using currentpagedevice setpagedevice to initialize postscript with the current device dictionary settings, this sets up the correct dither based on resolution.
        

Thu Feb 20 23:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plftable.c [1.7] (+3 -4):
        5th element, 0 was missing from a few font table entries.
        

Tue Feb 11 21:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/lib/Fontmap [1.10] (+162 -3):
        branches:  1.10.2;
        Making Fontmap.4600 the default.
        

Tue Feb 11 20:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pctop.c [1.27] (+12 -2):
        Added pcl_impl_get_device_memory(), it doesn't modify the pointer since pcl doesn't create a special memory device like postscript does.
        
        * pl/pltop.h [1.7] (+5 -1), pl/pltop.c [1.8] (+12 -2), pl/plmain.h [1.15] (+2 -1), 
        pl/plmain.c [1.65] (+13 -8), pl/pjparsei.c [1.11] (+11 -1):
        Added interp_impl_get_device_memory() this is used to get the postscript gs_memory_t * so that the device will be created using the same garbage collectable memory.
        
        * psi/psitop.c [1.11] (+27 -5):
        Added begin and end of job encapsulation.
        Added method to get the postscript i memory memory pointer, used to create a
        device using the same garbage collectable gs_memory_t that ps uses.
        
        * pxl/pxtop.c [1.17] (+10 -1):
        Added pxl_impl_get_device_memory(), it doesn't modify the pointer since pxl
        doesn't create a special memory device like postscript does.
        

Tue Feb 11 18:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/lib/gs_lev2.ps [1.16] (+7 -1):
        Added endjob procedure to restore from a jobsave.
        

Tue Feb 11 15:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gsdevice.c [1.23] (+8 -5):
        removing failed experiment at not relocation the device; fails under garbage collection.
        

Thu Feb  6 11:00:00 2003 GMT            henrys@artifex.com

        * pl/plftable.c [1.6] (+8 -8):
        misspelled lineprinter font name entry in last checkin.
        
        * tools/lineprinter.pcl [1.1] (+0 -0):
        pcl lineprinter test file.
        

Thu Feb  6 10:00:00 2003 GMT            henrys@artifex.com

        * urwfonts/ArtLinePrinter.ttf [1.1] (+0 -0):
        Font designing debut, a grueling exercise.  This font has
        characteristics similar to an HP lineprinter font.  Still under
        construction but now contains most 7 bit ascii "printables".  Which is
        enough to print several test files.
        
        * tools/GaramondNo8-Ita-no-hints.ttf [1.1] (+0 -0):
        An experimental font with hints stripped, 129080 bytes.  This font can
        be compared with GaramondNo8-Ita.ttf (hinted).  The hinted font weighs
        in at 175508 bytes.
        
        * pcl/pgdraw.c [1.69] (+11 -62):
        removes GL/2 path debugging code which is not used much anymore.  Most
        of it can be done with the gs -P option.
        
        * pl/plftable.c [1.5] (+16 -16):
        new lineprinter font entry for the font table.
        

Thu Jan 30 23:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pcl/pglabel.c [1.48] (+4 -2):
        branches:  1.48.2;
        Changed LO21 labels to be based on the current point instead of PCL cap.
        

Thu Jan 30 05:00:00 2003 GMT            henrys@artifex.com

        * urwfonts/NimbusRomanNo4-LigIta.ttf [1.2] (+136 -134), 
        urwfonts/NimbusRomanNo4-Lig.ttf [1.2] (+391 -377), urwfonts/NimbusRomanNo4-BolIta.ttf [1.2] (+172 -176), 
        urwfonts/NimbusRomanNo4-Bol.ttf [1.2] (+123 -104), urwfonts/Coronet.ttf [1.2] (+31 -38), 
        urwfonts/ClarendonURW-BolCon.ttf [1.2] (+71 -65):
        Metrics fixes from URW.
        

Wed Jan 29 00:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/pluchar.c [1.26] (+3 -1), pl/plfchar.c [1.15] (+57 -3):
        Initialization of pl_tt_get_metrics for downloaded fonts in ufst and fts builds
        
        * language_switch/pspcl6_gcc.mak [1.10] (+3 -3):
        change default scaler to afs, fix library include for ufst build.
        

Tue Jan 28 21:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * gs/src/gstype42.c [1.23] (+2 -2):
        Changed append glyph outline to use the override-able get_metrics() function.
        PCL and PXL allow for the metrics in the char/glyph download.
        

Tue Jan 28 20:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/pluchar.c [1.25] (+3 -3), pl/plfchar.c [1.14] (+3 -4), 
        pl/plchar.c [1.24] (+6 -6):
        Changed truetype font accesses of left side bearing ( lsb ) from unsigned to
         signed accesses.
        

Tue Jan 28 19:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxfont.c [1.21] (+5 -3):
        branches:  1.21.2;
        Add page orientation rotation into account when rotating PXL downloaded bitmap
        glyphs.  bitmap rotation is page orientation - font orientation
        

Mon Jan 27 18:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pxl/pxfont.c [1.20] (+9 -13):
        16bit characters are always unicode in PXL.  They never use symbol maps.
        

Fri Jan 24 08:00:00 2003 GMT            henrys@artifex.com

        * tools/pxldis.py [1.15] (+1 -1):
        disassembler hexdump output could produce the string '//' in the
        rightmost column (the ascii column).  Subsequently the assembler would
        interpret this a comment and not correctly assemble the file.  Instead
        of complicating the parser simply use '.' (unprintable) instead of '/'.
        

Wed Jan 22 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plalloc.c [1.14] (+2 -2):
        Fix incorrect reset of memory free list.
        

Tue Jan 21 19:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plmain.c [1.64] (+10 -5):
        Changed device dealloc to change behavior based on which allocator.
        The ps allocator sets the retain flag, while pl_alloc does not.  Uses the
        PSI_INCLUDED feature bind to determine the allocator.
        
        * gs/src/gdevjpeg.c [1.16] (+1 -2):
        Pulled unneeded #undef jcdp, there was no matching define.
        

Tue Jan 21 17:00:00 2003 GMT        Stefan Kemper    stefan@artifex.com

        * pl/plmain.c [1.63] (+1 -2):
        Fixed bug on closing current device when no gs state was used.
        

Mon Jan 20 21:00:00 2003 GMT            henrys@artifex.com

        * language_switch/pspcl6_msvc.mak [1.5] (+1 -1), language_switch/pspcl6_gcc.mak [1.9] (+1 -1):
        turn off compile inits.
        
        * problems_and_questions.txt [1.1] (+0 -0):
        Temporary file for language switching issues.
        
        * gs/lib/Fontmap.4600 [1.2] (+81 -80):
        branches:  1.2.2;
        The aliases were not correct in the last (initial) version, in fact
        they were exactly opposite - names and aliases were swapped.  This
        file should be copied to the Fontmap file or use runlibfile as in the
        current Fontmap.  The GS_LIB environment variable should be set to
        include the font directory where the urw truetype fonts referenced in
        the fontmap reside.  I include these instructions because the GS font
        configuration is a baffling, over-engineered time sink.  Hopefully
        this will prevent wasted time for others.
        

Thu Jan 16 14:00:00 2003 GMT            henrys@artifex.com

        * gs/lib/Fontmap.4600 [1.1] (+0 -0):
        Fontmap compatible with Color Laserjet 4600 using the 79 URW Truetype
        fonts.
        

Wed Jan 15 23:00:00 2003 GMT            henrys@artifex.com

        * pl/pluchar.c [1.24] (+11 -6):
        fixes regression, outline requests to the ufst can result in fixed
        space code (607) return and no outline.  See pcl5e fts 1220.
        

Wed Jan 15 06:00:00 2003 GMT            henrys@artifex.com

        * pl/plftable.c [1.4] (+312 -138):
        New font table to support the new 79 urwfonts.  Extensive
        modifications to the table to support readability.  Also a large table
        (documentation) added showing the correspondence between URWfonts, HP
        screen fonts, and HP PCL XL font names and HP PCL "font status page"
        names and how the 4600 hp windows driver treats each font.  Work still in progress in this file but code should be functional.
        

Wed Jan 15 05:00:00 2003 GMT            henrys@artifex.com

        * pl/pluchar.c [1.23] (+84 -12):
        implement a caching scheme to avoid calling the slow UFST CGIFwidth()
        function.
        
        * urwfonts/u001064u.ttf [1.3] (+0 -0), urwfonts/u001063u.ttf [1.3] (+0 -0), 
        urwfonts/u001044u.ttf [1.3] (+0 -0), urwfonts/u001043u.ttf [1.3] (+0 -0), 
        urwfonts/u001024u.ttf [1.3] (+0 -0), urwfonts/u001023u.ttf [1.3] (+0 -0), 
        urwfonts/u001004u.ttf [1.3] (+0 -0), urwfonts/u001003u.ttf [1.3] (+0 -0), 
        urwfonts/s050000l.ttf [1.2] (+0 -0), urwfonts/o004024u.ttf [1.3] (+0 -0), 
        urwfonts/o004023u.ttf [1.3] (+0 -0), urwfonts/o004004u.ttf [1.3] (+0 -0), 
        urwfonts/o004003u.ttf [1.3] (+0 -0), urwfonts/n033034u.ttf [1.3] (+0 -0), 
        urwfonts/n033032u.ttf [1.3] (+0 -0), urwfonts/n033014u.ttf [1.3] (+0 -0), 
        urwfonts/n033012u.ttf [1.3] (+0 -0), urwfonts/n022024u.ttf [1.3] (+0 -0), 
        urwfonts/n022023u.ttf [1.3] (+0 -0), urwfonts/n022004u.ttf [1.3] (+0 -0), 
        urwfonts/n022003u.ttf [1.3] (+0 -0), urwfonts/n021024u.ttf [1.3] (+0 -0), 
        urwfonts/n021023u.ttf [1.3] (+0 -0), urwfonts/n021004u.ttf [1.3] (+0 -0), 
        urwfonts/n021003u.ttf [1.3] (+0 -0), urwfonts/n019024u.ttf [1.3] (+0 -0), 
        urwfonts/n019023u.ttf [1.3] (+0 -0), urwfonts/n019004u.ttf [1.3] (+0 -0), 
        urwfonts/n019003u.ttf [1.3] (+0 -0), urwfonts/m048000u.ttf [1.3] (+0 -0), 
        urwfonts/lpsb8.ttf [1.2] (+0 -0), urwfonts/lpsb7.ttf [1.2] (+0 -0), 
        urwfonts/lpsb6.ttf [1.2] (+0 -0), urwfonts/lpsb5.ttf [1.2] (+0 -0), 
        urwfonts/lpsb4.ttf [1.2] (+0 -0), urwfonts/lpsb3.ttf [1.2] (+0 -0), 
        urwfonts/lpsb2.ttf [1.2] (+0 -0), urwfonts/lpsb1.ttf [1.2] (+0 -0), 
        urwfonts/l021024u.ttf [1.3] (+0 -0), urwfonts/l021023u.ttf [1.3] (+0 -0), 
        urwfonts/l021004u.ttf [1.3] (+0 -0), urwfonts/l021003u.ttf [1.3] (+0 -0), 
        urwfonts/g043024u.ttf [1.3] (+0 -0), urwfonts/g043023u.ttf [1.3] (+0 -0), 
        urwfonts/g043004u.ttf [1.3] (+0 -0), urwfonts/g043003u.ttf [1.3] (+0 -0), 
        urwfonts/d050000l.ttf [1.2] (+0 -0), urwfonts/c093000u.ttf [1.3] (+0 -0), 
        urwfonts/c011046u.ttf [1.3] (+0 -0), urwfonts/a028017u.ttf [1.3] (+0 -0), 
        urwfonts/a028014u.ttf [1.3] (+0 -0), urwfonts/a008023u.ttf [1.3] (+0 -0), 
        urwfonts/a008006u.ttf [1.3] (+0 -0), urwfonts/a008003u.ttf [1.3] (+0 -0), 
        urwfonts/URWPalladioL-Roma.ttf [1.1] (+0 -0), urwfonts/URWPalladioL-Ital.ttf [1.1] (+0 -0), 
        urwfonts/URWPalladioL-BoldItal.ttf [1.1] (+0 -0), urwfonts/URWPalladioL-Bold.ttf [1.1] (+0 -0), 
        urwfonts/URWGothicL-DemiObli.ttf [1.1] (+0 -0), urwfonts/URWGothicL-Demi.ttf [1.1] (+0 -0), 
        urwfonts/URWGothicL-BookObli.ttf [1.1] (+0 -0), urwfonts/URWGothicL-Book.ttf [1.1] (+0 -0), 
        urwfonts/URWClassico-Reg.ttf [1.1] (+0 -0), urwfonts/URWClassico-Ita.ttf [1.1] (+0 -0), 
        urwfonts/URWClassico-BolIta.ttf [1.1] (+0 -0), urwfonts/URWClassico-Bol.ttf [1.1] (+0 -0), 
        urwfonts/URWChanceryL-MediItal.ttf [1.1] (+0 -0), urwfonts/URWBookmanL-LighItal.ttf [1.1] (+0 -0), 
        urwfonts/URWBookmanL-Ligh.ttf [1.1] (+0 -0), urwfonts/URWBookmanL-DemiBoldItal.ttf [1.1] (+0 -0), 
        urwfonts/URWBookmanL-DemiBold.ttf [1.1] (+0 -0), urwfonts/U001Con-Reg.ttf [1.1] (+0 -0), 
        urwfonts/U001Con-Ita.ttf [1.1] (+0 -0), urwfonts/U001Con-BolIta.ttf [1.1] (+0 -0), 
        urwfonts/U001Con-Bol.ttf [1.1] (+0 -0), urwfonts/U001-Reg.ttf [1.1] (+0 -0), 
        urwfonts/U001-Ita.ttf [1.1] (+0 -0), urwfonts/U001-BolIta.ttf [1.1] (+0 -0), 
        urwfonts/U001-Bol.ttf [1.1] (+0 -0), urwfonts/StandardSymL.ttf [1.1] (+0 -0), 
        urwfonts/NimbusSanL-ReguItal.ttf [1.1] (+0 -0), urwfonts/NimbusSanL-ReguCondItal.ttf [1.1] (+0 -0), 
        urwfonts/NimbusSanL-ReguCond.ttf [1.1] (+0 -0), urwfonts/NimbusSanL-Regu.ttf [1.1] (+0 -0), 
        urwfonts/NimbusSanL-BoldItal.ttf [1.1] (+0 -0), urwfonts/NimbusSanL-BoldCondItal.ttf [1.1] (+0 -0), 
        urwfonts/NimbusSanL-BoldCond.ttf [1.1] (+0 -0), urwfonts/NimbusSanL-Bold.ttf [1.1] (+0 -0), 
        urwfonts/NimbusRomanNo9-Reg.ttf [1.1] (+0 -0), urwfonts/NimbusRomanNo9-MedIta.ttf [1.1] (+0 -0), 
        urwfonts/NimbusRomanNo9-Med.ttf [1.1] (+0 -0), urwfonts/NimbusRomanNo9-Ita.ttf [1.1] (+0 -0), 
        urwfonts/NimbusRomanNo4-LigIta.ttf [1.1] (+0 -0), urwfonts/NimbusRomanNo4-Lig.ttf [1.1] (+0 -0), 
        urwfonts/NimbusRomanNo4-BolIta.ttf [1.1] (+0 -0), urwfonts/NimbusRomanNo4-Bol.ttf [1.1] (+0 -0), 
        urwfonts/NimbusRomNo9L-ReguItal.ttf [1.1] (+0 -0), urwfonts/NimbusRomNo9L-Regu.ttf [1.1] (+0 -0), 
        urwfonts/NimbusRomNo9L-MediItal.ttf [1.1] (+0 -0), urwfonts/NimbusRomNo9L-Medi.ttf [1.1] (+0 -0), 
        urwfonts/NimbusMono-Reg.ttf [1.1] (+0 -0), urwfonts/NimbusMono-Ita.ttf [1.1] (+0 -0), 
        urwfonts/NimbusMono-BolIta.ttf [1.1] (+0 -0), urwfonts/NimbusMono-Bol.ttf [1.1] (+0 -0), 
        urwfonts/NimbusMonL-ReguObli.ttf [1.1] (+0 -0), urwfonts/NimbusMonL-Regu.ttf [1.1] (+0 -0), 
        urwfonts/NimbusMonL-BoldObli.ttf [1.1] (+0 -0), urwfonts/NimbusMonL-Bold.ttf [1.1] (+0 -0), 
        urwfonts/Mauritius-Reg.ttf [1.1] (+0 -0), urwfonts/LetterGothic-Reg.ttf [1.1] (+0 -0), 
        urwfonts/LetterGothic-Ita.ttf [1.1] (+0 -0), urwfonts/LetterGothic-BolIta.ttf [1.1] (+0 -0), 
        urwfonts/LetterGothic-Bol.ttf [1.1] (+0 -0), urwfonts/GaramondNo8-Reg.ttf [1.1] (+0 -0), 
        urwfonts/GaramondNo8-MedIta.ttf [1.1] (+0 -0), urwfonts/GaramondNo8-Med.ttf [1.1] (+0 -0), 
        urwfonts/GaramondNo8-Ita.ttf [1.1] (+0 -0), urwfonts/Dingbats.ttf [1.1] (+0 -0), 
        urwfonts/Coronet.ttf [1.1] (+0 -0), urwfonts/ClarendonURW-BolCon.ttf [1.1] (+0 -0), 
        urwfonts/CenturySchL-Roma.ttf [1.1] (+0 -0), urwfonts/CenturySchL-Ital.ttf [1.1] (+0 -0), 
        urwfonts/CenturySchL-BoldItal.ttf [1.1] (+0 -0), urwfonts/CenturySchL-Bold.ttf [1.1] (+0 -0), 
        urwfonts/AntiqueOlive-Reg.ttf [1.1] (+0 -0), urwfonts/AntiqueOlive-Ita.ttf [1.1] (+0 -0), 
